commit a507a6fbb58a26dc7ac3b875be82294b31f7eada
Author: smizrahi <seb.mizrahi@gmail.com>
Date:   Fri Nov 17 12:40:41 2023 +0100

    fix(core): Fix issue on file descriptors where TLS packet is sent on invalid file descriptor when reusing fd. Improve NGSocket, remove ssl free on shutdown and shutdown from dealloc

M	sope-core/NGStreams/NGActiveSSLSocket.m
M	sope-core/NGStreams/NGActiveSocket.m

commit 8ac29ca19ef24a75a4abaa83e119687c44fbaa19
Author: smizrahi <seb.mizrahi@gmail.com>
Date:   Tue Nov 14 19:59:54 2023 +0100

    fix(core): Fix issue on file descriptors where TLS packet is sent on invalid file descriptor when reusing fd

M	sope-appserver/NGObjWeb/WOWatchDogApplicationMain.m
M	sope-core/NGStreams/NGActiveSSLSocket.m
M	sope-core/NGStreams/NGActiveSocket.m
M	sope-mime/NGImap4/NGImap4Client.m

commit 4cf26f5cb8cc025f19196760b57c01a198e6f692
Author: Hivert Quentin <quentin.hivert.fr@gmail.com>
Date:   Wed Sep 27 10:35:19 2023 +0200

    Update ChangeLog

M	ChangeLog

commit 8fb574b0b95498c011a7256779d76898dd457e6f
Author: smizrahi <seb.mizrahi@gmail.com>
Date:   Tue Jul 4 10:59:24 2023 +0200

    fix(imap): Fix issue on random messages with Oracle imap server. #5453 should still be fixed.

M	sope-mime/NGImap4/NGImap4ResponseParser.m

commit f3befe84cfdf260009348721a27eced4f9372422
Author: smizrahi <seb.mizrahi@gmail.com>
Date:   Tue Jul 4 10:58:25 2023 +0200

    Revert "fix(imap): Fix issue on random messages with Oracle imap server. #5453 should still be fixed."
    
    This reverts commit b9de1145dee9e7bfcbda4cdbde1c6b40c8043345.

M	sope-mime/NGImap4/NGImap4ResponseParser.m

commit b9de1145dee9e7bfcbda4cdbde1c6b40c8043345
Author: smizrahi <seb.mizrahi@gmail.com>
Date:   Tue Jul 4 10:41:14 2023 +0200

    fix(imap): Fix issue on random messages with Oracle imap server. #5453 should still be fixed.

M	sope-mime/NGImap4/NGImap4ResponseParser.m

commit 019e4222cc49edb3e3b33384ed8c415ec9874be7
Author: smizrahi <seb.mizrahi@gmail.com>
Date:   Tue Jun 20 12:04:57 2023 +0200

    Update ChangeLog

M	ChangeLog

commit a1b624b6eb5beaa21283226206e6cae2fa9ca485
Author: smizrahi <seb.mizrahi@gmail.com>
Date:   Tue Jun 13 16:55:22 2023 +0200

    chore(packaging): Add rhel9 support

M	packaging/rhel/sope.spec

commit 45b1e838b2731ecb753016f6a4e70fcb23d5e0f8
Author: Hivert Quentin <quentin.hivert.fr@gmail.com>
Date:   Tue May 30 12:21:32 2023 +0200

    Update ChangeLog

M	ChangeLog

commit aba7159392b0261a4cf464769fa9f2bd0280b161
Author: smizrahi <seb.mizrahi@gmail.com>
Date:   Tue May 2 17:47:18 2023 +0200

    core(sql): Avoid adding \ when % is in sql expression

M	sope-gdl1/GDLAccess/EOSQLExpression.m

commit 879cfd14fbd912a6096fda68874e9a93611297c8
Author: smizrahi <seb.mizrahi@gmail.com>
Date:   Mon Apr 17 23:30:09 2023 +0200

    fix(core): Fix buffer overflow in http status. Closes #5734.

M	sope-appserver/NGObjWeb/WOHttpAdaptor/WOHttpTransaction.m

commit 25d692e46acfd91f64521ff57de6ff05da1047c4
Author: smizrahi <seb.mizrahi@gmail.com>
Date:   Mon Feb 27 22:01:49 2023 +0100

    fix(packaging): Specify compression format for dpkg-deb

M	packaging/debian/rules

commit eaf3a0a29477ec44e1de4332cb3f04ea1fdb4940
Author: smizrahi <seb.mizrahi@gmail.com>
Date:   Mon Feb 27 18:38:13 2023 +0100

    fix(packaging): Specify compression format for dpkg-deb

M	packaging/debian/source/options

commit 64b7372373b2a1a71bd48a4da198bda9b1a1e316
Author: smizrahi <seb.mizrahi@gmail.com>
Date:   Mon Feb 27 18:33:56 2023 +0100

    fix(packaging): Specify compression format for dpkg-deb

A	packaging/debian/source/options

commit 89f8252a6ad697e6446499b9172bfe36835bb4e9
Author: smizrahi <seb.mizrahi@gmail.com>
Date:   Wed Feb 22 11:28:36 2023 +0100

    Increase debian compat version

M	packaging/debian/compat

commit c26c6b395ced515645afd347ccc111baefb5cea7
Author: smizrahi <seb.mizrahi@gmail.com>
Date:   Wed Jan 25 19:51:53 2023 +0100

    fix(imap): Fix invalid quota size. Fix #5683

M	sope-mime/NGImap4/NGImap4ResponseParser.m

commit 9540c11d53e1af454a84950fe7cd601af21e4f23
Author: Janne Heß <janne@hess.ooo>
Date:   Wed Jan 11 15:14:07 2023 +0100

    fix(smtp): Fix -Wformat
    
    Rather than treating the SMTP output as a format string, explicitly
    specify a format string. This is more secure and allows building with
    `-Wformat -Wformat-security -Werror=format-security`

M	sope-mime/NGMail/NGSmtpClient.m

commit 9707cb81ec599e7c28b77a6c5c89cf9771daa54f
Author: Janne Heß <janne@hess.ooo>
Date:   Wed Jan 11 14:55:10 2023 +0100

    fix(configure): Prevent pulling in unnecessary vars
    
    Things like `NIX_GNUSTEP_BASE` would get pulled in without this patch
    which causes the build to fail.

M	configure

commit 5f9cb496e49d69f36a420acb1908bf5ed8c1f164
Author: Nicolas Höft <nicolas@hoeft.de>
Date:   Mon Dec 5 10:14:29 2022 +0100

    fix(smtp): Format ipv6 correctly for SMTP EHLO

M	sope-mime/NGMail/NGSmtpClient.m

commit bd7d986075bc57f7dd22688bd7ea9aa64b48b12c
Author: smizrahi <seb.mizrahi@gmail.com>
Date:   Wed Nov 30 17:25:56 2022 +0100

    Update ChangeLog

M	ChangeLog

commit 1ecf46bab19a2f69a3f65a71fde80e56627c1bcd
Author: smizrahi <seb.mizrahi@gmail.com>
Date:   Wed Aug 17 16:24:35 2022 +0200

    Update ChangeLog

M	ChangeLog

commit 09ddeec5efc6bfea053ab4940603fef3df3789a8
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Thu Aug 4 16:23:19 2022 -0400

    fix(mime): encode . character in headers

M	sope-mime/NGMime/NGMimeHeaderFieldGenerator.m

commit 4927632932e4f75d20e4bd407fa4e8c8c3426861
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Thu Aug 4 16:20:20 2022 -0400

    fix(mail): avoid sanitizing address twice

M	sope-mime/NGMail/NGMailAddressParser.m

commit 8a2ed26593f51003be8c78849fd1235fe25c2346
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Tue Aug 2 09:58:25 2022 -0400

    fix(imap): don't reconnect after a failed authenticate

M	sope-mime/NGImap4/NGImap4Client.m

commit d6d7b0177290e02207f558366ec800887ef02c3a
Author: Nicolas Höft <nicolas@hoeft.de>
Date:   Sat May 21 13:01:51 2022 +0200

    NGNetUtilities: Support parsing ipv6 address
    
    In this way, we can also bind from ipv6 strings.

M	sope-core/NGStreams/NGInternetSocketAddress.m
M	sope-core/NGStreams/NGNetUtilities.m

commit df31deec61f7787744262f0ae97264b601153ca6
Author: Nicolas Höft <nicolas@hoeft.de>
Date:   Sun May 8 14:28:50 2022 +0200

    feat(core): NGInternetSocketAddress: Support IPv6

M	sope-core/NGStreams/NGInternetSocketAddress.m
M	sope-core/NGStreams/NGInternetSocketDomain.m
M	sope-core/NGStreams/NGNetUtilities.m
M	sope-core/NGStreams/NGStreams/NGInternetSocketAddress.h
M	sope-core/NGStreams/NGStreams/NGInternetSocketDomain.h
M	sope-ldap/NGLdap/NGLdapFileManager.m

commit 63220ddd1a9bc27a2856bbbeb124fca8f997167e
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Wed May 4 09:26:44 2022 -0400

    Update ChangeLog

M	ChangeLog

commit dd08920b293732bba83550c7fdec3c8703319b96
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Tue Apr 5 10:56:43 2022 -0400

    Update ChangeLog

M	ChangeLog

commit 79f272e31554a167be4fcd46f895376be3a8ffc1
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Fri Jun 4 16:39:20 2021 -0400

    fix(imap): avoid sort when mailbox is empty (threaded mode)

M	sope-mime/NGImap4/NGImap4Connection.m

commit b765dc5f2f6917171f153e7ab5d242c107f0e044
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Thu Mar 24 07:23:30 2022 -0400

    fix(core): encode trailing space or tab in quoted-printable
    
    Avoid buffer overflow.

M	sope-core/NGExtensions/NGQuotedPrintableCoding.m

commit 3409ed2668c00a331756d41f8f8db9cdeb7f132f
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Thu Mar 10 16:43:17 2022 -0500

    fix(core): encode trailing space or tab in quoted-printable

M	sope-core/NGExtensions/NGQuotedPrintableCoding.m

commit 26a9334e4971aa34d2b932938f852db5d2aeb815
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Wed Mar 9 11:23:18 2022 -0500

    fix(gdl): escape SQL wildcards when converting from shell pattern

M	sope-gdl1/GDLAccess/EOSQLExpression.m

commit 213facc369ac4ae7baef10a4398cdbe848767c55
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Thu Mar 3 10:31:46 2022 -0500

    fix(core): don't split line right before CR/LF when encoding QP

M	sope-core/NGExtensions/NGQuotedPrintableCoding.m

commit 3c64d156d04d700abc6b733bb61cc0feb4008a85
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Thu Feb 17 10:04:44 2022 -0500

    feat(imap): proxy authentication

M	sope-mime/NGImap4/NGImap4Client.h
M	sope-mime/NGImap4/NGImap4Client.m

commit 29fd0ca63c6989308891385716d01ff762d421e1
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Mon Feb 14 13:06:24 2022 -0500

    fix(sieve): priorise the quoted format in AUTHENTICATE command

M	sope-mime/NGImap4/NGSieveClient.m

commit 2931f296f7fc9eda25be30a0904a86457009d99a
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Fri Feb 4 10:25:13 2022 -0500

    Update ChangeLog

M	ChangeLog

commit 7fc5dceed5a398b6bd9be18acb957438f432e96e
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Thu Jan 27 13:01:42 2022 -0500

    fix(appserver): render DAV exceptions as XML

M	sope-appserver/NGObjWeb/SoObjects/NSException+HTTP.h
M	sope-appserver/NGObjWeb/SoObjects/NSException+HTTP.m
M	sope-appserver/NGObjWeb/SoObjects/SoDefaultRenderer.m

commit 7c72fddddc01761dfa8a87a85bea55ae10d77b27
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Tue Jan 18 11:13:02 2022 -0500

    Update ChangeLog

M	ChangeLog

commit aa06002fc5ca9ff90d8fe6fee2c55893c3dd3073
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Thu Jan 13 16:49:52 2022 -0500

    fix(imap): improve debugging of EOQualifier

M	sope-mime/NGImap4/EOQualifier+IMAPAdditions.m

commit 29e8986630865f9e61399b6b3710f1d8e7f073ce
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Wed Jan 5 16:21:40 2022 -0500

    fix(core): improve SSL error log

M	sope-core/NGStreams/NGActiveSSLSocket.m

commit 37aac3fdc42cf9a90bc43e8eb87a4fe472d261cd
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Tue Jan 4 14:39:08 2022 -0500

    Revert "fix(imap): parse message/global structure like message/rfc822"
    
    This reverts commit e1dbce7bf93556503fa6aa235122034b42b04e99.
    
    Fixes #5453

M	sope-mime/NGImap4/NGImap4ResponseParser.m

commit 7e74ebcb36760cd8a3f8de2d29b86c862b99d661
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Thu Dec 16 11:59:22 2021 -0500

    Update ChangeLog

M	ChangeLog

commit 39aade4bf8668f6591baa81ceca12c885723804c
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Mon Nov 22 14:49:05 2021 -0500

    fix(pgsql): add open connection count in debugging output

M	sope-gdl1/PostgreSQL/PostgreSQL72Channel.m

commit cf3aa193edf5271d2d2c72312ad23721488b2902
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Thu Nov 18 15:43:55 2021 -0500

    Update ChangeLog

M	ChangeLog

commit 74155c9ec531ece59ced534e770c8109b799baf9
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Mon Nov 1 16:47:59 2021 -0400

    fix(mime): restore SENT-DATE support in EOQualifier

M	sope-mime/NGImap4/EOQualifier+IMAPAdditions.m

commit e1dbce7bf93556503fa6aa235122034b42b04e99
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Tue Oct 26 15:32:55 2021 -0400

    fix(imap): parse message/global structure like message/rfc822

M	sope-mime/NGImap4/NGImap4ResponseParser.m

commit 85f64d5d39fa9955e4a99c16e4c0d6c649133ccc
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Thu Oct 21 17:14:07 2021 -0400

    feat(imap): allow search by keyword

M	sope-mime/NGImap4/EOQualifier+IMAPAdditions.m

commit f21a334ce2d7bceee0f7afa7c16b2e5f4afdf8c0
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Thu Sep 30 14:50:25 2021 -0400

    fix(core): don't eat successive LF when decoding quoted printable
    
    Fixes #5231

M	sope-core/NGExtensions/NGQuotedPrintableCoding.m

commit 282803991b7da20fd223cd8fb3b99197790f3ada
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Wed Sep 22 13:35:31 2021 -0400

    core: accept range with no duration in date intersection

M	sope-core/NGExtensions/NGCalendarDateRange.m

commit 4c814c9b9f5bdcc9ee34a949c7cce41e1624fc21
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Fri Sep 10 14:03:45 2021 -0400

    feat(imap): add support for UID MOVE operation

M	sope-mime/NGImap4/NGImap4Client.h
M	sope-mime/NGImap4/NGImap4Client.m

commit 0eb64db6e1e3ba8fc5e03831ac31873f88a75859
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Wed Aug 25 14:57:37 2021 -0400

    fix(mime): encode text parts individually
    
    Fixes #5376

M	sope-mime/NGMail/NGMimeMessageBodyGenerator.m
M	sope-mime/NGMime/NGMimeBodyGenerator.m

commit 6a7d407bb5a86e16ace3b5a38d2b80c2b261b5ae
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Tue Aug 24 15:14:10 2021 -0400

    fix(imap): force envelope subject to return a string

M	sope-mime/NGImap4/NGImap4ResponseParser.m

commit b0137fca131c37da10f1c454e1135276fae569af
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Wed Aug 18 17:18:57 2021 -0400

    Update ChangeLog

M	ChangeLog

commit b7d49f5f242361688c137bc0437a3db91d2dbdb0
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Wed Aug 4 09:58:47 2021 -0400

    fix(imap): parse messages quota
    
    Fixes #5365

M	sope-mime/NGImap4/NGImap4ResponseParser.m

commit c808b54c6f927b6baa54080715dadc4a952f8171
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Tue Jun 15 16:33:37 2021 -0400

    fix(imap): don't unselect mailbox if none is selected

M	sope-mime/NGImap4/NGImap4Client.m

commit 7040f004d432eb6903170909052c13483769f284
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Wed Jun 9 14:26:42 2021 -0400

    fix(imap): flatten and sort inner threads
    
    Fixes #3100
    Fixes #4796

M	sope-mime/NGImap4/NGImap4Connection.m

commit 0a56b9b0c3ef196db2a2c31562c054baef6c81f7
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Tue Jun 8 16:25:04 2021 -0400

    fix(appserver): add timestamp to all web resources
    
    This will force a reload of the file each time it is modified.
    
    Fixes #5335

M	sope-appserver/WEExtensions/WEResourceManager.m

commit b0509cad8e8ae3248cf743bfbfc97fb7c2a8a481
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Mon May 31 21:22:29 2021 -0400

    Update ChangeLog

M	ChangeLog

commit 78362e95e57a5b97ae920a339705b81bab40665d
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Fri May 21 14:17:11 2021 -0400

    fix(core): fix comparator with GNUstep 1.26

M	sope-core/EOControl/EOSortOrdering.m

commit 220e6fe3b714d2d4e9e15b9525db426469a0eab2
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Mon May 17 16:58:14 2021 -0400

    fix(imap): new methods to move mailbox without using NSURL

M	sope-mime/NGImap4/NGImap4Connection.h
M	sope-mime/NGImap4/NGImap4Connection.m

commit 0bb0a9cd46a1228280d490d29841868c603d11a9
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon May 17 15:13:42 2021 -0400

    fix(core): avoid circular references during exceptions handling

M	sope-core/NGStreams/NGActiveSocket.m
M	sope-core/NGStreams/NGSocketExceptions.m

commit 1fd9dba3f08889511a7cca0467194c6afe7c39f9
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Thu May 6 16:38:41 2021 -0400

    fix(ldap): change password - don't bind automatically with user DN

M	sope-ldap/NGLdap/NGLdapConnection.m

commit 7c2c490005cf88bf2e8845a79ac9f69570a3f5e9
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Thu May 6 14:12:59 2021 -0400

    fix(mime): expose content-disposition in bodyInfo

M	sope-mime/NGMime/NGMimeBodyPart.m

commit bad15255544cafba1fad4f61de8a2fbbf01427c2
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Tue Apr 27 13:16:12 2021 -0400

    fix(pgsql): improve error logging when PQexec fails

M	sope-gdl1/PostgreSQL/PostgreSQL72Channel.m

commit 45e3255c9b8b5ce465c1dfec2ab641c5b96e4e93
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Tue Mar 30 17:08:40 2021 -0400

    Update ChangeLog

M	ChangeLog

commit 60d393d65955da6b1e41cdfd48df944ce46c3e54
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Mon Mar 1 20:41:50 2021 -0500

    fix(imap): flatten and sort inner threads
    
    Fixes #3100
    Fixes #4796

M	sope-mime/NGImap4/NGImap4Connection.m

commit b0a271aea01796d41c3086a9f296b34fe855cbd9
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Mon Mar 1 17:18:27 2021 -0500

    fix(imap): flatten and sort inner threads
    
    Fixes #3100
    Fixes #4796

M	sope-mime/NGImap4/NGImap4Connection.m

commit fdb22733fe9898e5edab39c5c28704f5dc4e86af
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Fri Feb 26 14:18:44 2021 -0500

    fix(gdl): don't cast NSNull values as strings

M	sope-core/EOControl/EOQualifierParser.m

commit ffdbc20a026d126a22924ccf97a95e48ad1d8676
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Tue Dec 1 15:52:06 2020 -0500

    fix(addressbook(dav)): add support for macOS 11 (Big Sur)
    
    Fixes #5203

M	sope-appserver/NGObjWeb/WEClientCapabilities.m

commit 5a55b43c7dcbf19b73a21bb10d6c122e26c93440
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Mon Nov 2 11:00:44 2020 -0500

    chore(core): update sope-core/NGStreams/config.guess
    
    Resolves compilation on Debian ARM platform.
    
    Fixes #5202

M	sope-core/NGStreams/config.guess

commit ed0a0784543d22bdbd5890e9e3455dcc36e286b5
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu Oct 15 09:32:00 2020 -0400

    fix(core): consider @ as a printable character

M	sope-mime/NGMime/NGMimeHeaderFieldGenerator.m

commit df94cafba604d17fe44d5160d2421c06cd448fec
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Oct 13 09:59:30 2020 -0400

    fix(core): MIME generation resulting in broken S/MIME (fixes #4634)

M	sope-mime/NGMime/NGMimeMultipartBodyGenerator.m

commit 84b7fecf83a622c75403fc8d1c9ecaf72e80a4e7
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Wed Oct 7 10:47:02 2020 -0400

    Update ChangeLog

M	ChangeLog

commit cb56694116f8e7cb2e5fcb1326fad6e6254bafdd
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed Oct 7 08:00:02 2020 -0400

    fix(core): handle bogus CardDAV clients

M	sope-appserver/NGObjWeb/DAVPropMap.plist

commit 218ca14fc2d322f384c89cdd8509d5db82d8ba5f
Author: Nicolas Höft <nicolas@hoeft.de>
Date:   Sat Sep 26 20:06:49 2020 +0200

    fix(appserver): Fix warning
    
    Convert const char* to char* as the ownership is transferred to NSString

M	sope-appserver/NGObjWeb/WORequest.m

commit 2ad8d880d6be62596b8642ad546c178e182c5c44
Author: Nicolas Höft <nicolas@hoeft.de>
Date:   Sat Sep 26 19:57:36 2020 +0200

    fix(core): Dont leak fd when using STARTTLS
    
    When STARTTLS is used, we re-use the connection and put a
    new socket "on top" of the old one and reuse the file
    descriptor of the previous socket.
    
    This lead to two issues: First, now both sockets tried to close
    the underlying file descriptor: Once from the non-starttls connection,
    once by the starttls connection. This wasnt so harmful, as closing would
    fail with EBADF. Fix this by using the flag `closeOnFree` for such
    fd assignments, in this way the ownership is clearer.
    
    The second issue is more severe: when passing the fd to the TLS socket,
    the TLS socket could already have an fd assigned, but that would never
    be freed. To fix the fd leak simply call `close` on the old fd
    when `setFileDescriptor` is called.
    
    Fixes: #5175

M	sope-core/NGStreams/NGActiveSSLSocket.m
M	sope-core/NGStreams/NGActiveSocket.m
M	sope-core/NGStreams/NGSocket.m
M	sope-core/NGStreams/NGStreams/NGSocket.h

commit c5c23fd757b5b2c9c61cf7229924a8ffbd120fc1
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Fri Sep 25 13:52:35 2020 -0400

    fix(mime): parse empty address in envelope
    
    Fixes #5173
    Fixes #5174

M	sope-mime/NGImap4/NGImap4ResponseParser.m

commit 30815c3876ed29dee41e64c932a5e682edd5c60b
Author: Nicolas Höft <nicolas@hoeft.de>
Date:   Fri Sep 25 11:01:41 2020 +0200

    fix(appserver): Fix memory leak
    
    Free the memory allocated by calloc() again by passing `freeWhenDone: YES`

M	sope-appserver/NGObjWeb/WORequest.m

commit 1ac9e39e8f1a2a14bad8282b2e01a5dd70f61bda
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Mon Sep 14 14:32:01 2020 -0400

    fix(smtp): raise exception when server returns an error

M	sope-mime/NGMail/NGSmtpClient.m

commit 50441eb222fbf6e9e1bff8ce6b7d80b39eeff43f
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Mon Sep 14 14:23:43 2020 -0400

    fix(smtp): add defaults SMTPDebugEnabled
    
    Instead of depending on ImapDebugEnabled, NGSmtpClient and NGSendMail
    will log debugging information only if SMTPDebugEnabled is set.
    
    Fixes #5129

M	sope-mime/NGMail/NGSendMail.m
M	sope-mime/NGMail/NGSmtpClient.m

commit 579f73e6dec22f05f9e2a2e96f9d87e22b788419
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Wed Sep 9 14:59:44 2020 -0400

    fix(imap): ignore empty envelope addresses
    
    Fixes #5142

M	sope-mime/NGImap4/NGImap4ResponseParser.m

commit 4527e6a5c37fb26157ca04ae33591710cbbac68b
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Fri Aug 14 09:45:06 2020 -0400

    fix(mime): encode , / ; / : characters in headers
    
    Fixes #5119

M	sope-mime/NGMime/NGMimeHeaderFieldGenerator.m

commit 5a4f363628a549ad5b93da7dd8e258acc63fa864
Author: Nicolas Höft <nicolas@hoeft.de>
Date:   Sun Aug 2 12:01:00 2020 +0200

    fix(core): NGMimeType: Fix unit tests
    
    Add missing charsets in NGMimeType that are tested in the SOGo unit tests.

M	sope-mime/NGMime/NGMimeType.m

commit 4f280bf2388070d7984602858a59b1a574c2fa70
Author: Nicolas Höft <nicolas@hoeft.de>
Date:   Sun Aug 2 14:33:40 2020 +0200

    feat(core): Allow setting TLS verify mode for IMAP, SMTP, Sieve
    
    Given the query parameter `tlsVerifyMode` one can specify the TLS
    validation mode for IMAP, SMTP, and sieve protocols when the TLS
    wrapper is enabled.
    
    Possible options are:
      * tlsVerifyMode=allowInsecureLocalhost: This will disable peer verification
        if the remote host is on the local machine (localhost and similar)
      * tlsVerifyMode=none: Disable all TLS checks. This should be used for
        debugging only
    
    Refs #5078

M	sope-mime/NGImap4/NGImap4Client.h
M	sope-mime/NGImap4/NGImap4Client.m
M	sope-mime/NGImap4/NGSieveClient.h
M	sope-mime/NGImap4/NGSieveClient.m
M	sope-mime/NGMail/NGSmtpClient.h
M	sope-mime/NGMail/NGSmtpClient.m

commit 417ef16a1ac1d7e3810a8576da71810a207b757f
Author: Nicolas Höft <nicolas@hoeft.de>
Date:   Sun Aug 2 11:58:42 2020 +0200

    feat(core): Extend NSURL with queryComponents
    
    This queryComponents method will return a NSDictionary with the key/values
    for the query, to allow for easy access if the given query components.

M	sope-core/NGExtensions/FdExt.subproj/NSURL+misc.m
M	sope-core/NGExtensions/NGExtensions/NSURL+misc.h

commit 4fb17374daba03c68064039678c1e56e5af2fd81
Author: Nicolas Höft <nicolas@hoeft.de>
Date:   Sat Aug 1 19:40:29 2020 +0200

    feat(core): NGActiveSSLSocket: Allow setting peer verification for STARTTLS
    
    Add a new initializer for NGActiveSSLSocket, `initWithConnectedActiveSocket`
    with the purpose to be initialized on top of a connected socket. Moving
    the function of grabbing the socket fd and options from outside into the
    SSL socket implementation itself.
    
    Also by passing the socket, we dont have to pass the host name explicitly
    anymore, as we can get it from the socket itself.
    
    The verifyMode selector can enable the full TLS checks (default), disable
    them for localhost addresses, or disable peer verification completely.
    
    Refs #5078

M	sope-appserver/NGObjWeb/WOHTTPConnection.m
M	sope-core/NGStreams/NGActiveSSLSocket.m
M	sope-core/NGStreams/NGStreams/NGActiveSSLSocket.h
M	sope-mime/NGImap4/NGImap4Client.m
M	sope-mime/NGImap4/NGSieveClient.m
M	sope-mime/NGMail/NGSmtpClient.m

commit ca0c82834dd51196cee5610f31cce49f69b397e7
Author: Nicolas Höft <nicolas@hoeft.de>
Date:   Sat Jul 25 15:23:50 2020 +0200

    feat(core): SocketAddress: isLocalhost hostName to protocol
    
    The function isLocalhost will return true if the given address is on the
    same machine. For this it checks for "localhost[6]" domain names or if
    the IP is in 127.0.0.1/8.
    
    Add the hostName getter to return the hostname, for LocalSocketAddress it will
    always return YES.

M	sope-core/NGStreams/NGInternetSocketAddress.m
M	sope-core/NGStreams/NGLocalSocketAddress.m
M	sope-core/NGStreams/NGStreams/NGInternetSocketAddress.h
M	sope-core/NGStreams/NGStreams/NGSocketProtocols.h

commit 2c9d49197ad910f8ec5411b666688dfa87bd0988
Author: Nicolas Höft <nicolas@hoeft.de>
Date:   Sat Jul 11 23:20:33 2020 +0200

    feat(core): NGActiveSSLSocket: Add option to disable peer verification
    
    In certain scenarios it may be helpful to disable peer verification,
    even though it undermines the concept in TLS.
    The default is to verify the peer, but it can be disabled if validation
    is disabled before the handshake is performed.

M	sope-core/NGStreams/NGActiveSSLSocket.m
M	sope-core/NGStreams/NGStreams/NGActiveSSLSocket.h

commit 34dc27941e5f685ddd4362a29968a8ac7221db0d
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Thu Jul 30 11:28:25 2020 -0400

    fix(imap): sanitize destination mailbox name in copy operations
    
    Fixes #5095

M	sope-mime/NGImap4/NGImap4Client.m

commit 8b1b1a0d830a33dbbebccc07ef1872f84af810de
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Thu Jul 9 15:40:39 2020 -0400

    fix(sieve): improve connection error remediation

M	sope-core/NGStreams/NGActiveSSLSocket.m
M	sope-mime/NGImap4/NGSieveClient.m

commit 9c5483b96c27430ab289e99698974853ae82abf8
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu Jul 9 12:09:46 2020 -0400

    fix(core): added MySQL debugging when opening/closing connections

M	sope-gdl1/MySQL/MySQL4Channel.m

commit 9460140be5394c86f68c48f6f22ddb156c5e88ed
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed Jul 8 07:56:03 2020 -0400

    fix(core): added method in header to avoid warning

M	sope-core/NGExtensions/NGExtensions/NSProcessInfo+misc.h

commit d9fd0098df691c7fdc6da1a3b7fbdcd9c206f3d2
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu Jul 2 14:18:57 2020 -0400

    feat(core): show the current fd count at end of each request

M	sope-appserver/NGObjWeb/WOHttpAdaptor/WOHttpTransaction.m
M	sope-core/NGExtensions/FdExt.subproj/NSProcessInfo+misc.m

commit dbe2dc04ee4315f00b24b48dcac3cc4ca1737d70
Author: Johannes Kanefendt <johannes.kanefendt@krzn.de>
Date:   Thu Jul 2 14:23:39 2020 +0200

    Fixed set of printable characters in quoted printable according to RFC2047

M	sope-mime/NGMime/NGMimeHeaderFieldGenerator.m

commit 059a4075d9048a8af6cefb3f5bfe887600b65525
Author: Nicolas Höft <nicolas@hoeft.de>
Date:   Thu Jun 18 22:40:53 2020 +0200

    feat(core): Support older GnuTLS versions
    
    Add version checking to GnuTLS and use manual host name verification
    in case GnuTLS does not support this natively.
    
    Because older GnuTLS versions do not support using the system trust,
    add a new configuration option to pass the system CA bundle. This option
    can also search for the default locations. If none is given, but the
    the GnuTLS version does not support loading the default system trust,
    compilation will fail.

M	configure
M	sope-core/NGStreams/GNUmakefile.preamble
M	sope-core/NGStreams/NGActiveSSLSocket.m

commit d79191fe918590d7846bdb1b0ee10e77d5a3033b
Author: Nicolas Höft <nicolas@hoeft.de>
Date:   Wed Jun 17 14:48:19 2020 +0200

    feat(core): Support hostname validation for openssl<1.0.2
    
    Older versions of OpenSSL need hostname validation injected via
    SSL_CTX_set_cert_verify_callback(). match_pattern() function and
    _validateHostname() are based on boost asio code.
    
    Remove unused BIO functions.
    
    Fixes #5019

M	sope-core/NGStreams/NGActiveSSLSocket.m
M	sope-core/NGStreams/NGStreams/NGActiveSSLSocket.h

commit 280bc8dfffc0b0176729e2982d5bb6141dbbedfd
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Jun 23 12:40:06 2020 -0400

    fix(packaging): add proper build dep

M	packaging/rhel/sope.spec

commit ff8d877064351e7490655a09c5de18261c3fdead
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri Jun 19 10:43:20 2020 -0400

    fix(core): remove unuseful control char

M	sope-core/NGStreams/NGPassiveSocket.m

commit a948deb76767521651f6d1fba79669360debacf0
Author: Nicolas Höft <nicolas@hoeft.de>
Date:   Wed Jun 17 15:02:45 2020 +0200

    Revert "Merge pull request #55 from inverse-inc/revert-52-bugfix/5019-tls-hostname"
    
    This reverts commit e249ac8d417614bc237673afe46cee2ac224aba3, reversing
    changes made to 03316166cbbe48abcfc07a6db5158134748ce5ed.

M	sope-appserver/NGObjWeb/WOHTTPConnection.m
M	sope-core/NGStreams/NGActiveSSLSocket.m
M	sope-core/NGStreams/NGStreams/NGActiveSSLSocket.h
M	sope-mime/NGImap4/NGImap4Client.m
M	sope-mime/NGImap4/NGSieveClient.m
M	sope-mime/NGMail/NGSmtpClient.m

commit dbd28bdac646f05ea55a23ddb64dc04621cfed81
Author: Extra Fu <lmarcotte@inverse.ca>
Date:   Tue Jun 16 13:22:04 2020 -0400

    Revert "feat(core): Peer verification on TLS connections"

M	sope-appserver/NGObjWeb/WOHTTPConnection.m
M	sope-core/NGStreams/NGActiveSSLSocket.m
M	sope-core/NGStreams/NGStreams/NGActiveSSLSocket.h
M	sope-mime/NGImap4/NGImap4Client.m
M	sope-mime/NGImap4/NGSieveClient.m
M	sope-mime/NGMail/NGSmtpClient.m

commit bc766e2463fba726a7a17000e168a4f0efbd60f7
Author: Nicolas Höft <nicolas@hoeft.de>
Date:   Tue May 12 10:20:07 2020 +0200

    feat(core): NGActiveSSLSocket: Check host name for GnuTLS
    
    Implement peer verification for TLS connections also
    for GnuTLS. It will load the default system CA root store,
    and also send the Server Name Indication (SNI).
    
    Fixes #5019

M	sope-core/NGStreams/NGActiveSSLSocket.m
M	sope-mime/NGImap4/NGImap4Client.m

commit 0370e1bba4e9f5437049661dbcc19dfd4b25525e
Author: Nicolas Höft <nicolas@hoeft.de>
Date:   Tue May 12 10:03:08 2020 +0200

    feat(core): NGActiveSSLSocket: Implement peer verification for OpenSSL
    
    Load system default CA trust store and verify the hostname of the
    endpoint.
    Simplify the SSL setup by reducing duplicate initialization code.
    
    Require a host name argument now to be able to compare the host names
    with.
    
    Fixes #5019

M	sope-appserver/NGObjWeb/WOHTTPConnection.m
M	sope-core/NGStreams/NGActiveSSLSocket.m
M	sope-core/NGStreams/NGStreams/NGActiveSSLSocket.h
M	sope-mime/NGImap4/NGImap4Client.m
M	sope-mime/NGImap4/NGSieveClient.m
M	sope-mime/NGMail/NGSmtpClient.m

commit 994caa9df00f47571baa5a1ffe532804e9c0c01b
Author: Nicolas Höft <nicolas@hoeft.de>
Date:   Mon May 11 18:48:12 2020 +0200

    fix(core): Disable Nagle for TLS connections
    
    To improve TLS handshake performance, disable Nagle
    algorithm on the underlying socket.

M	sope-core/NGStreams/NGActiveSSLSocket.m

commit 7be6ef55cee4d6f59d75f6fba2150f47a7b07bb4
Author: Johannes Kanefendt <johannes.kanefendt@krzn.de>
Date:   Tue Jun 9 14:14:15 2020 +0200

    Allow writing files directly (in small blocks) to HTTP response

M	sope-appserver/NGObjWeb/NGObjWeb/WOMessage.h
M	sope-appserver/NGObjWeb/WOHttpAdaptor/WOHttpTransaction.m
M	sope-appserver/NGObjWeb/WOMessage.m

commit f65084a8c5fedf00dc391d0b376213d006bb6222
Author: Roland Illig <roland.illig@gmx.de>
Date:   Sun May 31 16:31:29 2020 +0200

    Fix usage of <ctype.h> functions
    
    These functions must not be called with negative integers, except for EOF.
    
    libxmlHTMLSAXDriver.m:784:9: error: array subscript is of type 'char' [-Werror,-Wchar-subscripts]
    libxmlHTMLSAXDriver.m:797:49: error: array subscript is of type 'char' [-Werror,-Wchar-subscripts]

M	sope-xml/libxmlSAXDriver/libxmlHTMLSAXDriver.m

commit 5ee8894b17cdebed1716e9d67cbbb2026226e46a
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed May 13 14:53:27 2020 -0400

    fix(packaging): fix for rhelv8

M	packaging/rhel/sope.spec

commit 9fddad2ccbf327edb0eab018e86712c08e5ef3c0
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed May 13 14:25:52 2020 -0400

    fix(packaging): disable oracle on RHELv8

M	packaging/rhel/sope.spec

commit 9cb89a04697e08784e8221f0f272459f9e32efd9
Author: Nicolas Höft <nicolas@hoeft.de>
Date:   Tue May 12 10:04:09 2020 +0200

    fix(core): ActiveSSLSocket: Fix GnuTLS issues
    
    The read/write functions from GnuTLS may return GNUTLS_E_AGAIN or
    GNUTLS_E_INTERRUPTED. In such a case, we just have to retry. This
    fixes apparent sudden reconnects observed in Debian Buster:
    
        [NGImap4Client]> ERROR(-[NGImap4Client _processUnknownCommandParserException:]): catched non-IMAP4 parsing exception UnexpectedEndOfStream: the parsed stream ended unexpectedly
    
    Further, when compiling SOPE with GnuTLS, a warning would be issued:
    
      warning: cast to pointer from integer of different size [-Wint-to-pointer-cast]
      gnutls_transport_set_ptr((gnutls_session_t) self->session, (gnutls_transport_ptr_t) self->fd);
    
    On 64bit systems this can be quite dangerous, as an invalid file
    descriptor would be passed to GnuTLS, rendering the transport unusable.
    Fix this by using the new function `gnutls_transport_set_int()` if available
    (GnuTLS >= 3.1.9). Otherwise, cast the fd to long to ensure the higher bits
    are zero, too.
    
    Also make sure to return an error if sending or receiving data fails,
    otherwise the socket may hang indefinitely.
    
    Fixes #4783

M	sope-core/NGStreams/NGActiveSSLSocket.m

commit 40bb586cf04bf6969e17cf6fc7e2cd8ce6987d31
Author: Nicolas Höft <nicolas@hoeft.de>
Date:   Sun May 10 21:16:40 2020 +0200

    feat(smtp): Support STARTTLS
    
    Following the implementations on IMAP and Sieve, implement STARTTLS
    also for SMTP: A new TLS socket is built on the already open socket
    which performs all TLS related actions. The SMTP client then
    only has to talk on the TLS socket.
    
    Note that after issuing STARTTLS command, we have to re-request the
    supported server capabilities (i.e. send EHLO again and parse the
    server response), because the announced AUTH mechanism may change.
    
    Fixes #31

M	sope-mime/NGMail/NGSmtpClient.m

commit ec32774cc5555f4b6f9005ade081fc02d9a88764
Author: Nicolas Höft <nicolas@hoeft.de>
Date:   Sat May 9 19:32:28 2020 +0200

    feat(smtp): Support smtps
    
    Implement support for SMTPS. Remove some unused initialization
    functions and add one expecting NSURL. From this url we can extract
    the scheme: smtp:// or smtps://, whereas the former is unencrypted SMTP
    and the latter refers to smtp in SSL/TLS wrapper mode (usually port 465).
    
    As with IMAPS and STARTTLS for sieve, openssl or GnuTLS need to be present
    for this to work.
    
    Fixes #31

M	sope-mime/NGMail/NGSmtpClient.h
M	sope-mime/NGMail/NGSmtpClient.m

commit ec7ecb52d4b2c432320703a6892b04382824a45f
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Fri May 1 14:52:43 2020 -0400

    Update ChangeLog

M	ChangeLog

commit 0a5bb5e3ea69ebeae41ee89dd8cd91205ee96fa8
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Wed Apr 29 12:48:22 2020 -0400

    fix(core): escape quotes before sending SQL queries
    
    Add accessors for new "formatted" variable

M	sope-core/EOControl/EOKeyValueQualifier.m
M	sope-core/EOControl/EOQualifier.h

commit 567bd0bdb3b2856dc74f58be35fa504b26b9617c
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Mon Apr 27 17:15:54 2020 -0400

    fix(core): escape quotes before sending SQL queries
    
    Fixes #5010

M	sope-core/EOControl/EOKeyValueQualifier.m
M	sope-core/EOControl/EOQualifier.h

commit 7aa37c3fdea1a9937c3002c26071eecfbe063c1e
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Mon Apr 20 10:06:45 2020 -0400

    fix(core): don't try to close a null file descriptor

M	sope-core/NGExtensions/FdExt.subproj/NSProcessInfo+misc.m

commit e42d8ea87119ab74dd2d92ff428209ba1b36fd7c
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Tue Dec 17 15:09:55 2019 -0500

    Update ChangeLog

M	ChangeLog

commit c9712eb71a743b5b8a15dfb4023de20e053518ac
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Tue Dec 17 15:06:30 2019 -0500

    fix(sieve): parse code from Sieve response

M	sope-mime/NGImap4/NGImap4ResponseParser.m

commit 2e63326871c41fd63b60a26eaa3f4d4bcd2a5684
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu Nov 7 13:28:40 2019 -0500

    chore(core): use a bool instead of stupid string

M	sope-mime/NGImap4/NGSieveClient.m

commit 460cf44aebdd6c70194ab615b53da212a6103633
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Thu Oct 31 13:27:47 2019 -0400

    Update ChangeLog

M	ChangeLog

commit dd8c873b0dafc2f3011b718e0e88a5b3b9853eec
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed Oct 30 13:35:16 2019 -0400

    (fix) ensure the From header is always the first one

M	sope-mime/NGMime/NGMimePartGenerator.m

commit 921d4e07819b467e160d7c388ca6cb8a8ea1f7fb
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Thu Oct 24 10:48:48 2019 -0400

    Update ChangeLog

M	ChangeLog

commit f567f984bf1c9f2cad86a3f66667f5ad8b796760
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri Sep 13 10:42:13 2019 -0400

    (fix) don't trim illegal characters (fixes #4806)

M	sope-mime/NGMail/NSData+MimeQP.m

commit 4c02b000d1bfaf1b706ceaf5b22492794a0c3a78
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed Sep 4 13:42:10 2019 -0400

    (fix) cleaned the IMAP separator mess

M	sope-mime/NGImap4/NGImap4Connection.h
M	sope-mime/NGImap4/NGImap4Connection.m

commit ffd38bc3b56d0eaa0135881a2acc34b8bf9d5b0a
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Fri Jul 19 13:35:15 2019 -0400

    Update ChangeLog

M	ChangeLog

commit 44539feee74e3f7f76ca7061c31ae3fac4f00c78
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Jul 8 10:39:49 2019 -0400

    (fix) be more permissive about broken state

M	sope-core/NGStreams/NGActiveSocket.m

commit d7d5679d23f8f833aba226cb536495f2e6233eea
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Jun 10 13:37:11 2019 -0400

    (fix) check if fd has any pending read

M	sope-core/NGStreams/NGActiveSSLSocket.m
M	sope-core/NGStreams/NGActiveSocket.m

commit d5043f35c2101cdee793fa4631e0304221b02a57
Author: Janne Heß <janne@hess.ooo>
Date:   Mon Jun 10 00:56:06 2019 +0200

    configure: Harmonize help and implementation

M	configure

commit b8a712d0558b28f1d52340a554cf0e0997f50412
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Jun 4 11:44:31 2019 -0400

    (fix) re-enabled poll() and added isAlive for SSL sockets

M	sope-core/NGStreams/NGActiveSSLSocket.m
M	sope-core/NGStreams/NGActiveSocket.m

commit 2c53f8800bd62b7fc824405b7e7bec0e3007e49b
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Jun 3 16:05:50 2019 -0400

    Reverted the old select code for now

M	sope-core/NGStreams/NGActiveSocket.m

commit 0d2ea932359ce016c2481358a37f9a082263a5b9
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu May 30 13:38:26 2019 -0400

    (fix) proper error message

M	sope-core/NGStreams/NGActiveSocket.m

commit 65ae507ac33a47943bd419ee099931b24fe420d4
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu May 30 13:34:38 2019 -0400

    (fix) improve polling code

M	sope-core/NGStreams/NGActiveSocket.m

commit 1b754c106c47bd171a1dcd7f87d0193d9cf80150
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu May 23 12:48:51 2019 -0400

    (fix) use poll instead of select to avoid stack smashing with over 538 processes

M	sope-core/NGStreams/NGActiveSocket.m

commit 5ea4be632df98679f6f254867c078cca2d2a29b4
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu May 23 10:57:30 2019 -0400

    (fix) improving buffer sizing to avoid overruns

M	sope-core/NGExtensions/FdExt.subproj/NSString+HTMLEscaping.m

commit bf0441560db807ee2216e66cd0d06c8b785fb570
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu May 23 10:56:25 2019 -0400

    (fix) improve logging

M	sope-mime/NGImap4/NGImap4ResponseParser.m

commit 8cf45c4d6fa114bc5d7ffa9bb8776de6389472d7
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon May 13 14:35:54 2019 -0400

    (fix) improved debugging

M	sope-core/NGStreams/NGActiveSocket.m

commit cbb62fb10bf298f082937008575027c9207a59c2
Author: Cycylno <3764524+Cycylno@users.noreply.github.com>
Date:   Sat Mar 30 09:54:32 2019 +0800

    Add zh-cn and zh-tw to language list.
    
    Fixes the error in SOGo, sogod : [ERROR] [we-rm] did not find locale for language: Chinese.

M	sope-appserver/NGObjWeb/Languages.plist

commit 0b8813c3d13d5bf99e3fa719eaf4af97599b4307
Author: Yavor Doganov <yavor@gnu.org>
Date:   Wed Feb 27 15:00:24 2019 +0100

    Treat va_list as a struct for sh4, like on alpha and arm*

M	sope-gdl1/GDLAccess/EOSQLQualifier.m
M	sope-gdl1/GDLAccess/FoundationExt/PrintfFormatScanner.m

commit f9d2aa0d838a7d209bc18f0a51977416ff556312
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Thu Feb 21 09:47:54 2019 -0500

    Update ChangeLog

M	ChangeLog

commit 2ca5842d863fd9f25593c6b608f5a1954f79d345
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu Feb 14 14:15:22 2019 -0500

    (fix) safety check to avoid exception

M	sope-mime/NGMail/NGMailAddressParser.m

commit f5487e92a33bbae961c7bce15c4204904af26225
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Wed Jan 9 09:29:34 2019 -0500

    Update ChangeLog

M	ChangeLog

commit 39a84e811cfdd1aa246386a6f38b4f2e2ff68c2e
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri Dec 14 11:15:26 2018 -0500

    (fix) added EAS fix for MobileIron MDM

M	sope-appserver/NGObjWeb/WEClientCapabilities.m

commit ed132260a6f33da61b905507685e645453737563
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Wed Oct 17 11:20:42 2018 -0400

    Update ChangeLog

M	ChangeLog

commit 0aa1ddb95534bf85dba8c733835418d2ce2039ad
Author: DJ Lucas <dj@lucasit.com>
Date:   Sat Oct 13 23:47:18 2018 -0500

    Don't use SSL_library_init() and friends for OpenSSL 1.1.0.

M	sope-core/NGStreams/NGActiveSSLSocket.m

commit 7440b66c054e67049969767084f7feb244b83224
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Sat Sep 22 10:27:26 2018 -0400

    Revert "(fix) remove un-needed library link"
    
    This reverts commit 834f8c735dab3ab4008170ae7c72f61e7c30548e.

M	sope-gdl1/Oracle8/GNUmakefile

commit 31762856c94aa40bbbc7c759528cbf085c4516db
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri Sep 21 12:45:40 2018 -0400

    (fix) avoid trying to reconnect, the check for OCI_ATTR_SERVER_STATUS is always bogus

M	sope-gdl1/Oracle8/OracleAdaptorChannel.m

commit a08001b0379f9d1d4be8afb46fd7e0c2f339201b
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri Sep 21 11:18:17 2018 -0400

    (fix) force reading data in UTF-16

M	sope-gdl1/Oracle8/OracleAdaptorChannel.m

commit 834f8c735dab3ab4008170ae7c72f61e7c30548e
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri Sep 21 10:24:25 2018 -0400

    (fix) remove un-needed library link

M	sope-gdl1/Oracle8/GNUmakefile

commit 23c7f81c125a82c3a2f56da686d171f971527c16
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu Sep 20 09:15:22 2018 -0400

    Use the non-deprecated function

M	sope-gdl1/Oracle8/OracleAdaptorChannel.m

commit 471bfae774b32a266a1bf5f144426007c07c3f3f
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Sep 4 15:04:36 2018 -0400

    (fix) added more logging

M	sope-gdl1/Oracle8/OracleAdaptorChannel.m
M	sope-gdl1/Oracle8/OracleAdaptorChannelController.m

commit 654ba58f2fedd1d1fb233b35b3a7dea4d1733d1c
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Aug 28 06:50:29 2018 -0400

    Fixed typo

M	sope-gdl1/Oracle8/OracleAdaptorChannel.m

commit e4bc04663ca0abf6e0a99d88ffacaf2b3b166949
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Aug 27 08:40:41 2018 -0400

    (fix) improved debugging

M	sope-gdl1/Oracle8/OracleAdaptorChannel.m

commit c5d07009b71660490d41349da539bb62f9e6156d
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Fri Aug 24 09:03:11 2018 -0400

    Update ChangeLog

M	ChangeLog

commit a6703c60f03af455e7e73a7f836eb3ed6be7f397
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Tue Aug 21 12:38:58 2018 -0400

    Add support for the HttpOnly flag on cookies

M	sope-appserver/NGObjWeb/NGObjWeb/WOCookie.h
M	sope-appserver/NGObjWeb/WOCookie.m

commit 3c4d515e036fc387240b6d1757031937cfd666b9
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Aug 13 08:14:12 2018 -0400

    (fix) enable Oracle OCI support for RHELv7

M	packaging/rhel/sope.spec

commit 794ec4a87ec5d8b45eca73306d4d2bbcc0de93cb
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Tue Jul 10 09:55:20 2018 -0400

    Update ChangeLog

M	ChangeLog

commit a8523275c860bca39c5d37fe238ac5d35ecc7316
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed Jun 27 09:42:49 2018 -0400

    Removed noise

M	sope-core/NGStreams/NGByteBuffer.m

commit 2f26952009f622f97a43921a6cfdafb79b8f46f6
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Jun 11 10:55:16 2018 -0400

    (fix) better error-handling on SSL sockets

M	sope-core/NGStreams/NGActiveSSLSocket.m

commit 275a75b28e304568e0b9ff1582f149e8b8ca73b3
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Mon May 7 16:13:51 2018 -0400

    Fix sorting of array of arrays
    
    We now handle empty arrays.

M	sope-core/EOControl/EOSortOrdering.m

commit 2d38fbe94b515ddf22aad3dca49f5e542188b749
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Mar 19 13:42:38 2018 -0400

    (fix) improve LDAP logging

M	sope-ldap/NGLdap/NGLdapSearchResultEnumerator.m

commit 72ed256b2b2fdee432c1b3e4a4aae1b54e9dd935
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed Mar 14 11:47:58 2018 -0400

    (fix) properly handle wide chars

M	sope-core/NGExtensions/FdExt.subproj/NSString+HTMLEscaping.m

commit 4786b5faf535b2144fa552adc77fcfb64f9d3515
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed Mar 14 09:17:55 2018 -0400

    (fix) improve LDAP error logging

M	sope-ldap/NGLdap/NGLdapConnection.m
M	sope-ldap/NGLdap/NGLdapSearchResultEnumerator.m

commit 597265a11da87e9580586ea43c9e35a4342762f6
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Mar 13 18:59:08 2018 -0400

    (fix) improve LDAP error output

M	sope-ldap/NGLdap/NGLdapConnection.m

commit 8f48ab7f5d96c615dfac910be0ef4e01e8629321
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed Mar 7 11:21:58 2018 -0500

    Update ChangeLog

M	ChangeLog

commit 0f5d66fabe9232ef0f03f15670103a69ffede35e
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Tue Feb 6 15:31:45 2018 -0500

    Fix parsing of quota root in IMAP server response
    
    Fixes #4382

M	sope-mime/NGImap4/NGImap4ResponseParser.m

commit d76498eb6581413cb4c6264dfbba1a92cfcab28e
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Wed Jan 24 16:01:05 2018 -0500

    Allow comparison of arrays

M	sope-core/EOControl/EOSortOrdering.m

commit edc566a2d9df26b623c70d2848e82771ce4e7329
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Jan 23 10:32:28 2018 -0500

    (fix) also set the bodyId in fake bodyInfo

M	sope-mime/NGMime/NGMimeBodyPart.m

commit 6d0a70d6988bcbd6782f81d58df77fe444d74c67
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri Jan 12 15:37:38 2018 -0500

    (fix) added missing commits for S/MIME support

M	sope-mime/NGMail/NGMailBase64Encoding.m
M	sope-mime/NGMime/NGMimeBodyPart.h
M	sope-mime/NGMime/NGMimeBodyPart.m

commit 43e4fe5115d28e1a2cdfc0100659ab378e40ec30
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Wed Oct 18 11:14:48 2017 -0400

    Update ChangeLog

M	ChangeLog

commit 45db3976d3f4790337e3e8bfb149f053e88174f9
Author: Ivan Zakharyaschev <imz@altlinux.org>
Date:   Mon Oct 9 18:15:35 2017 +0300

    _{encodeTo,decodeOf}ModifiedUTF7(): 64th digit of the base is "," (RFC3501)
    
    According to https://tools.ietf.org/html/rfc3501#section-5.1.3 ,
    in comparison to Base64 encoding, "," should be used instead of "/"
    as the greatest digit of the base.
    
    Of course, this meant that the encodings used by an IMAP server (e.g.,
    dovecot) and SOGo did not match when they were communicating with each
    other.
    
    For example, when SOGo attempts to create a folder whose encoding
    includes the base64 "/" digit, it is not accepted as valid mUTF7 by
    the IMAP server:
    
    C[0x5649de0d5d30]: 5 LIST "" ""
    S[0x5649de0f3640]: * LIST (\Noselect) "/" ""
    S[0x5649de0f3640]: 5 OK List completed (0.001 + 0.040 + 0.039 secs).
    C[0x5649de0d5d30]: 6 create "INBOX/&BD8EMAQ/BDA-"
    S[0x5649de0f3640]: 6 NO Mailbox name is not valid mUTF-7 (0.001 + 0.000 secs).
    
    In the other direction, when such a folder is listed by the IMAP
    server, it appears with a ",", for example: "&BD8EMAQ/BDA-". And this
    is not correctly decoded by SOGo due to the fact that "," is not known
    to SOGo as a digit in this base and is mapped to -1 by the internal
    table, which results in a wrong Unicode code.
    
    An example of a Unicode string which would trigger this bug is a
    string with U+043F CYRILLIC SMALL LETTER PE as the third letter:
    
    $ printf '\x04\x3f\x04\x30\x04\x3f' | recode ucs-2..
    $ printf '\x04\x3f\x04\x30\x04\x3f' | base64
    BD8EMAQ/
    
    Three two-byte Unicode (Cyrillic) characters correspond to eight 6-bit
    base64 digits, the last one being "/":
    
    U+043F                U+0430                 U+043F
    0000 01|00 0011 1111  00|00 0100 0011 00|00  0000 0100 00|11 1111
          B|      D|       8|      E|      M|       A|      Q|      /|
    
    This bug has been reported in:
    
    https://sogo.nu/bugs/view.php?id=4308
    https://bugzilla.altlinux.org/show_bug.cgi?id=32426
    https://bugzilla.altlinux.org/show_bug.cgi?id=33722
    
    and a part of the problem described in
    https://sogo.nu/bugs/view.php?id=2318 must be caused by incorrect
    mUTF7 encoding, too (and hence must have not been fixed completely
    before):
    
    And I see next messages when I try to open Cyrillic folder:
    C[0x7fb2e23a77a0]: 5 select "&BBQEPgRBBEIEQwT/BEs-"
    S[0x7fb2e21fb690]: 5 NO Invalid mailbox name: &BBQEPgRBBEIEQwT/BEs-
    
    As can you see sogo sends wrong folder name:
    received "&BBQEPgRBBEIEQwQ,BEs-"
    sent "&BBQEPgRBBEIEQwT/BEs-"

M	sope-mime/NGImap4/NSString+Imap4.m

commit 8941256d13bb1440adfeec10171e400db1d84796
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Wed Jul 5 10:58:34 2017 -0400

    Update ChangeLog

M	ChangeLog

commit bcaca802d6bfe73662e1072b5d4bab9c53dfcb32
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Jun 27 10:24:41 2017 -0400

    (fix) added Debian 9 compat

M	packaging/debian/control.in

commit 5f44dc09c67fff0493566ae9a6823393813a4b0a
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri Jun 9 15:31:11 2017 -0400

    (fix) avoid breaking the NSLog call - gcc lameness?

M	sope-gdl1/MySQL/MySQL4Channel.m
M	sope-gdl1/PostgreSQL/PostgreSQL72Channel.m

commit 88a5c874ec182cd9c94950989ac59fc93d75e955
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Thu Jun 1 09:56:01 2017 -0400

    Update ChangeLog

M	ChangeLog

commit 1aeb286bc28e722dba821798f388a9111896ed15
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Thu May 25 15:46:14 2017 -0400

    (IMAP) Remove parenthesis in AND qualifier

M	sope-mime/NGImap4/EOQualifier+IMAPAdditions.m

commit e5b4212ea2bd76dd3886a85fe795acc5cfe16b10
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Tue May 9 09:07:33 2017 -0400

    Update ChangeLog

M	ChangeLog

commit 4ef04c722776286ccc4a1ed16b97f2e84b1b873a
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Fri Mar 24 09:48:05 2017 -0400

    Update ChangeLog

M	ChangeLog

commit a8511fde705b5a00e0d97727b75c9c7b702ae08d
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Fri Mar 10 11:16:47 2017 -0500

    Update ChangeLog

M	ChangeLog

commit 152a289a4ec0fa9b402482c23e99947a8a437b42
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Thu Mar 9 09:36:03 2017 -0500

    New association to define HTML5 boolean attribute

M	sope-appserver/NGObjWeb/Associations/GNUmakefile
A	sope-appserver/NGObjWeb/Associations/WOBoolAssociation.h
A	sope-appserver/NGObjWeb/Associations/WOBoolAssociation.m
M	sope-appserver/NGObjWeb/Defaults.plist
M	sope-appserver/NGObjWeb/DynamicElements/WOGenericElement.m
M	sope-appserver/NGObjWeb/WODynamicElement.m

commit cdc1e99b6f27ff2673b67ca76449d95128e48a1d
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Feb 14 08:42:19 2017 -0500

    Update ChangeLog

M	ChangeLog

commit e13714e2faf4f49d02e9e84661ad0466a0407c5a
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Mon Jan 23 10:03:30 2017 -0500

    Update ChangeLog

M	ChangeLog

commit bc75598c5cc3c4db398ac1219dfd32633c202094
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri Jan 13 15:42:07 2017 -0500

    (fix) expose the "method" method, you silly SOPE

M	sope-mime/NGMime/NGConcreteMimeType.h

commit 1e31be9bbc7f40cfc7975e890b6a51764b0db7d2
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Fri Jan 6 20:59:02 2017 -0500

    Update ChangeLog

M	ChangeLog

commit e083bd9858ad8d4eaa4e4a9a77912e2a4a289764
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu Jan 5 10:09:15 2017 -0500

    (fix) pick the right generator (fixes #3977)

M	sope-mime/NGMime/NGMimePartGenerator.m

commit c96d96d56f546321e807b5baa85ed707336aeb44
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri Dec 30 13:55:40 2016 -0500

    (fix) properly capitalize mail headers (fixes #1047)

M	sope-appserver/NGObjWeb/WOHttpAdaptor/WOHttpTransaction.m
M	sope-core/NGExtensions/FdExt.subproj/NSString+misc.m
M	sope-core/NGExtensions/NGExtensions/NSString+misc.h
M	sope-mime/NGMime/NGMimePartGenerator.m

commit 4deea9073f1e576b6c9e8dfff045af014f4a4caa
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu Dec 29 09:54:40 2016 -0500

    (fix) additional fix for streaming issues

M	sope-appserver/NGObjWeb/NGHttp/NGHttpMessageParser.m

commit 7b20f29a618ea380de9404278b0fc7c6a13fe51b
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri Dec 23 15:53:23 2016 -0500

    (fix) force a content-lenght to be specified to avoid streaming (fixes #3249)

M	sope-appserver/NGObjWeb/NGHttp/NGHttpMessageParser.m

commit 2f1d8b1323344c53512f930ed320cf43d8a3588e
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu Dec 22 14:24:58 2016 -0500

    (feat) allow DN lookup using qualifier

M	sope-ldap/NGLdap/NGLdapConnection.h
M	sope-ldap/NGLdap/NGLdapConnection.m

commit ac4024cbc835dbe724252448cec8da7898875df1
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri Dec 2 16:29:07 2016 -0500

    Revert "(fix) if no handler defined, raise the exception"
    
    This reverts commit fa536470e65ef075dea80c1a143af12aa7922f87.

M	sope-xml/libxmlSAXDriver/libxmlHTMLSAXDriver.m

commit fa536470e65ef075dea80c1a143af12aa7922f87
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri Dec 2 15:50:54 2016 -0500

    (fix) if no handler defined, raise the exception

M	sope-xml/libxmlSAXDriver/libxmlHTMLSAXDriver.m

commit 956c7b908c10fcd692be31be5353a1ac95ad2850
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Thu Dec 1 12:16:52 2016 -0500

    Update ChangeLog

M	ChangeLog

commit 98c6ece78785357cf1c6b805774559df37f86773
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Nov 28 14:39:33 2016 -0500

    Update ChangeLog

M	ChangeLog

commit 3c66ec5a8f59cea88fd1e3239c4ea946301e61cc
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Fri Nov 25 11:01:13 2016 -0500

    Update ChangeLog

M	ChangeLog

commit ac70bd12c23135cf5a957c27b861f143e2c6b3e0
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed Nov 23 16:24:56 2016 -0500

    (fix) handle non-string LDAP attributes, return NSData instances

M	sope-ldap/NGLdap/NGLdapEntry.m

commit 674139c077c037244bc709ab9f803c1316b58645
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Wed Nov 23 11:36:32 2016 -0500

    Update ChangeLog

M	ChangeLog

commit d047870b37db97fc605a53b84b1e86eca5691aa5
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Mon Nov 21 13:11:42 2016 -0500

    Use %u instead of %d in NGImap4Client
    
    Fixes #3908

M	sope-mime/NGImap4/NGImap4Client.m
M	sope-mime/NGImap4/NGImap4Connection.m

commit 801734f7ed6b616437b77a646e69a96fc409003f
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu Oct 20 10:50:30 2016 -0400

    Update ChangeLog

M	ChangeLog

commit f503532011f6cff22277688bdfa6b3381f8fcebc
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri Oct 14 09:17:46 2016 -0400

    (fix) attempt to make the annotation parser a bit more robust

M	sope-mime/NGImap4/NGImap4ResponseParser.m

commit 928842388d95f82063ab2d97eccf7acd197df64c
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Oct 11 11:18:51 2016 -0400

    (fix) more safety checks around nil annotation values

M	sope-mime/NGImap4/NGImap4ResponseParser.m

commit d6a218e53727000c5c7dc843225ce9354449b401
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Oct 11 08:39:09 2016 -0400

    (fix) make sure we have a non-nil annotation when trying to populate the hash

M	sope-mime/NGImap4/NGImap4Client.m

commit 09c59f08c178ee9a0fd87701a3b3b55b7ee4461a
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Mon Oct 3 11:59:24 2016 -0400

    Update ChangeLog

M	ChangeLog

commit 4a2b7df9d0c67a915ea27cef924be7bdc4fe6f24
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed Sep 14 09:32:21 2016 -0400

    Update ChangeLog

M	ChangeLog

commit 8d875425b28c93da47707d3aec646521b558ee7a
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed Aug 17 08:22:39 2016 -0400

    Update ChangeLog

M	ChangeLog

commit 514fb76a7fbe0c32b22504c27bc8ba7e9152135b
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Aug 16 08:42:59 2016 -0400

    (fix) handle broken multipart mime (types) when they aren't in reality

M	sope-mime/NGMime/NGMimeType.m

commit 3245eb43835be013b4c706a27a198d5901b8b819
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri Aug 12 11:57:33 2016 -0400

    (fix) added workaround for bug #3791 while waiting to write that crappy code from SOPE

M	sope-mime/NGMail/NGMailAddressParser.m

commit feb54b8402b234f460baa7af8e2bd524873400ac
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Wed Aug 10 13:55:37 2016 -0400

    Update ChangeLog

M	ChangeLog

commit eceb975f1444e796d3d96f61ca766b059f7de78c
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Aug 8 16:23:53 2016 -0400

    (fix) remove bitrotted code and fall back to ISO Latin 1 when decoding fails

M	sope-mime/NGMail/NSData+MimeQP.m

commit cf1865e407b55ed2149159340d01494f37efc508
Author: ethoms <euan@potensol.com>
Date:   Thu Jul 14 01:12:42 2016 +0800

    Convert 'configure' shebang back to /bin/sh for platform compatability (#41)

M	configure

commit 1a96d03cc25224c4b9d134f0414275da6840bf2c
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Wed Jul 6 07:26:29 2016 -0400

    Update ChangeLog

M	ChangeLog

commit 452b547eb1c7a5576cc7acd9b254606e30b05752
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed Jun 29 15:33:51 2016 -0400

    (fix) improve error-handling with parent/child communication

M	sope-appserver/NGObjWeb/WOHttpAdaptor/WOHttpAdaptor.m
M	sope-appserver/NGObjWeb/WOWatchDogApplicationMain.m

commit bff1093270e12da328ed05de95f922d6dc03606a
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Wed Jun 22 11:39:10 2016 -0400

    Update ChangeLog

M	ChangeLog

commit 092e1857e7fffe973c11134eccdc3cffeb19031d
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed Jun 15 13:09:37 2016 -0400

    (fix) safely escape some characters sent by bogus UA (fixes #3670)

M	sope-appserver/NGObjWeb/WORequest.m

commit 11d3cbbd7d54803d57d829d25fbbf35190cc53cb
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Jun 13 09:14:40 2016 -0400

    (fix) only show debugging loading info when requested

M	sope-appserver/NGObjWeb/SoObjects/SoProductClassInfo.m

commit 0b5d04d3337062b8870d411c37d696b0734255f2
Author: Patrice Levesque <github-wayne@ptaff.ca>
Date:   Thu Jun 9 13:06:51 2016 -0400

    Remove Makefile condition for test-uninitialized

M	general.make

commit 1b7cea55e481f0de703008eb56e401ac34a7bf7a
Author: Patrice Levesque <github-wayne@ptaff.ca>
Date:   Wed Jun 8 17:14:05 2016 -0400

    Fix builds in directory names containing spaces
    
    Prevent ./configure failure when run from a directory
    such as "/home/bob/my own sope directory/"

M	configure

commit 2efbd67b92b931d6313ec38546a18912b3779468
Author: Patrice Levesque <github-wayne@ptaff.ca>
Date:   Tue Jun 7 11:20:57 2016 -0400

    Add -O2 compilation by default and -g debug info
    
    Also when possible, store GCC command-line switches
    in the binaries for easier debugging.

M	configure
A	general.make

commit e95ce1b48440ebd16ef2ebfbfaf84cb19250be38
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Thu Jun 2 13:26:02 2016 -0400

    Update ChangeLog

M	ChangeLog

commit ca14e49da38456b56ef1e86ef60dc65b98b037e3
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Wed Jun 1 09:12:28 2016 -0400

    Fix decoding of attachment filename
    
    Partially resolves #2272

M	sope-mime/NGMime/NGMimeContentDispositionHeaderFieldGenerator.m
M	sope-mime/NGMime/NGMimeUtilities.h
M	sope-mime/NGMime/NGMimeUtilities.m

commit f157871cf565f7fd7b1e01c122006e0c031808f7
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Wed May 18 16:12:46 2016 -0400

    Update ChangeLog

M	ChangeLog

commit d00cf04258bbd8cf9805759636c60d2c0cb532ae
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue May 17 11:17:59 2016 -0400

    (fix) safe-guard against bogus string values in headers

M	sope-mime/NGMail/NGMailAddressParser.m

commit 89aaa374f8710a4aedec1d023c225778dc62cecd
Author: Patrice Levesque <github-wayne@ptaff.ca>
Date:   Thu May 12 16:50:57 2016 -0400

    Allow manual override of MySQL connection charset
    
    By default, SOGo connects to MySQL using the 'utf8' charset which maps to an incomplete Unicode implementation.  This change introduces the MySQL4Encoding configuration variable that can optionally be set to 'utf8mb4' to allow complete Unicode coverage; requires a properly configured MySQL >= 5.5 server.

M	sope-gdl1/MySQL/MySQL4Channel.m

commit acb965dec439cc09d0504daf71b3c102b818245b
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Thu May 12 13:54:20 2016 -0400

    Update ChangeLog

M	ChangeLog

commit f3843334a2e58bdb7c54d0b336169bb56b3c7273
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed Apr 6 13:18:56 2016 -0400

    (fix) handle broken/empty address list

M	sope-mime/NGImap4/NGImap4ResponseParser.m

commit 8f543729bf7f1e781d2d49740ad9163bc0c041fe
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Apr 5 12:34:20 2016 -0400

    Update ChangeLog

M	ChangeLog

commit 65e486502da2c440ee2a91c0993c23c7559031f0
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Mar 28 11:12:17 2016 -0400

    (fix) handle Dovecot's mail_shared_explicit_inbox = YES

M	sope-mime/NGImap4/NGImap4Client.m

commit 3462d1ad59fe708e1e7ab0f94e9e6599949ebfb9
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Wed Mar 16 11:02:19 2016 -0400

    Update ChangeLog

M	ChangeLog

commit fb4ab168beec05af879fa807f825b7de4ee87040
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed Mar 16 08:52:56 2016 -0400

    (fix) properly unfold long headers

M	sope-mime/NGMime/NGMimePartParser.m

commit c975a7cf3b136a06e65721ef602b8849dd879e84
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Mar 14 18:45:45 2016 -0400

    (fix) correctly backtrack when finding the character (fixes #3580)

M	sope-mime/NGMime/NGMimeHeaderFieldGenerator.m

commit caec2ca2c5e0269ae9a6540baf1bf8cf79c1bf7a
Author: Bernard Cafarelli <bernard.cafarelli@gmail.com>
Date:   Thu Mar 10 11:20:15 2016 +0100

    Fix mysql_config calls
    
    Original patch by Russell Knighton <russell@annunaki2k2.co.uk>
    Gentoo bug: https://bugs.gentoo.org/show_bug.cgi?id=566138

M	sope-gdl1/MySQL/GNUmakefile.preamble

commit 07b63038c6346165f6c645bee28e88d813064ed4
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Fri Mar 4 12:12:04 2016 -0500

    Update ChangeLog

M	ChangeLog

commit 730dec9898b0d4ec04862dda26845c91995a4994
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Feb 16 16:23:25 2016 -0500

    (feat) new feature to limit the upload size using WOMaxUploadSize
    
    This limit is specified in kilobytes. 1024 == 1 MB.

M	sope-appserver/NGObjWeb/NGHttp/NGHttpMessageParser.m

commit f4241bed9caf41d2a53a6adb0e97bf8149634f38
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed Feb 10 09:57:51 2016 -0500

    (feat) can now get IMAP folders metadata

M	sope-mime/NGImap4/NGImap4Connection.h
M	sope-mime/NGImap4/NGImap4Connection.m

commit 629aa13bd418085a36c24d5521dcc12204acad2c
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Fri Feb 5 12:18:12 2016 -0500

    Update ChangeLog

M	ChangeLog

commit dc3db91aac7b64dd059cb9854520f828efcbc593
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Mon Jan 25 11:21:37 2016 -0500

    Update ChangeLog

M	ChangeLog

commit 28d239d0c8589b4d4ce7f49aa7d77f580c7254b7
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri Jan 22 14:22:26 2016 -0500

    (fix) avoid buffer overruns leading to empty data

M	sope-core/NGExtensions/NGQuotedPrintableCoding.m

commit b76c3bb5eef6f976d0d21378fe9074a7d05c8dbf
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Mon Jan 18 11:25:04 2016 -0500

    Update ChangeLog

M	ChangeLog

commit fe0d0c33452ace9aaba13c85c1e2e43d82a345af
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Jan 18 10:14:30 2016 -0500

    (fix) allow compilation on old gcc

M	sope-mime/NGMime/NGMimeHeaderFieldGenerator.m

commit 1f261501a0671fb1cf2ccec5d08cc49f15d0a556
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Mon Jan 18 09:57:56 2016 -0500

    Update ChangeLog

M	ChangeLog

commit fc6e0228804ee16b0128384c886475f77d314ce6
Author: Jesús García Sáez <jgarcia@zentyal.com>
Date:   Mon Dec 21 17:42:01 2015 +0100

    Decode QP data allows whitespace between words

M	sope-mime/NGMail/NSData+MimeQP.m

commit 905fda34954e378022b1a055d380c67efc04db61
Author: Jesús García Sáez <jgarcia@zentyal.com>
Date:   Mon Dec 21 13:16:46 2015 +0100

    Refactor NGEncodeQuotedPrintableMime

M	sope-mime/NGMime/NGMimeHeaderFieldGenerator.m

commit 1071c335b76fa3dcdc32b62534d3d1e113b25135
Author: Jesús García Sáez <jgarcia@zentyal.com>
Date:   Mon Dec 21 13:16:01 2015 +0100

    Add methods to qp encode strings

M	sope-mime/NGMime/NGMimeHeaderFieldGenerator.h
M	sope-mime/NGMime/NGMimeHeaderFieldGenerator.m

commit f062773c49193bb09e8c4b08964f8cfeea2ab8cd
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu Jan 7 09:52:54 2016 -0500

    (fix) don't consider Outlook/EAS as DAV client

M	sope-appserver/NGObjWeb/WEClientCapabilities.m

commit 91dec51286dcfe01701e459f5ed64f6c3e5070d3
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Tue Jan 5 14:35:59 2016 -0500

    Update ChangeLog

M	ChangeLog

commit 1343491b3d67760c1cd89881b715a24ac633452f
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Jan 5 13:43:35 2016 -0500

    (fix) avoid using cString methods (#3425)

M	sope-core/NGStreams/NGCTextStream.m

commit d762688e9aa839f626e9bdb663fdf1a0cb724620
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Tue Dec 15 14:27:04 2015 -0500

    Update ChangeLog

M	ChangeLog

commit 947a44954249fc1ebd7fa8134e03cb55ff734830
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Dec 14 10:22:56 2015 -0500

    (fix) don't consider MobileIron Email+ as DAV client

M	sope-appserver/NGObjWeb/WEClientCapabilities.m

commit 54840e7cc3581bbf6aff747a3daf677eacbc469c
Author: Andrey Cherepanov <cas@altlinux.org>
Date:   Thu Nov 19 18:45:55 2015 +0300

    Link libSBJson with BASE_LIBS to prevent undefined symbols
    
    Because there is no GNUmakefile.preamble for sope-json/SBJson/Classes
    libSBJson is not linked with BASE_LIBS (libgnustep-base an so on).
    Our build system checks for undefined symbols in libraries and found
    in libSBJson.so.2.3.1:
    
    Verifying ELF objects in /usr/src/tmp/sope-buildroot (arch=normal,fhs=normal,lfs=relaxed,lint=relaxed,rpath=normal,stack=normal,textrel=normal,unresolved=normal)
    verify-elf: ERROR: ./usr/lib64/libSBJson.so.2.3.1: undefined symbol: __objc_class_name_NSMutableArray
    verify-elf: ERROR: ./usr/lib64/libSBJson.so.2.3.1: undefined symbol: __objc_class_name_NSDictionary
    verify-elf: ERROR: ./usr/lib64/libSBJson.so.2.3.1: undefined symbol: __objc_class_name_NSError
    verify-elf: ERROR: ./usr/lib64/libSBJson.so.2.3.1: undefined symbol: __objc_class_name_NSObject
    verify-elf: ERROR: ./usr/lib64/libSBJson.so.2.3.1: undefined symbol: __objc_class_name_NSAssertionHandler
    verify-elf: ERROR: ./usr/lib64/libSBJson.so.2.3.1: undefined symbol: __objc_class_name_NSString
    verify-elf: ERROR: ./usr/lib64/libSBJson.so.2.3.1: undefined symbol: __objc_class_name_NSArray
    verify-elf: ERROR: ./usr/lib64/libSBJson.so.2.3.1: undefined symbol: __objc_class_name_NSNull
    verify-elf: ERROR: ./usr/lib64/libSBJson.so.2.3.1: undefined symbol: __objc_class_name_NSNumber
    verify-elf: ERROR: ./usr/lib64/libSBJson.so.2.3.1: undefined symbol: __objc_class_name_NSMutableDictionary
    verify-elf: ERROR: ./usr/lib64/libSBJson.so.2.3.1: undefined symbol: __objc_class_name_NSMutableString
    verify-elf: ERROR: ./usr/lib64/libSBJson.so.2.3.1: undefined symbol: __objc_class_name_NSDecimalNumber
    verify-elf: ERROR: ./usr/lib64/libSBJson.so.2.3.1: undefined symbol: __objc_class_name_NSMutableCharacterSet
    verify-elf: ERROR: ./usr/lib64/libSBJson.so.2.3.1: undefined symbol: NSLocalizedDescriptionKey
    verify-elf: ERROR: ./usr/lib64/libSBJson.so.2.3.1: undefined symbol: NSUnderlyingErrorKey
    verify-elf: ERROR: ./usr/lib64/libSBJson.so.2.3.1: undefined symbol: objc_slot_lookup_super
    verify-elf: ERROR: ./usr/lib64/libSBJson.so.2.3.1: undefined symbol: __objc_exec_class
    verify-elf: ERROR: ./usr/lib64/libSBJson.so.2.3.1: undefined symbol: NSLog
    verify-elf: ERROR: ./usr/lib64/libSBJson.so.2.3.1: undefined symbol: objc_lookup_class
    verify-elf: ERROR: ./usr/lib64/libSBJson.so.2.3.1: undefined symbol: objc_msgSend
    
    This patch allows libSBJson with BASE_LIBS.

M	sope-json/SBJson/Classes/GNUmakefile

commit 7380c8869e9eddc5487b85dcab1928775e2e8a1d
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Wed Nov 11 14:20:56 2015 -0500

    Update ChangeLog

M	ChangeLog

commit 51ecf2ee16c260075a1ac7375007b765f00d262c
Author: Javier Amor García <jamor@zentyal.com>
Date:   Wed Nov 11 16:58:39 2015 +0100

    [NGMIMEType stringEncodingForCharset:] added more ISO charsets

M	sope-mime/NGMime/NGMimeType.m

commit e219ef792df5c6a4a3f6fdf0e3ceabb4cb063ce8
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Nov 9 14:28:28 2015 -0500

    (fix) additional fix for #3356

M	sope-mime/NGMime/NGMimeRFC822DateHeaderFieldGenerator.m

commit 36e3816a89fd03261d7a50163a4b36a1fa4baded
Author: hasufell <hasufell@hasufell.de>
Date:   Tue Nov 3 17:09:02 2015 +0100

    configure: allow more explicit control over dependencies
    
    Previously the 'checkLinking <lib> optional' strings caused
    trouble for distributions, because these checks are automagic, as in:
    even if the user doesn't want ldap support, but ldap exists on the
    system, it will still be used, possibly causing problems if
    ldap is removed afterwards.
    
    Making these things explicit fixes those problems. Default is
    still automagic, unless --enable-<feature> or --disable-<feature>
    is passed.

M	configure

commit 162d03325c47868b2323676f4865b64acbcb205b
Author: extrafu <lmarcotte@inverse.ca>
Date:   Mon Nov 2 14:08:50 2015 -0500

    Revert "Close all file descriptors on daemon start"

M	sope-appserver/NGObjWeb/WOWatchDogApplicationMain.m

commit 39cd5ba93765452918ffb47f11f88103cc02e031
Author: Euan Thoms <euan@potensol.com>
Date:   Wed Oct 28 06:48:12 2015 +0800

    Stage 9.1, further cleanup after removing EXPOSE_?_IVARS.

M	sope-core/NGExtensions/NGBundleManager.m

commit 15a9e33e2c02c31522149ff66bd2a1f7062a917b
Author: Euan Thoms <euan@potensol.com>
Date:   Wed Oct 28 05:06:53 2015 +0800

    Stage 9 of clang compiler warning patches.

M	sope-appserver/NGObjWeb/NSObject+WO.m
M	sope-appserver/NGObjWeb/SoObjects/SoSecurityException.h
M	sope-appserver/NGObjWeb/SoObjects/SoSecurityException.m
M	sope-appserver/NGObjWeb/SoObjects/SoSecurityManager.m
M	sope-appserver/NGObjWeb/SoObjects/common.h
M	sope-appserver/NGObjWeb/Templates/WOHTMLParser.m
M	sope-appserver/NGObjWeb/Templates/common.h
M	sope-appserver/NGObjWeb/common.h
M	sope-core/NGExtensions/FdExt.subproj/NGPropertyListParser.m
M	sope-core/NGExtensions/FdExt.subproj/NSException+misc.m
M	sope-core/NGExtensions/NGBundleManager.m
M	sope-core/NGExtensions/NGExtensions/NSException+misc.h
M	sope-gdl1/GDLAccess/EOFault.h
M	sope-gdl1/PostgreSQL/PostgreSQL72DataTypeMappingException.m
M	sope-gdl1/PostgreSQL/PostgreSQL72Values.h

commit d06baebfe450a25746a506c9f215b6e676e39616
Author: ethoms <euan@potensol.com>
Date:   Mon Oct 26 18:50:44 2015 +0800

    Update NGByteCountStream.m

M	sope-core/NGStreams/NGByteCountStream.m

commit 7e020ff67e1c49b8fa7a1187b9d1c3b880553aa2
Author: Euan Thoms <euan@potensol.com>
Date:   Sun Oct 25 01:34:22 2015 +0800

    Stage 8 of clang compiler warning patches.

M	sope-appserver/NGObjWeb/Associations/WOKeyPathAssociation.m
M	sope-appserver/NGObjWeb/DynamicElements/WOComponentContent.m
M	sope-appserver/NGObjWeb/DynamicElements/WOComponentReference.m
M	sope-appserver/NGObjWeb/NSObject+WO.m
M	sope-appserver/NGObjWeb/SoObjects/SoSelectorInvocation.m
M	sope-appserver/NGObjWeb/WOChildComponentReference.m
M	sope-appserver/NGObjWeb/WORunLoop.m
M	sope-appserver/NGObjWeb/WOSession.m
M	sope-appserver/NGObjWeb/common.h
M	sope-core/EOControl/EOKeyComparisonQualifier.m
M	sope-core/EOControl/EOKeyValueCoding.m
M	sope-core/EOControl/EOKeyValueQualifier.m
M	sope-core/EOControl/EOObserver.m
M	sope-core/EOControl/EOOrQualifier.m
M	sope-core/EOControl/EOSortOrdering.m
M	sope-core/EOControl/EOValidation.m
M	sope-core/EOControl/common.h
M	sope-core/EOCoreData/EOKeyComparisonQualifier+CoreData.m
M	sope-core/EOCoreData/EOKeyValueQualifier+CoreData.m
M	sope-core/EOCoreData/EOQualifier+CoreData.m
M	sope-core/EOCoreData/EOSortOrdering+CoreData.m
M	sope-core/EOCoreData/common.h
M	sope-core/NGExtensions/EOExt.subproj/EOQualifier+CtxEval.m
M	sope-core/NGExtensions/NGExtensions/NGMemoryAllocation.h
M	sope-core/NGStreams/NGByteCountStream.m
M	sope-core/NGStreams/NGStreamCoder.m
M	sope-gdl1/GDLAccess/EOAdaptorDataSource.m
M	sope-gdl1/GDLAccess/EOAttribute.m
M	sope-gdl1/GDLAccess/EOEntity.m
M	sope-gdl1/GDLAccess/EOFault.m
M	sope-gdl1/GDLAccess/EOKeyComparisonQualifier+SQL.m
M	sope-gdl1/GDLAccess/EOKeyValueQualifier+SQL.m
M	sope-gdl1/GDLAccess/EOSQLExpression.m
M	sope-gdl1/GDLAccess/common.h
M	sope-ldap/NGLdap/EOQualifier+LDAP.m
M	sope-mime/NGImap4/EOQualifier+IMAPAdditions.m
M	sope-mime/NGImap4/EOSortOrdering+IMAPAdditions.m
M	sope-mime/NGImap4/NGImap4Folder.m
M	sope-mime/NGImap4/imCommon.h
M	sope-mime/NGMime/common.h

commit 89241c40becf566ebde00d097aeacb04babe7f8b
Author: Euan Thoms <euan@potensol.com>
Date:   Sat Oct 24 20:07:50 2015 +0800

    Stage 7 of clang compiler warning patches.

M	sope-core/NGStreams/NGActiveSocket.m
M	sope-mime/NGMime/NGMimeRFC822DateHeaderFieldGenerator.m

commit 73254707c39657d4eded1626f3a72c6bc717cb6b
Author: Euan Thoms <euan@potensol.com>
Date:   Thu Oct 22 18:28:39 2015 +0800

    Stage 6 of clang compiler warning patches. Fix hidden method in NGImap4Client.m required by SOGo.

M	sope-mime/NGImap4/NGImap4Client.h
M	sope-mime/NGImap4/NGImap4Client.m

commit 635a56d9d583d59ce43431005a1d9fa9a864a455
Author: Euan Thoms <euan@potensol.com>
Date:   Thu Oct 22 18:10:36 2015 +0800

    Stage 5 of clang compiler warning patches. Missing header file imports.

M	sope-core/NGExtensions/FdExt.subproj/NSSet+enumerator.m
M	sope-core/NGExtensions/FdExt.subproj/NSString+misc.m
M	sope-gdl1/GDLAccess/EOAdaptor.m
M	sope-gdl1/GDLAccess/EODatabaseFault.m
M	sope-gdl1/GDLAccess/EOSQLExpression.m
M	sope-gdl1/GDLAccess/EOSQLQualifier.m

commit a7141312d05b3ca807592ebc81726d4c7624ba44
Author: Euan Thoms <euan@potensol.com>
Date:   Thu Oct 22 16:55:11 2015 +0800

    Stage 4 of clang compiler warning patches. Various code cleanup and fixes.

M	sope-appserver/NGObjWeb/DynamicElements/WOHyperlinkInfo.m
M	sope-appserver/NGObjWeb/NGHttp/NGHttpHeaderFieldParser.m
M	sope-appserver/NGObjWeb/WOMailDelivery.m
M	sope-appserver/NGObjWeb/WebDAV/SoObjectDataSource.m
M	sope-core/NGStreams/NGActiveSocket.m
M	sope-gdl1/PostgreSQL/NSString+PostgreSQL72.m
M	sope-mime/NGImap4/NGImap4Context.m
M	sope-mime/NGImap4/NGImap4Folder.m

commit c2b41f5be002d0f67e315c6bc504147ba6abeec8
Author: Euan Thoms <euan@potensol.com>
Date:   Thu Oct 22 15:17:44 2015 +0800

    Stage 3 of clang compiler warning patches. Replace deprecated 'isa' calls.

M	sope-appserver/NGObjWeb/WOComponent+Sync.m
M	sope-appserver/NGObjWeb/WOComponent.m
M	sope-core/EOControl/EOGlobalID.m
M	sope-core/EOControl/EOKeyGlobalID.m
M	sope-core/NGExtensions/FdExt.subproj/NSObject+Logs.m
M	sope-core/NGExtensions/NGCalendarDateRange.m
M	sope-gdl1/GDLAccess/EODatabaseFault.m
M	sope-gdl1/GDLAccess/EOFExceptions.m
M	sope-gdl1/GDLAccess/EOFault.m
M	sope-gdl1/GDLAccess/EOModel.m
M	sope-gdl1/GDLAccess/EOPrimaryKeyDictionary.m
M	sope-gdl1/GDLAccess/EOSQLQualifier.m

commit 1dad0ae546b5d28d1d7bb51a6c06016ac1b5d83d
Author: Euan Thoms <euan@potensol.com>
Date:   Thu Oct 22 13:51:42 2015 +0800

    Stage 2 of clang compiler warning patches. Function declaration syntax fixes.

M	sope-appserver/NGObjWeb/SoObjects/SoClassSecurityInfo.h
M	sope-appserver/NGObjWeb/SoObjects/SoClassSecurityInfo.m
M	sope-appserver/NGObjWeb/WebDAV/SoDAVSQLParser.h
M	sope-appserver/NGObjWeb/WebDAV/SoDAVSQLParser.m
M	sope-appserver/WEExtensions/WETableCalcMatrix.h
M	sope-appserver/WEExtensions/WETableCalcMatrix.m
M	sope-appserver/WEExtensions/WETableMatrix.m
M	sope-core/EOControl/EOSQLParser.h
M	sope-core/EOControl/EOSQLParser.m
M	sope-gdl1/GDLAccess/EODatabaseChannel.m
M	sope-mime/NGMime/NGMimePartGenerator.h
M	sope-xml/SaxObjC/SaxObjectDecoder.m

commit 37782867bc35981da0ed8593f9389e9761c3f83a
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed Oct 21 08:57:55 2015 -0400

    (fix) c99 fixes

M	sope-core/NGStreams/NGByteCountStream.m

commit 3b820aea61003364dc9835a74668ae882da9b60d
Author: Euan Thoms <euan@potensol.com>
Date:   Wed Oct 21 11:15:28 2015 +0800

    Stage 1 of clang complier warning patches. These are mostly fixes for data type and casting inconsistencies. Also some string formatting fixes.

M	sope-appserver/NGObjWeb/Associations/WOScriptAssociation.m
M	sope-appserver/NGObjWeb/Associations/WOValueAssociation.m
M	sope-appserver/NGObjWeb/DynamicElements/WOGenericElement.m
M	sope-appserver/NGObjWeb/DynamicElements/WOHyperlink.m
M	sope-appserver/NGObjWeb/NGHttp/NGHttpResponse.h
M	sope-appserver/NGObjWeb/NGHttp/NGUrlFormCoder.m
M	sope-appserver/NGObjWeb/SoObjects/SoComponent.m
M	sope-appserver/NGObjWeb/SoObjects/SoDefaultRenderer.m
M	sope-appserver/NGObjWeb/Templates/WOComponentScriptPart.m
M	sope-appserver/NGObjWeb/Templates/WODParser.m
M	sope-appserver/NGObjWeb/Templates/WOHTMLParser.m
M	sope-appserver/NGObjWeb/Templates/WOTemplate.m
M	sope-appserver/NGObjWeb/Templates/WOxElemBuilder.m
M	sope-appserver/NGObjWeb/WOComponent.m
M	sope-appserver/NGObjWeb/WOHTTPConnection.m
M	sope-appserver/NGObjWeb/WOHttpAdaptor/WOHttpAdaptor.m
M	sope-appserver/NGObjWeb/WOHttpAdaptor/WOHttpTransaction.m
M	sope-appserver/NGObjWeb/WOHttpAdaptor/WORequest+Adaptor.m
M	sope-appserver/NGObjWeb/WOResponse.m
M	sope-appserver/NGObjWeb/WOSessionStore.m
M	sope-appserver/NGObjWeb/WOSimpleHTTPParser.m
M	sope-appserver/NGObjWeb/WOStatisticsStore.m
M	sope-appserver/NGObjWeb/WebDAV/SoDAVSQLParser.m
M	sope-appserver/NGObjWeb/WebDAV/SoWebDAVRenderer.m
M	sope-appserver/NGObjWeb/WebDAV/SoWebDAVValue.m
M	sope-appserver/NGObjWeb/_WOStringTable.m
M	sope-appserver/WEExtensions/JSStringTable.m
M	sope-appserver/WEExtensions/WEMonthOverview.m
M	sope-appserver/WEExtensions/WEResourceKey.m
M	sope-appserver/WEExtensions/WEResourceManager.m
M	sope-appserver/WEExtensions/WETableCalcMatrix.m
M	sope-appserver/WEExtensions/WETableView/WETableView.m
M	sope-appserver/WOExtensions/WOTabPanel.m
M	sope-core/EOControl/EOFetchSpecification.m
M	sope-core/EOControl/EONull.m
M	sope-core/NGExtensions/FdExt.subproj/NGPropertyListParser.m
M	sope-core/NGExtensions/FdExt.subproj/NSException+misc.m
M	sope-core/NGExtensions/FdExt.subproj/NSObject+Values.m
M	sope-core/NGExtensions/FdExt.subproj/NSString+Encoding.m
M	sope-core/NGExtensions/NGDirectoryEnumerator.m
M	sope-core/NGStreams/NGBufferedStream.m
M	sope-core/NGStreams/NGByteBuffer.m
M	sope-core/NGStreams/NGByteCountStream.m
M	sope-core/NGStreams/NGCTextStream.m
M	sope-core/NGStreams/NGConcreteStreamFileHandle.m
M	sope-core/NGStreams/NGLocalSocketAddress.m
M	sope-gdl1/GDLAccess/EOAttribute.m
M	sope-gdl1/GDLAccess/EODatabase.m
M	sope-gdl1/GDLAccess/EODatabaseChannel.m
M	sope-gdl1/GDLAccess/EODatabaseContext.m
M	sope-gdl1/GDLAccess/EODatabaseFault.m
M	sope-gdl1/GDLAccess/EODatabaseFaultResolver.m
M	sope-gdl1/GDLAccess/EOEntity.m
M	sope-gdl1/GDLAccess/EOFault.m
M	sope-gdl1/GDLAccess/EOModel.m
M	sope-gdl1/GDLAccess/EOObjectUniquer.m
M	sope-gdl1/GDLAccess/EOPrimaryKeyDictionary.m
M	sope-gdl1/GDLAccess/EORecordDictionary.m
M	sope-gdl1/GDLAccess/EORelationship.m
M	sope-gdl1/PostgreSQL/NSData+PGVal.m
M	sope-gdl1/PostgreSQL/PostgreSQL72Channel.m
M	sope-gdl1/PostgreSQL/PostgreSQL72DataTypeMappingException.m
M	sope-ldap/NGLdap/NGLdapConnection.m
M	sope-ldap/NGLdap/NGLdapFileManager.m
M	sope-ldap/NGLdap/NGLdapGlobalID.m
M	sope-mime/NGImap4/NGImap4Client.m
M	sope-mime/NGImap4/NGImap4Connection.m
M	sope-mime/NGImap4/NGImap4FileManager.m
M	sope-mime/NGImap4/NGImap4FolderGlobalID.m
M	sope-mime/NGImap4/NGImap4Functions.m
M	sope-mime/NGImap4/NGImap4Message.m
M	sope-mime/NGImap4/NGImap4ResponseParser.m
M	sope-mime/NGImap4/NGImap4ServerGlobalID.m
M	sope-mime/NGImap4/NGSieveClient.m
M	sope-mime/NGMail/NGMailAddress.m
M	sope-mime/NGMail/NGMailAddressParser.m
M	sope-mime/NGMail/NGMimeMessage.m
M	sope-mime/NGMime/NGMimeBodyPart.m
M	sope-mime/NGMime/NGMimeJoinedData.m
M	sope-mime/NGMime/NGMimePartGenerator.m
M	sope-mime/NGMime/NGMimePartParser.m
M	sope-mime/NGMime/NGMimeRFC822DateHeaderFieldParser.m
M	sope-xml/DOM/DOMQueryPathExpression.m
M	sope-xml/XmlRpc/NSNotification+XmlRpcCoding.m

commit ad7a88e35e027b1ed6c8fe5e6a275634ac077490
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu Oct 15 15:55:48 2015 -0400

    (fix) support old GNUstep versions

M	sope-mime/NGMime/NGMimeRFC822DateHeaderFieldGenerator.m

commit 4ac4809dae92a08e219677a5f67c6575baa8a98e
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed Oct 14 15:54:59 2015 -0400

    (fix) make sure to use the English locale when generating Date headers

M	sope-mime/NGMime/NGMimeRFC822DateHeaderFieldGenerator.m

commit a2e2908f9dd0ec90bc6d48c48d4c2d467b29dae7
Author: Juan Vallés <jvalles@zentyal.com>
Date:   Wed Oct 7 16:36:35 2015 +0200

    Compute the exact string length for IMAP commands
    
    By computing the maximum length and then using `strlen()` we were being
    efficient, but if there was a `\0` in the command (e.g. when there is an
    attachment in a message and its data has that byte), `strlen()` skipped
    the rest of the string and returned a smaller length.
    
    Suggested `NEWS` line:
    * `Avoid server freeze due to attached files`

M	sope-core/NGStreams/NGCTextStream.m

commit e870145b7ed381c1bdef5945075ed48948b86d5b
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed Sep 9 14:59:10 2015 -0400

    (fix) bug fix for #3309

M	sope-mime/NGMime/NGMimePartParser.m

commit 2d1665fd94b5c320c631d5d9231421a0773f890b
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Tue Sep 8 12:21:30 2015 -0400

    Improve parsing of email address

M	sope-mime/NGMail/NGMailAddressParser.m

commit 410739bc77e68143734bd2bcaf42bf86eb0719b0
Author: Jesús García Sáez <blaxter@gmail.com>
Date:   Mon Sep 7 16:22:30 2015 +0200

    Revert "Remove handleException on requests"

M	sope-appserver/NGObjWeb/WORequestHandler.m

commit 7dcb6a244b5cdf5812541d5ddba9c63994ec7eb7
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Thu Sep 3 14:12:49 2015 -0400

    Fix parsing of email that contains a comma
    
    Fixes #3301 #3306

M	sope-mime/NGMail/NGMailAddressParser.m

commit 7a4328c1034c3a161bd33082e620fec543ef4ade
Author: Javier Amor García <jamor@zentyal.com>
Date:   Thu Aug 20 14:53:18 2015 +0200

    sope-mime: Fixed UTF-8 q-encoding in MIME headers
    
    The q-encoding was broke because it encoded the whole
    header line; this made MIME parameters unrecognizable
    by client.
    This commit makes a more selective encoding.
    
    The error triggered a failure when sending attachments
    with no-latin file names.

M	sope-mime/NGMail/NGMimeMessageGenerator.m

commit 750e5ec0858eb52fa8d0859028d0277d47f6c543
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu Jul 23 11:53:33 2015 -0400

    Update ChangeLog

M	ChangeLog

commit 18d989c142aa6e8fb9e6487b65770033419febe3
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri Jul 3 09:46:37 2015 -0400

    Silenced useless warning

M	sope-appserver/NGObjWeb/SoObjects/SoProductResourceManager.m

commit 6d65405dbb6dc9a9cf65970f5436011c1d6a1ae7
Author: Jesús García Sáez <jgarcia@zentyal.com>
Date:   Thu Jun 18 17:27:55 2015 +0200

    Remove handleException on requests

M	sope-appserver/NGObjWeb/WORequestHandler.m

commit 1c1bafbf5b38c35650b1138d606fbe99bfe37137
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Jun 15 11:28:26 2015 -0400

    (fix) improvements to address parsing (#3243, #3254)

M	sope-mime/NGMail/NGMailAddressParser.m

commit 986305940779b821df35e4f1219d4de7e0cc1dc3
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Wed Jun 10 14:58:23 2015 -0400

    Add support for the number input type of HTML5

M	sope-appserver/NGObjWeb/DynamicElements/WOxHTMLElemBuilder.m

commit 773f984b2e0ce8c0d22040301e5e63de685d6b8e
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed Jun 10 11:00:30 2015 -0400

    (fix) added support for big characters encoding

M	sope-core/NGExtensions/FdExt.subproj/NSString+Encoding.m

commit b738adc8abea04c8b6e733e1fd26779f9e2c0fb1
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Jun 9 15:58:12 2015 -0400

    (fix) force continuation if / is found in the password

M	sope-mime/NGImap4/NGImap4Client.m

commit 383de8a96cccb78b16ab166bf5d06c2c49465408
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Jun 1 08:38:44 2015 -0400

    Update ChangeLog

M	ChangeLog

commit b6b71be58813684cfe8a2fbc0a18715c26a042fc
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue May 26 15:09:43 2015 -0400

    (fix) let the code compile on older gcc versions

M	sope-mime/NGMime/NGMimeAddressHeaderFieldGenerator.m
M	sope-mime/NGMime/NGMimeHeaderFieldGenerator.h
M	sope-mime/NGMime/NGMimeHeaderFieldGenerator.m

commit e81575b85fe1a45bdad0ca5160a31fe45c5c9c49
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed May 20 08:26:14 2015 -0400

    improvements over previous commits

M	sope-mime/NGMime/NGMimePartGenerator.m

commit f354d85c3e6968252f41fb91956aef0c1fb8a25d
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue May 19 14:58:03 2015 -0400

    very slight enhancements over previous commit

M	sope-mime/NGMime/NGMimePartGenerator.m

commit 918ecf623f32b4318545e883b30038ac9a187a79
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue May 19 14:52:04 2015 -0400

    (fix) enforce the 998 chars limit when generating header data (#3085)

M	sope-mime/NGMime/NGMimePartGenerator.m

commit 20acefdd4dab607b064e2f3d1ffebd3bae936a66
Author: Javier Amor García <jamor@zentyal.com>
Date:   Mon May 18 14:36:41 2015 +0200

    NGLdap: Add LDAP error code to `LDAPException` object.
    
    The error code is stored in the userInfo dictioanry under the key error_code

M	sope-ldap/NGLdap/NGLdapConnection.m

commit ed1a58d4bd9241689b49bd83329961f77500cc94
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Apr 21 10:57:46 2015 -0400

    Fixed code for C99 comptability

M	sope-mime/NGImap4/NGImap4Connection.m

commit 984afb7fbc9a46f2df0a86a7114d24c5bce1b532
Author: Jesús García Sáez <jgarcia@zentyal.com>
Date:   Mon Apr 20 14:24:07 2015 +0200

    NGImap4Connection:fetchUids retrieve uids in batches
    
    To prevent 'too long request' error

M	sope-mime/NGImap4/NGImap4Connection.m

commit 99a5736d198a5300491d253b273bda437ef35f11
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Mar 24 11:10:52 2015 -0400

    Update ChangeLog

M	ChangeLog

commit 9afc84eb11fd5329bc342e3fadec81a3855b486c
Author: Jesús García Sáez <jgarcia@zentyal.com>
Date:   Mon Mar 23 17:04:59 2015 +0100

    mime/mail: Parse emails with '<' in displayName

M	sope-mime/NGMail/NGMailAddressParser.m

commit 67c9c4ff64099e07a239d44ca84cf58c9886dcf8
Author: Jesús García Sáez <jgarcia@zentyal.com>
Date:   Mon Mar 23 13:38:27 2015 +0100

    mime: encode address headers properly
    
    More restrict QP encode based on rfc822, escape all special chars.
    
    This is the way dovecot parses these fields.

M	sope-mime/NGMime/NGMimeAddressHeaderFieldGenerator.m
M	sope-mime/NGMime/NGMimeHeaderFieldGenerator.h
M	sope-mime/NGMime/NGMimeHeaderFieldGenerator.m

commit d0ac78bdab50ae3c5af4e946e6f5ef2e0f284d9b
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Wed Mar 4 11:59:06 2015 -0500

    Add support for date & search input types of HTML5

M	sope-appserver/NGObjWeb/DynamicElements/WOxHTMLElemBuilder.m

commit 6452ca58fbd7ee4850ae06bd7228a4feeb21441b
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu Feb 12 11:09:30 2015 -0500

    Update ChangeLog

M	ChangeLog

commit d38cce21a6ad2fc872d307a8b99e1bbce9dea729
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Feb 9 15:32:36 2015 -0500

    Avoid overwriting the content-type for empty EAS responses (#3095)

M	sope-appserver/NGObjWeb/WOHttpAdaptor/WOHttpTransaction.m

commit 09dbf543661fdabb7485e2e7d8c8d02984e0f7d1
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri Jan 30 11:12:36 2015 -0500

    Update ChangeLog

M	ChangeLog

commit 6ce6a39e1af5a4161769b9b7d52c19b805b13815
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri Jan 30 11:11:51 2015 -0500

    Silenced more stuff

M	sope-appserver/NGObjWeb/WEClientCapabilities.m

commit 5ddf39f50561d989f418804a51e0f7e293b8b242
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri Jan 23 16:18:26 2015 -0500

    More cleanups to avoid GNUstep warnings

M	sope-appserver/NGObjWeb/WebDAV/SoObjectDataSource.m

commit e9a168ec7b6ef170dcb1b2d24853fc248c6368de
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri Jan 23 16:15:06 2015 -0500

    More cleanups

M	sope-appserver/NGObjWeb/WebDAV/SoObject+SoDAVQuery.m
M	sope-core/NGExtensions/GNUmakefile

commit 6c910bc7b5c2150b2315be6b2320a878f0014144
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri Jan 23 16:13:07 2015 -0500

    More cleanups

M	sope-gdl1/PostgreSQL/PostgreSQL72Channel.m

commit 531b118227e395d65947c9dadcb5df37398fe0c8
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri Jan 23 16:02:22 2015 -0500

    Major cleanups to crappy logging before

M	sope-appserver/NGObjWeb/Defaults.plist
M	sope-appserver/NGObjWeb/DynamicElements/WOBrowser.m
M	sope-appserver/NGObjWeb/DynamicElements/WOCompoundElement.m
M	sope-appserver/NGObjWeb/DynamicElements/WOString.m
M	sope-appserver/NGObjWeb/SoObjects/SoObject.m
M	sope-appserver/NGObjWeb/Templates/WOWrapperTemplateBuilder.m
M	sope-appserver/NGObjWeb/Templates/WOxElemBuilder.m
M	sope-appserver/NGObjWeb/WOHttpAdaptor/WOHttpTransaction.m
M	sope-core/NGExtensions/FdExt.subproj/NSString+Encoding.m
M	sope-core/NGExtensions/FdExt.subproj/NSString+URLEscaping.m
M	sope-core/NGExtensions/NGBundleManager.m
M	sope-mime/NGImap4/NGImap4Connection.m
M	sope-mime/NGImap4/NGImap4ConnectionManager.m
M	sope-mime/NGImap4/NGImap4FolderMailRegistry.m
M	sope-mime/NGMime/NGMimePartGenerator.m

commit 91ae0a61312a1f1b40eff727258b06f15d9d0867
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu Jan 22 10:40:12 2015 -0500

    Removed worthless files

M	sope-core/NGExtensions/FdExt.subproj/GNUmakefile
D	sope-core/NGExtensions/FdExt.subproj/NSString+German.m
D	sope-core/NGExtensions/NGExtensions/NSString+German.h

commit 64e164a20bfda861fdf1df715776b9657ad0feb5
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Jan 20 08:37:58 2015 -0500

    Update ChangeLog

M	ChangeLog

commit 77927f2583ecb26e97256a5e180b96dffa8eacf3
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri Jan 16 12:53:44 2015 -0500

    Slight improvements to ppolicy code

M	sope-ldap/NGLdap/NGLdapConnection.m

commit bcbe4afed90dbb00cb406e6d02fc590d0d1243a9
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Jan 13 15:40:43 2015 -0500

    Fix for bug #2993

M	sope-appserver/NGObjWeb/WOHttpAdaptor/WOHttpTransaction.m

commit 0115a39168a7d483f540ba87a2ebe378fb602f76
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Dec 30 12:57:03 2014 -0500

    Fix for bug #2967

M	sope-appserver/WEExtensions/WEDropContainer.m

commit 382cabbaf6c5a9a559c0b7c066dbb52ee9f730ad
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Dec 30 08:04:14 2014 -0500

    Update ChangeLog

M	ChangeLog

commit 0a015d9791a5848f3b0b395a90a085d8a59694b0
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Dec 22 15:46:29 2014 -0500

    Fix annotation/lstatus to handle separators other than '/'

M	sope-mime/NGImap4/NGImap4Client.m
M	sope-mime/NGImap4/NGImap4ResponseNormalizer.m

commit 901137b5425579ef6dcf99f731bc9c528a871cd0
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Sat Dec 20 15:32:08 2014 -0500

    Added hack to avoid bug #3036 on badly encodied mails

M	sope-mime/NGMime/NGMimeBodyGenerator.m

commit e1216770ca7067bf03bc95db29da54ca6107504c
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu Dec 18 08:58:59 2014 -0500

    Update ChangeLog

M	ChangeLog

commit d6b948e0e4e42246f24c48b12bd2be0a3fac626c
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed Dec 17 15:02:23 2014 -0500

    Now possible to set message headers dynamically

M	sope-mime/NGMail/NGMimeMessage.h
M	sope-mime/NGMail/NGMimeMessage.m

commit ed5c2c66171220955d36e1094a7aca36d63c2930
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Dec 15 19:35:26 2014 -0500

    New lstatus method to quickly grab the X-GUID of folders

M	sope-mime/NGImap4/NGImap4Client.h
M	sope-mime/NGImap4/NGImap4Client.m
M	sope-mime/NGImap4/NGImap4ResponseNormalizer.h
M	sope-mime/NGImap4/NGImap4ResponseNormalizer.m

commit e49a05fc5544e9775e7e61fca7b93c7c2eea7087
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Dec 9 12:59:41 2014 -0500

    Added workaround for Precise packaging

M	packaging/debian/rules

commit 2dd9a7919c0f4223fb6764bb9658cdb3dcdbf78f
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Dec 9 09:12:44 2014 -0500

    Update ChangeLog

M	ChangeLog

commit 4ed68775f91b6ecb566164babda0d00f0b519d23
Author: Enrique J. Hernández Blasco <ejhernandez@zentyal.com>
Date:   Sat Nov 29 09:23:06 2014 +0100

    Use malloc/free as NGAllocAtomic/NGFree are useless
    
    LIB_FOUNDATION_BOEHM_GC is never used and will never be
    according to inverse-inc devs

M	sope-core/NGExtensions/NGQuotedPrintableCoding.m

commit b249d8f5c3d0ce5bd765f9ec4270c54d7a870d7d
Author: Enrique J. Hernández Blasco <ejhernandez@zentyal.com>
Date:   Thu Nov 27 17:21:03 2014 +0100

    Fix memory leak when failing to parse a quoted printable
    
    Valgrind report:
    
       604 bytes in 1 blocks are definitely lost in loss record 8,010 of 10,179
          at 0x4C2AB80: malloc (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
          by 0x2BF73131: _i_NSData_QuotedPrintableCoding_dataByDecodingQuotedPrintableTransferEncoding (in /usr/lib/libNGExtensions.so.4.9.203)
          by 0x3375053E: _i_NSData_SOGoMailUtilities_bodyDataFromEncoding_ (in /usr/lib/GNUstep/SOGo/Mailer.SOGo/Mailer)
          by 0x34D23B46: _i_MAPIStoreMailMessage__setBodyContentFromRawData_ (in /usr/lib/GNUstep/SOGo/SOGoBackend.MAPIStore/SOGoBackend)
          by 0x34D1DD0A: _i_MAPIStoreMailFolder__lookupMessage_ (in /usr/lib/GNUstep/SOGo/SOGoBackend.MAPIStore/SOGoBackend)
          by 0x34CF4312: _i_MAPIStoreFolder__lookupMessageByURL_ (in /usr/lib/GNUstep/SOGo/SOGoBackend.MAPIStore/SOGoBackend)
          by 0x34CF497A: _i_MAPIStoreFolder__openMessage_withMID_forWriting_inMemCtx_ (in /usr/lib/GNUstep/SOGo/SOGoBackend.MAPIStore/SOGoBackend)
          by 0x2A5D5013: sogo_folder_open_message (in /usr/lib/x86_64-linux-gnu/mapistore_backends/libMAPIStoreSOGo.so.1.0.0)
    
    In decoding and encoding failing.

M	sope-core/NGExtensions/NGQuotedPrintableCoding.m

commit 75bd8a0105752cee05496efd53b2d4103390a4dc
Author: Enrique J. Hernández Blasco <ejhernandez@zentyal.com>
Date:   Thu Nov 27 17:21:03 2014 +0100

    Fix memory leak when failing to parse a quoted printable
    
    Valgrind report:
    
       604 bytes in 1 blocks are definitely lost in loss record 8,010 of 10,179
          at 0x4C2AB80: malloc (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
          by 0x2BF73131: _i_NSData_QuotedPrintableCoding_dataByDecodingQuotedPrintableTransferEncoding (in /usr/lib/libNGExtensions.so.4.9.203)
          by 0x3375053E: _i_NSData_SOGoMailUtilities_bodyDataFromEncoding_ (in /usr/lib/GNUstep/SOGo/Mailer.SOGo/Mailer)
          by 0x34D23B46: _i_MAPIStoreMailMessage__setBodyContentFromRawData_ (in /usr/lib/GNUstep/SOGo/SOGoBackend.MAPIStore/SOGoBackend)
          by 0x34D1DD0A: _i_MAPIStoreMailFolder__lookupMessage_ (in /usr/lib/GNUstep/SOGo/SOGoBackend.MAPIStore/SOGoBackend)
          by 0x34CF4312: _i_MAPIStoreFolder__lookupMessageByURL_ (in /usr/lib/GNUstep/SOGo/SOGoBackend.MAPIStore/SOGoBackend)
          by 0x34CF497A: _i_MAPIStoreFolder__openMessage_withMID_forWriting_inMemCtx_ (in /usr/lib/GNUstep/SOGo/SOGoBackend.MAPIStore/SOGoBackend)
          by 0x2A5D5013: sogo_folder_open_message (in /usr/lib/x86_64-linux-gnu/mapistore_backends/libMAPIStoreSOGo.so.1.0.0)

M	sope-core/NGExtensions/NGQuotedPrintableCoding.m

commit bd194948067c876eafecd9723ae7c544099fb9e5
Author: Enrique J. Hernández Blasco <ejhernandez@zentyal.com>
Date:   Mon Nov 24 23:50:45 2014 +0100

    Fix crash when decoding a = at end of the data
    
    In decoding a quoted printable mail. There is a buffer overflow
    as we are always parsing two bytes instead of one.
    
    See the full backtrace at:
    
    https://gist.github.com/sixstone-qq/cb8099b66c2911e8aaf2
    
    This patch avoid regressions to manage = at the end of the source.

M	sope-core/NGExtensions/NGQuotedPrintableCoding.m

commit f26ccf1f1380b1a95b8b29e5a30e8edd775a151b
Author: Samuel Cabrero <samuelcabrero@kernevil.me>
Date:   Thu Nov 20 17:02:01 2014 +0100

    Fix memory leak in file NSString+Imap4.m function stringByDecodingImap4FolderName
    
    Trace:
    
    ==26758== 114,980 bytes in 3,551 blocks are definitely lost in loss record 9,847 of 9,930
    ==26758==    at 0x4C2AB80: malloc (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==26758==    by 0x2D203DBD: ??? (in /usr/lib/libgnustep-base.so.1.24.0)
    ==26758==    by 0x2BA20427: _i_NSString_Imap4_stringByDecodingImap4FolderName (in /usr/lib/libNGMime.so.4.9.3)
    ==26758==    by 0x34D19F77: _i_MAPIStoreMailFolder___imapFolderNameRepresentation_ (in /usr/lib/GNUstep/SOGo/SOGoBackend.MAPIStore/SOGoBackend)
    ==26758==    by 0x34D1A11C: _i_MAPIStoreMailFolder___cleanupSubfolderKeys_ (in /usr/lib/GNUstep/SOGo/SOGoBackend.MAPIStore/SOGoBackend)
    ==26758==    by 0x34D1A326: _i_MAPIStoreMailFolder__folderKeysMatchingQualifier_andSortOrderings_ (in /usr/lib/GNUstep/SOGo/SOGoBackend.MAPIStore/SOGoBackend)
    ==26758==    by 0x34CF76D2: _i_MAPIStoreFolder__folderKeys (in /usr/lib/GNUstep/SOGo/SOGoBackend.MAPIStore/SOGoBackend)
    ==26758==    by 0x34CF3BFE: _i_MAPIStoreFolder__lookupFolder_ (in /usr/lib/GNUstep/SOGo/SOGoBackend.MAPIStore/SOGoBackend)
    ==26758==    by 0x34CF3E27: _i_MAPIStoreFolder__lookupFolderByURL_ (in /usr/lib/GNUstep/SOGo/SOGoBackend.MAPIStore/SOGoBackend)
    ==26758==    by 0x34CF43BF: _i_MAPIStoreFolder__openFolder_withFID_ (in /usr/lib/GNUstep/SOGo/SOGoBackend.MAPIStore/SOGoBackend)
    ==26758==    by 0x2A5D4773: sogo_folder_open_folder (in /usr/lib/x86_64-linux-gnu/mapistore_backends/libMAPIStoreSOGo.so.1.0.0)
    ==26758==    by 0x2917D670: mapistore_backend_folder_open_folder (in /usr/lib/x86_64-linux-gnu/libmapistore.so.2.2)
    ==26758==    by 0x291758C2: mapistore_folder_open_folder (in /usr/lib/x86_64-linux-gnu/libmapistore.so.2.2)
    ==26758==    by 0x28C1204D: emsmdbp_object_open_folder (in /usr/lib/x86_64-linux-gnu/openchange/dcerpc_mapiproxy_server/exchange_emsmdb.so)
    ==26758==    by 0x28C3191F: oxcfxics_fill_transfer_state_arrays (in /usr/lib/x86_64-linux-gnu/openchange/dcerpc_mapiproxy_server/exchange_emsmdb.so)
    ==26758==    by 0x28C319AC: oxcfxics_fill_transfer_state_arrays (in /usr/lib/x86_64-linux-gnu/openchange/dcerpc_mapiproxy_server/exchange_emsmdb.so)
    ==26758==    by 0x28C31D76: oxcfxics_ndr_push_transfer_state (in /usr/lib/x86_64-linux-gnu/openchange/dcerpc_mapiproxy_server/exchange_emsmdb.so)
    ==26758==    by 0x28C3226B: EcDoRpc_RopSyncGetTransferState (in /usr/lib/x86_64-linux-gnu/openchange/dcerpc_mapiproxy_server/exchange_emsmdb.so)
    ==26758==    by 0x28C0D87C: EcDoRpc_process_transaction (in /usr/lib/x86_64-linux-gnu/openchange/dcerpc_mapiproxy_server/exchange_emsmdb.so)
    ==26758==    by 0x28C0F3C7: dcesrv_EcDoRpcExt2 (in /usr/lib/x86_64-linux-gnu/openchange/dcerpc_mapiproxy_server/exchange_emsmdb.so)
    ==26758==    by 0x28C0F89A: dcesrv_exchange_emsmdb_dispatch (in /usr/lib/x86_64-linux-gnu/openchange/dcerpc_mapiproxy_server/exchange_emsmdb.so)
    ==26758==    by 0x26BF8E23: mapiproxy_server_dispatch (in /usr/lib/x86_64-linux-gnu/libmapiproxy.so.2.2)
    ==26758==    by 0x268D7213: mapiproxy_op_dispatch (in /usr/lib/x86_64-linux-gnu/samba/dcerpc_server/dcesrv_mapiproxy.so)
    ==26758==    by 0x16267BAF: dcesrv_process_ncacn_packet (in /usr/lib/x86_64-linux-gnu/libdcerpc-server.so.0.0.1)
    ==26758==    by 0x16268980: dcesrv_read_fragment_done (in /usr/lib/x86_64-linux-gnu/libdcerpc-server.so.0.0.1)
    ==26758==    by 0x809ECB6: dcerpc_read_ncacn_packet_done (in /usr/lib/x86_64-linux-gnu/libdcerpc-binding.so.0.0.1)
    ==26758==    by 0xB5137C8: tstream_readv_pdu_readv_done (in /usr/lib/x86_64-linux-gnu/samba/libsamba-sockets.so.0)
    ==26758==    by 0xB5126A5: tstream_readv_done (in /usr/lib/x86_64-linux-gnu/samba/libsamba-sockets.so.0)
    ==26758==    by 0x8B04E13: tevent_common_loop_immediate (in /usr/lib/x86_64-linux-gnu/libtevent.so.0.9.19)
    ==26758==    by 0x8B09436: epoll_event_loop_once (in /usr/lib/x86_64-linux-gnu/libtevent.so.0.9.19)
    ==26758==    by 0x8B07B26: std_event_loop_once (in /usr/lib/x86_64-linux-gnu/libtevent.so.0.9.19)
    ==26758==    by 0x8B045EC: _tevent_loop_once (in /usr/lib/x86_64-linux-gnu/libtevent.so.0.9.19)
    ==26758==    by 0x8B0478A: tevent_common_loop_wait (in /usr/lib/x86_64-linux-gnu/libtevent.so.0.9.19)
    ==26758==    by 0x8B07AC6: std_event_loop_wait (in /usr/lib/x86_64-linux-gnu/libtevent.so.0.9.19)
    ==26758==    by 0x11DF4685: standard_new_task (in /usr/lib/x86_64-linux-gnu/samba/process_model/standard.so)
    ==26758==    by 0x5D10EF9: task_server_startup (in /usr/lib/x86_64-linux-gnu/samba/libservice.so.0)
    ==26758==    by 0x5D0FBA2: server_service_startup (in /usr/lib/x86_64-linux-gnu/samba/libservice.so.0)
    ==26758==    by 0x111A54: binary_smbd_main.constprop.1 (in /usr/sbin/samba)
    ==26758==    by 0x8D2FEC4: (below main) (libc-start.c:287)

M	sope-mime/NGImap4/NSString+Imap4.m

commit 6e8ab27640345febc742397dedc3c68e472166e6
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri Nov 21 09:22:00 2014 -0500

    Update ChangeLog

M	ChangeLog

commit bb70653d820450507097230add9fa1fa13b2453c
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu Nov 20 09:42:42 2014 -0500

    Revert "Fix crash when decoding a = at end of the data"
    
    This reverts commit 1544d178c4cf56ee8358f06475c4b3e45dddc11c.

M	sope-core/NGExtensions/NGQuotedPrintableCoding.m

commit 67c58bfd91e859c9bf643cf20cc44ed2fe6e389f
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Nov 18 10:52:22 2014 -0500

    Improved last commit after more Outlook's brain damange findings

M	sope-core/NGExtensions/NGBase64Coding.m
M	sope-mime/NGMime/NGMimePartGenerator.m

commit c959d950a64d45d679f8a59a82a3b499c05415f8
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Nov 18 09:06:37 2014 -0500

    Disable original and broken padding.

M	sope-core/NGExtensions/NGBase64Coding.m

commit 2c127ff4a7a448820c7b36b68918fce0c394c7d7
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Nov 17 21:04:01 2014 -0500

    Pad the output buffer to avoid Outlook corruption

M	sope-core/NGExtensions/NGBase64Coding.m

commit 1544d178c4cf56ee8358f06475c4b3e45dddc11c
Author: Enrique J. Hernández Blasco <ejhernandez@zentyal.com>
Date:   Fri Nov 14 11:37:04 2014 +0100

    Fix crash when decoding a = at end of the data
    
    In decoding a quoted printable mail. There is a buffer overflow
    as we are always parsing two bytes instead of one.
    
    See the full backtrace at:
    
    https://gist.github.com/sixstone-qq/cb8099b66c2911e8aaf2

M	sope-core/NGExtensions/NGQuotedPrintableCoding.m

commit ceae95aaa2400b339c1ed42650c5bc35b2170dff
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed Nov 12 11:22:21 2014 -0500

    Avoid failures on non-RHEL7 distros

M	packaging/rhel/sope.spec

commit 31de3aac952b97c10b3fecbde5068673ee1538df
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Nov 10 16:07:55 2014 -0500

    Adjust the GNUstep makefiles path on EL7

M	packaging/rhel/sope.spec

commit dd065c21ec420dbdbd486b9c57ccd33220eab123
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Nov 10 15:38:24 2014 -0500

    Cleaned up the file

M	packaging/rhel/sope.spec

commit 7305bc339f72ba9790813ec66a8da53acaef4382
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Nov 10 15:31:54 2014 -0500

    Fixed spec file for EL7

M	packaging/rhel/sope.spec

commit 19fbde18941a18037905086e46e20bb1f1c6206b
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Nov 10 14:10:35 2014 -0500

    Verbose logging

M	packaging/rhel/sope.spec

commit 31aec7522fee85b7c164e0ffb49ab9cabe8303cd
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Nov 10 14:02:05 2014 -0500

    Fixed one more typo

M	packaging/rhel/sope.spec

commit 6398402d19490a8f2ebf9c443adb3baa0b1df421
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Nov 10 13:57:11 2014 -0500

    Fixed typo

M	packaging/rhel/sope.spec

commit 74a3367274565893a7d00753d38886b48ec3c096
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Nov 10 13:51:33 2014 -0500

    Improvements to spec file

M	packaging/rhel/sope.spec

commit 7062f085c58b89daecb2b7db3ff782ebc4e47901
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Nov 10 13:40:08 2014 -0500

    spec file improvements, disabled Oracle support for now

M	packaging/rhel/sope.spec

commit 75995d361fb0e5da74c9e84f753bc2dca03270c9
Author: Wolfgang Sourdeau <Wolfgang@Contre.COM>
Date:   Sat Feb 22 09:00:47 2014 -0500

    WOCompountElement: the array of children was not properly allocated, leading to a buffer overflow

M	sope-appserver/NGObjWeb/DynamicElements/WOCompoundElement.h
M	sope-appserver/NGObjWeb/DynamicElements/WOCompoundElement.m

commit 9fe995c38d190f051acacdd5f2eeefc58b837f24
Author: Jeroen Dekkers <jeroen@dekkers.ch>
Date:   Mon Oct 13 11:49:54 2014 +0200

    Add support for arm64

M	sope-gdl1/GDLAccess/EOSQLQualifier.m
M	sope-gdl1/GDLAccess/FoundationExt/PrintfFormatScanner.m

commit fb65ea6df85a76caaae3c480178d182c0cabe93c
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed Oct 15 16:21:51 2014 -0400

    Small fix on RHEL7

M	packaging/rhel/sope.spec

commit e193644086d96e0f4ca7ce13c9ca4bc4ba0c7d08
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed Oct 15 16:12:31 2014 -0400

    Fixed unused dependancy

M	packaging/rhel/sope.spec

commit bcffd9a6034ada60b20319e209cf4474b8f359f8
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed Oct 15 16:03:52 2014 -0400

    Disabled Oracle support on RHEL7

M	packaging/rhel/sope.spec

commit 00a3dc5c059d0efeb5003f768aca3c1ded0b3e66
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed Oct 15 15:50:29 2014 -0400

    Initial work on RHEL 7

M	packaging/rhel/sope.spec

commit cb31698b1b23a4a82cfa79a2e4f7b6c733c067ab
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Mon Oct 6 13:54:11 2014 -0400

    Fix BrazilianPortuguese language mapping

M	sope-appserver/NGObjWeb/Languages.plist

commit 34893bd565e91c24dbed6c371ce57615345de6fd
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri Sep 26 14:34:25 2014 -0400

    Update ChangeLog

M	ChangeLog

commit 0ee64d0309ecc96a29d7c788e56246aec3606ad5
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Sep 15 15:46:45 2014 -0400

    Handle sync-token during PROPFIND calls

M	sope-appserver/NGObjWeb/DAVPropMap.plist

commit c418c832df6b1097af525a1021b9fc7a2cd6b45b
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed Sep 10 14:25:36 2014 -0400

    Update ChangeLog

M	ChangeLog

commit f0dcde71bfe5e175aeb32bb1de2fc67b40fce0a9
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Fri Aug 15 09:09:31 2014 -0400

    Allow link with no parameter

M	sope-appserver/NGObjWeb/DynamicElements/WOHyperlinkInfo.m

commit 73024ce6dd193ceb6475819fff6235c700bef837
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Wed Aug 13 15:26:25 2014 -0400

    Remove requirement of a link href attribute

M	sope-appserver/NGObjWeb/DynamicElements/WOHyperlinkInfo.m
M	sope-appserver/NGObjWeb/DynamicElements/_WOComplexHyperlink.m
M	sope-appserver/NGObjWeb/DynamicElements/_WOTemporaryHyperlink.m

commit 140d302b14ac396c3eaf5224e742cdac5e649e70
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Thu Aug 7 15:29:54 2014 -0400

    Fix support for templates themes

M	sope-appserver/NGObjWeb/WOResourceManager.m

commit 8d493b030c62f8c0e854d134344e8c2aeb0e2aaf
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Thu Aug 7 15:29:12 2014 -0400

    Remove requirement of a form action attribute

M	sope-appserver/NGObjWeb/DynamicElements/WOForm.m

commit 30add55449cae848b95f42eeb9e02c4832d3220d
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Wed Jul 30 11:23:40 2014 -0400

    Update ChangeLog

M	ChangeLog

commit a7291026a938c2e028d1f4c1e74815a760786fa5
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Jul 22 16:09:48 2014 -0400

    Silenced annoying warning.

M	sope-ldap/NGLdap/NGLdapAttribute.m

commit 4c60ceb5c918b05d254a7bc6f146cc35c6f1b4ae
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Tue Jun 17 07:07:02 2014 -0400

    Add support for the url input type of HTML5

M	sope-appserver/NGObjWeb/DynamicElements/WOxHTMLElemBuilder.m

commit b081453f25b6431dd3e34eefed26da7089630104
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Jul 15 07:09:42 2014 -0400

    Fixed broken merged pull request.

M	sope-mime/NGImap4/NGImap4Client.m

commit 25d3ef8629bbe997e39f4b81205859d9dd0034ba
Author: Marcel Waldvogel <waldvogel@netfuture.ch>
Date:   Fri Jul 4 23:11:54 2014 +0200

    Sends "simple" passwords with command
    
    This is necessary for some old IMAP servers, e.g. SmarterMail

M	sope-mime/NGImap4/NGImap4Client.m

commit aec5f5a99131bf10b05fd5b284d9c9480a6a11f7
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed Jul 2 12:29:52 2014 -0400

    Update ChangeLog

M	ChangeLog

commit 5f94d915eff8bfc46a3f6cb9cb5a8577ee5dede4
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed Jun 25 15:31:03 2014 -0400

    Applied patch for bug #2814

M	sope-appserver/NGObjWeb/Associations/WOKeyPathAssociation.m

commit 467bf1a276e580cb0e7a4e80cbb0e31873f17495
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu Jun 19 16:12:47 2014 -0400

    Avoid compilation failures

M	sope-appserver/NGObjWeb/WebDAV/SaxDAVHandler.m

commit 67cb8a515451f781b0bf0fcdfebefad20e63c973
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Jun 16 15:32:22 2014 -0400

    Fix for bug #2736

M	sope-appserver/NGObjWeb/WebDAV/SaxDAVHandler.m
M	sope-xml/STXSaxDriver/STXSaxDriver.m
M	sope-xml/SaxObjC/SaxDefaultHandler+NSXML.m
M	sope-xml/SaxObjC/SaxObjectDecoder.m
M	sope-xml/libxmlSAXDriver/libxmlDocSAXDriver.m
M	sope-xml/libxmlSAXDriver/libxmlHTMLSAXDriver.m

commit 0de27fec6b74a4fa7d8eb1e68d6a22350dd6c324
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Mon Jun 16 15:17:31 2014 -0400

    Add support for the email input type of HTML5

M	sope-appserver/NGObjWeb/DynamicElements/WOInput.h
M	sope-appserver/NGObjWeb/DynamicElements/WOInput.m
M	sope-appserver/NGObjWeb/DynamicElements/WOTextField.api
M	sope-appserver/NGObjWeb/DynamicElements/WOTextField.m
M	sope-appserver/NGObjWeb/DynamicElements/WOxHTMLElemBuilder.m

commit e1d2554820ce75b5b93757b5b4a7c5e49aaee4c2
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Thu May 29 11:19:59 2014 -0400

    Update ChangeLog

M	ChangeLog

commit 942e123307fd13c382bba00615f34daa5ee61542
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed May 28 09:50:03 2014 -0400

    Don't strip "comments" by default in headers. This is uterly braindead.

M	sope-mime/NGMime/NGMimeStringHeaderFieldParser.m

commit 378d023f70f2134f2127a6f8fe72a88042af4c6d
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue May 27 12:01:24 2014 -0400

    Added IMAP annotations support - patch from #2688

M	sope-mime/NGImap4/NGImap4Client.h
M	sope-mime/NGImap4/NGImap4Client.m
M	sope-mime/NGImap4/NGImap4ResponseNormalizer.m
M	sope-mime/NGImap4/NGImap4ResponseParser.m

commit a435b7f2b6a7dc2603663d64e574bc2d1e715047
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Fri May 23 09:35:02 2014 -0400

    Return nil where pointers are expected
    
    Fixes #2790

M	sope-core/NGExtensions/NGCustomFileManager.m

commit 40c20c124b15fcf68354dae0ca599bc62c14b399
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Fri May 23 07:46:30 2014 -0400

    Make declarations in header match implemenations
    
    Fixes #2789

M	sope-xml/SaxObjC/SaxContentHandler.h

commit 34b70f45575e506c01b60b45ffaf0e6a459e7c0d
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu May 22 14:26:37 2014 -0400

    Added patch from bug #2752

M	sope-appserver/NGObjWeb/WOResponse+private.h

commit 6bdd62c9b2a1083dad13454d36c9179c59562664
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu May 22 10:23:45 2014 -0400

    Applied patch from bug #2756

M	sope-appserver/WEExtensions/WETableMatrixLabel.m

commit 040d30bd7e1329979333822dc7a84df1efa63d9f
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu May 22 10:13:25 2014 -0400

    Applied patch from bug #2737

M	sope-appserver/WEExtensions/WEDragContainer.m
M	sope-appserver/WEExtensions/WEDropContainer.m
M	sope-appserver/WEExtensions/WETabView.m

commit 05edc27b75d0c8d37303d940927881978c7835a8
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri May 16 09:36:20 2014 -0400

    Fixed buffer overflow

M	sope-mime/NGMail/NGMimeMessageGenerator.m

commit 36ee084ab9cdeb3a9a01ccd01e94fa583d6f9536
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri May 16 09:35:05 2014 -0400

    Now encode everything in UTF-8 instead of Latin9 since that's what
    is gonna be used afterwards.

M	sope-mime/NGMime/NGMimeStringHeaderFieldGenerator.m

commit 60caf252df2eed12115f05ff5025b54f01b42efb
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu May 15 11:34:51 2014 -0400

    Fixed fd leak where files were unlinked w/o being closed first.

M	sope-mime/NGMime/NGMimeFileData.m

commit 91d2dce547942de6ea4cfb6f100aba51534a7fe2
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Thu Apr 3 10:09:01 2014 -0400

    Update ChangeLog

M	ChangeLog

commit d684236f4067ed9710dfe5b33520daced696abbe
Author: Jeroen Dekkers <jeroen@dekkers.ch>
Date:   Tue Apr 1 17:01:55 2014 +0200

    Fix spelling errors found by lintian

M	sope-appserver/NGObjWeb/SoObjects/NOTES
M	sope-appserver/NGObjWeb/SoObjects/SoProductClassInfo.m
M	sope-appserver/NGObjWeb/WebDAV/README
M	sope-appserver/NGObjWeb/WebDAV/SoObjectWebDAVDispatcher.m
M	sope-appserver/WEExtensions/WEPageLink.m
M	sope-appserver/WEExtensions/WETableCalcMatrix.m
M	sope-appserver/WEExtensions/WETreeView.m
M	sope-core/EOControl/EOKeyValueCoding.h
M	sope-core/NGExtensions/ChangeLog
M	sope-core/NGExtensions/EOExt.subproj/README.txt
M	sope-core/NGExtensions/NGExtensions/NGBundleManager.h
M	sope-core/NGExtensions/NGExtensions/NGRuleContext.h
M	sope-core/NGExtensions/NGFileManager.m
M	sope-core/NGExtensions/NGRuleEngine.subproj/NGRuleParser.m
M	sope-core/NGExtensions/NGRuleEngine.subproj/README
M	sope-core/NGStreams/NGDescriptorFunctions.m
M	sope-mime/NGMime/NGMimePartParser.m
M	sope-xml/DOM/DOMNodeWithChildren.m
M	sope-xml/STXSaxDriver/README

commit a1176463a8b23a01835e2d12cac93d8d53fcacf2
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Fri Mar 21 15:35:45 2014 -0400

    Update ChangeLog

M	ChangeLog

commit d26c934e5f542c6f7813df76b049c97f826eda82
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu Mar 20 15:27:22 2014 -0400

    Added header modification capability

M	sope-mime/NGMime/NGMimeBodyPart.h
M	sope-mime/NGMime/NGMimeBodyPart.m

commit fcd9c3abbf6fbdd36765c1d294e2d949cc7c5768
Author: Alexandre Cloutier <acloutier@inverse.ca>
Date:   Wed Mar 12 14:32:19 2014 -0400

    Encode the comma in the header

M	sope-mime/NGMime/NGMimeHeaderFieldGenerator.m

commit a947a38eeaec9d29728609178ea78b52f3b2d7ca
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Fri Mar 7 14:07:20 2014 -0500

    Update ChangeLog

M	ChangeLog

commit e08ae3570f7d3df74aaa62dc1a4e6a76fd106e9a
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Tue Feb 25 16:06:12 2014 -0500

    Update ChangeLog

M	ChangeLog

commit db69cc0392cae4677ad8392b5318f046168f89f1
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Feb 25 14:46:10 2014 -0500

    Don't encode &quote;

M	sope-core/NGExtensions/FdExt.subproj/NSString+HTMLEscaping.m

commit ab13ed37694d3dd18d4e8b69973b1d71ab00a5fd
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Feb 25 14:41:57 2014 -0500

    Fix for bug #2609

M	sope-mime/NGImap4/NGImap4Client.h
M	sope-mime/NGImap4/NGImap4Client.m

commit fac46cf1bcd097f0294d85e89a5ce0c113cc7215
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Mon Feb 24 16:55:56 2014 -0500

    Update ChangeLog

M	ChangeLog

commit 86e24f467277576f82b42985c1590b2d6e4b8945
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Wed Feb 5 16:45:14 2014 -0500

    Raise exception when not enough memory available

M	sope-mime/NGMime/NGMimePartParser.m

commit 328614a3aff41b903861720c276dab8e6037803f
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed Feb 5 09:14:47 2014 -0500

    Fixed include for old gcc versions

M	sope-core/EOControl/common.h
M	sope-core/NGExtensions/common.h
M	sope-xml/DOM/common.h
M	sope-xml/STXSaxDriver/common.h
M	sope-xml/XmlRpc/common.h

commit f302b47209140493a6d42dbaf835c22132e84711
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Feb 4 14:25:18 2014 -0500

    Silented massively annoying log messages.

M	sope-core/NGExtensions/FdExt.subproj/NSNull+misc.m

commit d4be6c6a3b3c39df117b2ab96510db02739998da
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Feb 4 08:59:43 2014 -0500

    Fix for bug #2566

M	sope-core/NGExtensions/NGBitSet.m
M	sope-core/NGExtensions/NGBundleManager.m
M	sope-core/NGExtensions/NGCalendarDateRange.m
M	sope-core/NGExtensions/NGHashMap.m
M	sope-core/NGExtensions/NGLogging.subproj/NGLogEventDetailedFormatter.m
M	sope-core/NGExtensions/NGLogging.subproj/NGLoggerManager.m
M	sope-core/NGExtensions/NGResourceLocator.m
M	sope-core/NGExtensions/NGStack.m

commit 427d4f9260dcb701e7ed5b94c2e6333fd726e9b9
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Feb 4 08:58:32 2014 -0500

    Fix for bug #2554

M	sope-core/NGExtensions/EOExt.subproj/EOFetchSpecification+plist.m
M	sope-core/NGExtensions/EOExt.subproj/EOKeyMapDataSource.m

commit 0261eafb19da1e46be7ed589ef9517007793b875
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Feb 4 08:56:54 2014 -0500

    Fix for bug #2553

M	sope-core/NGExtensions/FdExt.subproj/NGPropertyListParser.m
M	sope-core/NGExtensions/FdExt.subproj/NSProcessInfo+misc.m
M	sope-core/NGExtensions/FdExt.subproj/NSString+Encoding.m
M	sope-core/NGExtensions/FdExt.subproj/NSString+Escaping.m
M	sope-core/NGExtensions/FdExt.subproj/NSString+Ext.m
M	sope-core/NGExtensions/FdExt.subproj/NSString+misc.m

commit a8a123e9d7a8ade6a7214e8c994017cb3cc90067
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Feb 4 08:55:42 2014 -0500

    Fix for bug #2551

M	sope-core/EOControl/EOGenericRecord.m
M	sope-core/EOControl/EONotQualifier.m
M	sope-core/EOControl/EOQualifierParser.m
M	sope-core/EOControl/EOSQLParser.m
M	sope-core/EOControl/NSArray+EOQualifier.m

commit a98ec9011ef0d8864b3b83e3574144c828bb5e12
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Feb 4 08:54:24 2014 -0500

    Fix for bug #2550

M	sope-xml/DOM/DOMElement.m
M	sope-xml/DOM/DOMNode.m
M	sope-xml/DOM/DOMSaxHandler.m
M	sope-xml/STXSaxDriver/ExtraSTX/StructuredText.m
M	sope-xml/STXSaxDriver/Model/StructuredTextBodyElement.m
M	sope-xml/STXSaxDriver/Model/StructuredTextHeader.m
M	sope-xml/STXSaxDriver/STXSaxDriver.m
M	sope-xml/SaxObjC/SaxDefaultHandler.m
M	sope-xml/SaxObjC/SaxDocumentHandler.h
M	sope-xml/SaxObjC/SaxHandlerBase.m
M	sope-xml/SaxObjC/SaxObjectDecoder.m
M	sope-xml/SaxObjC/SaxXMLFilter.m
M	sope-xml/XmlRpc/XmlRpcDecoder.m
M	sope-xml/XmlRpc/XmlRpcEncoder.m
M	sope-xml/XmlRpc/XmlRpcMethodCall.m
M	sope-xml/XmlRpc/XmlRpcSaxHandler.m
M	sope-xml/libxmlSAXDriver/libxmlSAXDriver.m

commit 2a5b6b2cb1cd1db00b0237c0a3d95fc0de28ac46
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Feb 4 08:51:05 2014 -0500

    Fix for bug #2549

M	sope-xml/SaxObjC/SaxAttributeList.m
M	sope-xml/SaxObjC/SaxAttributes.m
M	sope-xml/SaxObjC/SaxXMLReaderFactory.m

commit 2ce6fb40226d6b3aad38e2399b6b3be89c87e8e9
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri Jan 31 11:39:33 2014 -0500

    Disabled encoding to broken entities.

M	sope-core/NGExtensions/FdExt.subproj/NSString+HTMLEscaping.m

commit 7280b9cf26d0c487cd05336462db5a6dd037e42c
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Thu Jan 30 09:39:26 2014 -0500

    Encode big parts in quoted-printable
    
    We now encode messages in quoted-printable when content is bigger than
    72 bytes.

M	sope-mime/NGMail/NGMailBase64Encoding.m

commit 87e7a6591e8a75238fbedfc5822cfc20b7ef8481
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Jan 20 10:08:11 2014 -0500

    Disabled the addition of the "SENT" prefix - this broke IMAP filtering

M	sope-mime/NGImap4/EOQualifier+IMAPAdditions.m

commit f7c657190a1adf0147f0d09c82a239880d95b524
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu Jan 9 20:35:11 2014 -0500

    Handle highestmodseq and uidnext untagged responses

M	sope-mime/NGImap4/NGImap4ResponseNormalizer.m

commit 91b1d7252822028df9a876ff71e6a69d1c593729
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu Jan 9 20:34:19 2014 -0500

    Rework header capitalization code to not touch AS headers

M	sope-appserver/NGObjWeb/WOHttpAdaptor/WOHttpTransaction.m

commit df78a9868ee98eafbd4d1d1e04f4cb04d02c35db
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Nov 25 15:34:24 2013 -0500

    Added REPORT as an allowed DAV method.

M	sope-appserver/NGObjWeb/Defaults.plist

commit 5e8ad77b88067bb681441b1d6e4734f8cf0eef02
Author: Jean Raby <jraby@inverse.ca>
Date:   Tue Nov 19 14:05:06 2013 -0500

    Update ChangeLog

M	ChangeLog

commit 3c5fddcf5e54795aa206206cef92b82de8283552
Author: Jean Raby <jraby@inverse.ca>
Date:   Mon Nov 18 21:40:39 2013 -0500

    Rewrite sanitizeMailAddresses
    
    It should now be more robust and shouldn't crash when handling strange input.

M	sope-mime/NGMail/NGMailAddressParser.h
M	sope-mime/NGMail/NGMailAddressParser.m

commit 12fb93ead66cb672e8d8db4c7767b47ae069bac1
Author: Jean Raby <jraby@inverse.ca>
Date:   Fri Nov 15 16:05:41 2013 -0500

    Use is7bitSafe to avoid double encoding strings

M	sope-mime/NGImap4/NSString+Imap4.m

commit 2e03d606f60f1cb003bc9788f393aeca8b9007bb
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed Nov 13 15:35:12 2013 -0500

    Added attributes support

M	sope-appserver/NGObjWeb/WebDAV/SaxDAVHandler.m

commit ea6d6c304faf21dbb5ab816c5888831a4e4e3ea8
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Nov 12 15:24:28 2013 -0500

    Added new PROPFIND/PROPATCH for mails labels synchronization

M	sope-appserver/NGObjWeb/DAVPropMap.plist

commit f12836f47932138c09d9f641111b1030fbe09203
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Thu Nov 7 14:40:03 2013 -0500

    Update ChangeLog

M	ChangeLog

commit 59e66e3a7ecdf06f849a5e581572b1c6bbc2710d
Author: Jean Raby <jraby@inverse.ca>
Date:   Wed Nov 6 08:17:43 2013 -0500

    Typo in error msg: cound -> could

M	sope-ldap/NGLdap/NGLdapAttribute.m

commit 87b9400affc61f48e3dfe24ff56500875eb9312b
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Nov 5 15:08:59 2013 -0500

    Reverted patch from David Chisnall to bring back Lucid to a working state.

M	sope-appserver/NGObjWeb/Associations/WOKeyPathAssociation.m
M	sope-appserver/NGObjWeb/Associations/WOScriptAssociation.m
M	sope-appserver/NGObjWeb/Associations/WOValueAssociation.m
M	sope-appserver/NGObjWeb/DynamicElements/WOComponentReference.m
M	sope-appserver/NGObjWeb/DynamicElements/WOGenericElement.m
M	sope-appserver/NGObjWeb/DynamicElements/WOHyperlink.m
M	sope-appserver/NGObjWeb/NGHttp/NGHttpHeaderFieldParser.m
M	sope-appserver/NGObjWeb/NGHttp/NGHttpResponse.h
M	sope-appserver/NGObjWeb/NGHttp/NGUrlFormCoder.m
M	sope-appserver/NGObjWeb/NSObject+WO.m
M	sope-appserver/NGObjWeb/SoObjects/SoClassSecurityInfo.h
M	sope-appserver/NGObjWeb/SoObjects/SoClassSecurityInfo.m
M	sope-appserver/NGObjWeb/SoObjects/SoComponent.m
M	sope-appserver/NGObjWeb/SoObjects/SoDefaultRenderer.m
M	sope-appserver/NGObjWeb/Templates/WOComponentScriptPart.m
M	sope-appserver/NGObjWeb/Templates/WODParser.m
M	sope-appserver/NGObjWeb/Templates/WOHTMLParser.m
M	sope-appserver/NGObjWeb/Templates/WOTemplate.m
M	sope-appserver/NGObjWeb/Templates/WOxElemBuilder.m
M	sope-appserver/NGObjWeb/WOComponent+Sync.m
M	sope-appserver/NGObjWeb/WOComponent.m
M	sope-appserver/NGObjWeb/WOHTTPConnection.m
M	sope-appserver/NGObjWeb/WOHttpAdaptor/WOHttpAdaptor.m
M	sope-appserver/NGObjWeb/WOHttpAdaptor/WOHttpTransaction.m
M	sope-appserver/NGObjWeb/WOHttpAdaptor/WORequest+Adaptor.m
M	sope-appserver/NGObjWeb/WOMailDelivery.m
M	sope-appserver/NGObjWeb/WOResponse.m
M	sope-appserver/NGObjWeb/WOSessionStore.m
M	sope-appserver/NGObjWeb/WOSimpleHTTPParser.m
M	sope-appserver/NGObjWeb/WOStatisticsStore.m
M	sope-appserver/NGObjWeb/WebDAV/SaxDAVHandler.m
M	sope-appserver/NGObjWeb/WebDAV/SoDAVSQLParser.h
M	sope-appserver/NGObjWeb/WebDAV/SoDAVSQLParser.m
M	sope-appserver/NGObjWeb/WebDAV/SoObjectDataSource.m
M	sope-appserver/NGObjWeb/WebDAV/SoWebDAVRenderer.m
M	sope-appserver/NGObjWeb/WebDAV/SoWebDAVValue.m
M	sope-appserver/NGObjWeb/_WOStringTable.m
M	sope-appserver/NGObjWeb/common.h
M	sope-appserver/WEExtensions/JSStringTable.m
M	sope-appserver/WEExtensions/WEMonthOverview.m
M	sope-appserver/WEExtensions/WEResourceKey.m
M	sope-appserver/WEExtensions/WEResourceManager.m
M	sope-appserver/WEExtensions/WETableCalcMatrix.h
M	sope-appserver/WEExtensions/WETableCalcMatrix.m
M	sope-appserver/WEExtensions/WETableMatrix.m
M	sope-appserver/WEExtensions/WETableView/WETableView.m
M	sope-appserver/WOExtensions/WOTabPanel.m
M	sope-core/EOControl/EOFetchSpecification.m
M	sope-core/EOControl/EOGenericRecord.m
M	sope-core/EOControl/EOGlobalID.m
M	sope-core/EOControl/EOKeyComparisonQualifier.m
M	sope-core/EOControl/EOKeyGlobalID.m
M	sope-core/EOControl/EOKeyValueCoding.m
M	sope-core/EOControl/EOKeyValueQualifier.m
M	sope-core/EOControl/EONotQualifier.m
M	sope-core/EOControl/EONull.m
M	sope-core/EOControl/EOObserver.m
M	sope-core/EOControl/EOOrQualifier.m
M	sope-core/EOControl/EOQualifierParser.m
M	sope-core/EOControl/EOSQLParser.h
M	sope-core/EOControl/EOSQLParser.m
M	sope-core/EOControl/EOSortOrdering.m
M	sope-core/EOControl/EOValidation.m
M	sope-core/EOControl/NSArray+EOQualifier.m
M	sope-core/NGExtensions/EOExt.subproj/EOFetchSpecification+plist.m
M	sope-core/NGExtensions/EOExt.subproj/EOKeyMapDataSource.m
M	sope-core/NGExtensions/EOExt.subproj/EOQualifier+CtxEval.m
M	sope-core/NGExtensions/FdExt.subproj/NGPropertyListParser.m
M	sope-core/NGExtensions/FdExt.subproj/NSException+misc.m
M	sope-core/NGExtensions/FdExt.subproj/NSObject+Logs.m
M	sope-core/NGExtensions/FdExt.subproj/NSObject+Values.m
M	sope-core/NGExtensions/FdExt.subproj/NSProcessInfo+misc.m
M	sope-core/NGExtensions/FdExt.subproj/NSSet+enumerator.m
M	sope-core/NGExtensions/FdExt.subproj/NSString+Encoding.m
M	sope-core/NGExtensions/FdExt.subproj/NSString+Escaping.m
M	sope-core/NGExtensions/FdExt.subproj/NSString+Ext.m
M	sope-core/NGExtensions/FdExt.subproj/NSString+misc.m
M	sope-core/NGExtensions/NGBitSet.m
M	sope-core/NGExtensions/NGBundleManager.m
M	sope-core/NGExtensions/NGCalendarDateRange.m
M	sope-core/NGExtensions/NGDirectoryEnumerator.m
M	sope-core/NGExtensions/NGHashMap.m
M	sope-core/NGExtensions/NGLogging.subproj/NGLogEventDetailedFormatter.m
M	sope-core/NGExtensions/NGLogging.subproj/NGLoggerManager.m
M	sope-core/NGExtensions/NGResourceLocator.m
M	sope-core/NGExtensions/NGStack.m
M	sope-core/NGStreams/NGActiveSocket.m
M	sope-core/NGStreams/NGBufferedStream.m
M	sope-core/NGStreams/NGByteBuffer.m
M	sope-core/NGStreams/NGByteCountStream.m
M	sope-core/NGStreams/NGCTextStream.m
M	sope-core/NGStreams/NGConcreteStreamFileHandle.m
M	sope-core/NGStreams/NGLocalSocketAddress.m
M	sope-gdl1/GDLAccess/EOAdaptor.m
M	sope-gdl1/GDLAccess/EOAttribute.m
M	sope-gdl1/GDLAccess/EODatabase.m
M	sope-gdl1/GDLAccess/EODatabaseChannel.m
M	sope-gdl1/GDLAccess/EODatabaseContext.m
M	sope-gdl1/GDLAccess/EODatabaseFault.m
M	sope-gdl1/GDLAccess/EODatabaseFaultResolver.m
M	sope-gdl1/GDLAccess/EOEntity.m
M	sope-gdl1/GDLAccess/EOFExceptions.m
M	sope-gdl1/GDLAccess/EOFault.h
M	sope-gdl1/GDLAccess/EOFault.m
M	sope-gdl1/GDLAccess/EOModel.m
M	sope-gdl1/GDLAccess/EOObjectUniquer.m
M	sope-gdl1/GDLAccess/EOPrimaryKeyDictionary.m
M	sope-gdl1/GDLAccess/EORecordDictionary.m
M	sope-gdl1/GDLAccess/EORelationship.m
M	sope-gdl1/GDLAccess/EOSQLExpression.m
M	sope-gdl1/GDLAccess/EOSQLQualifier.m
M	sope-gdl1/GDLAccess/common.h
M	sope-gdl1/PostgreSQL/NSData+PGVal.m
M	sope-gdl1/PostgreSQL/NSString+PostgreSQL72.m
M	sope-gdl1/PostgreSQL/PostgreSQL72Channel.m
M	sope-gdl1/PostgreSQL/PostgreSQL72DataTypeMappingException.m
M	sope-mime/NGImap4/NGImap4Client.m
M	sope-mime/NGImap4/NGImap4Connection.m
M	sope-mime/NGImap4/NGImap4Context.m
M	sope-mime/NGImap4/NGImap4FileManager.m
M	sope-mime/NGImap4/NGImap4Folder.m
M	sope-mime/NGImap4/NGImap4FolderGlobalID.m
M	sope-mime/NGImap4/NGImap4Message.m
M	sope-mime/NGImap4/NGImap4ResponseParser.m
M	sope-mime/NGImap4/NGImap4ServerGlobalID.m
M	sope-mime/NGImap4/NGSieveClient.m
M	sope-mime/NGImap4/imCommon.h
M	sope-mime/NGMail/NGMailAddress.m
M	sope-mime/NGMail/NGMailAddressParser.m
M	sope-mime/NGMail/NGMimeMessage.m
M	sope-mime/NGMime/NGMimeBodyPart.m
M	sope-mime/NGMime/NGMimeJoinedData.m
M	sope-mime/NGMime/NGMimePartGenerator.h
M	sope-mime/NGMime/NGMimePartGenerator.m
M	sope-mime/NGMime/NGMimePartParser.m
M	sope-mime/NGMime/NGMimeRFC822DateHeaderFieldParser.m
M	sope-xml/DOM/DOMElement.m
M	sope-xml/DOM/DOMNode.m
M	sope-xml/DOM/DOMQueryPathExpression.m
M	sope-xml/DOM/DOMSaxHandler.m
M	sope-xml/STXSaxDriver/ExtraSTX/StructuredText.m
M	sope-xml/STXSaxDriver/Model/StructuredTextBodyElement.m
M	sope-xml/STXSaxDriver/Model/StructuredTextHeader.m
M	sope-xml/STXSaxDriver/STXSaxDriver.m
M	sope-xml/SaxObjC/SaxAttributeList.m
M	sope-xml/SaxObjC/SaxAttributes.m
M	sope-xml/SaxObjC/SaxContentHandler.h
M	sope-xml/SaxObjC/SaxDefaultHandler.m
M	sope-xml/SaxObjC/SaxObjectDecoder.m
M	sope-xml/SaxObjC/SaxXMLFilter.m
M	sope-xml/SaxObjC/SaxXMLReaderFactory.m
M	sope-xml/XmlRpc/NSNotification+XmlRpcCoding.m
M	sope-xml/XmlRpc/XmlRpcDecoder.m
M	sope-xml/XmlRpc/XmlRpcEncoder.m
M	sope-xml/XmlRpc/XmlRpcMethodCall.m
M	sope-xml/XmlRpc/XmlRpcSaxHandler.m

commit 25b7c45834da4b50f1ac56b367e3eeb1ea4cd623
Author: sogo <sogo@example.com>
Date:   Tue Nov 5 14:42:59 2013 -0500

    Reverted fix.

M	sope-appserver/NGObjWeb/common.h
M	sope-gdl1/GDLAccess/common.h

commit 39eb541020f13dbb1710f6068c8bc5adbbe0ff2b
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Nov 5 14:16:15 2013 -0500

    Fix for Lucid

M	sope-appserver/NGObjWeb/common.h
M	sope-gdl1/GDLAccess/common.h

commit f7d864030c3985ff40c622cd745cca33dbc4a5a9
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Oct 28 15:28:50 2013 -0400

    Removed uber-brain-damaged code.

M	sope-mime/NGImap4/NGImap4ResponseParser.m

commit 03369a2963654b2e3f50facef394a0c44bd83f33
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu Oct 24 20:58:56 2013 -0400

    Potential fix for OS X 10.9

M	sope-appserver/NGObjWeb/WEClientCapabilities.m

commit 663174ffee0f3680eda328a6510e48ee8a34d62d
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri Oct 18 13:48:43 2013 -0400

    Applied huge patch (slightly modified) from David Chisnall
    
    These fixes are for the FreeBSD/OpenBSD port.

M	sope-appserver/NGObjWeb/Associations/WOKeyPathAssociation.m
M	sope-appserver/NGObjWeb/Associations/WOScriptAssociation.m
M	sope-appserver/NGObjWeb/Associations/WOValueAssociation.m
M	sope-appserver/NGObjWeb/DynamicElements/WOComponentReference.m
M	sope-appserver/NGObjWeb/DynamicElements/WOGenericElement.m
M	sope-appserver/NGObjWeb/DynamicElements/WOHyperlink.m
M	sope-appserver/NGObjWeb/NGHttp/NGHttpHeaderFieldParser.m
M	sope-appserver/NGObjWeb/NGHttp/NGHttpResponse.h
M	sope-appserver/NGObjWeb/NGHttp/NGUrlFormCoder.m
M	sope-appserver/NGObjWeb/NSObject+WO.m
M	sope-appserver/NGObjWeb/SoObjects/SoClassSecurityInfo.h
M	sope-appserver/NGObjWeb/SoObjects/SoClassSecurityInfo.m
M	sope-appserver/NGObjWeb/SoObjects/SoComponent.m
M	sope-appserver/NGObjWeb/SoObjects/SoDefaultRenderer.m
M	sope-appserver/NGObjWeb/Templates/WOComponentScriptPart.m
M	sope-appserver/NGObjWeb/Templates/WODParser.m
M	sope-appserver/NGObjWeb/Templates/WOHTMLParser.m
M	sope-appserver/NGObjWeb/Templates/WOTemplate.m
M	sope-appserver/NGObjWeb/Templates/WOxElemBuilder.m
M	sope-appserver/NGObjWeb/WOComponent+Sync.m
M	sope-appserver/NGObjWeb/WOComponent.m
M	sope-appserver/NGObjWeb/WOHTTPConnection.m
M	sope-appserver/NGObjWeb/WOHttpAdaptor/WOHttpAdaptor.m
M	sope-appserver/NGObjWeb/WOHttpAdaptor/WOHttpTransaction.m
M	sope-appserver/NGObjWeb/WOHttpAdaptor/WORequest+Adaptor.m
M	sope-appserver/NGObjWeb/WOMailDelivery.m
M	sope-appserver/NGObjWeb/WOResponse.m
M	sope-appserver/NGObjWeb/WOSessionStore.m
M	sope-appserver/NGObjWeb/WOSimpleHTTPParser.m
M	sope-appserver/NGObjWeb/WOStatisticsStore.m
M	sope-appserver/NGObjWeb/WebDAV/SaxDAVHandler.m
M	sope-appserver/NGObjWeb/WebDAV/SoDAVSQLParser.h
M	sope-appserver/NGObjWeb/WebDAV/SoDAVSQLParser.m
M	sope-appserver/NGObjWeb/WebDAV/SoObjectDataSource.m
M	sope-appserver/NGObjWeb/WebDAV/SoWebDAVRenderer.m
M	sope-appserver/NGObjWeb/WebDAV/SoWebDAVValue.m
M	sope-appserver/NGObjWeb/_WOStringTable.m
M	sope-appserver/NGObjWeb/common.h
M	sope-appserver/WEExtensions/JSStringTable.m
M	sope-appserver/WEExtensions/WEMonthOverview.m
M	sope-appserver/WEExtensions/WEResourceKey.m
M	sope-appserver/WEExtensions/WEResourceManager.m
M	sope-appserver/WEExtensions/WETableCalcMatrix.h
M	sope-appserver/WEExtensions/WETableCalcMatrix.m
M	sope-appserver/WEExtensions/WETableMatrix.m
M	sope-appserver/WEExtensions/WETableView/WETableView.m
M	sope-appserver/WOExtensions/WOTabPanel.m
M	sope-core/EOControl/EOFetchSpecification.m
M	sope-core/EOControl/EOGenericRecord.m
M	sope-core/EOControl/EOGlobalID.m
M	sope-core/EOControl/EOKeyComparisonQualifier.m
M	sope-core/EOControl/EOKeyGlobalID.m
M	sope-core/EOControl/EOKeyValueCoding.m
M	sope-core/EOControl/EOKeyValueQualifier.m
M	sope-core/EOControl/EONotQualifier.m
M	sope-core/EOControl/EONull.m
M	sope-core/EOControl/EOObserver.m
M	sope-core/EOControl/EOOrQualifier.m
M	sope-core/EOControl/EOQualifierParser.m
M	sope-core/EOControl/EOSQLParser.h
M	sope-core/EOControl/EOSQLParser.m
M	sope-core/EOControl/EOSortOrdering.m
M	sope-core/EOControl/EOValidation.m
M	sope-core/EOControl/NSArray+EOQualifier.m
M	sope-core/NGExtensions/EOExt.subproj/EOFetchSpecification+plist.m
M	sope-core/NGExtensions/EOExt.subproj/EOKeyMapDataSource.m
M	sope-core/NGExtensions/EOExt.subproj/EOQualifier+CtxEval.m
M	sope-core/NGExtensions/FdExt.subproj/NGPropertyListParser.m
M	sope-core/NGExtensions/FdExt.subproj/NSException+misc.m
M	sope-core/NGExtensions/FdExt.subproj/NSObject+Logs.m
M	sope-core/NGExtensions/FdExt.subproj/NSObject+Values.m
M	sope-core/NGExtensions/FdExt.subproj/NSProcessInfo+misc.m
M	sope-core/NGExtensions/FdExt.subproj/NSSet+enumerator.m
M	sope-core/NGExtensions/FdExt.subproj/NSString+Encoding.m
M	sope-core/NGExtensions/FdExt.subproj/NSString+Escaping.m
M	sope-core/NGExtensions/FdExt.subproj/NSString+Ext.m
M	sope-core/NGExtensions/FdExt.subproj/NSString+misc.m
M	sope-core/NGExtensions/NGBitSet.m
M	sope-core/NGExtensions/NGBundleManager.m
M	sope-core/NGExtensions/NGCalendarDateRange.m
M	sope-core/NGExtensions/NGDirectoryEnumerator.m
M	sope-core/NGExtensions/NGHashMap.m
M	sope-core/NGExtensions/NGLogging.subproj/NGLogEventDetailedFormatter.m
M	sope-core/NGExtensions/NGLogging.subproj/NGLoggerManager.m
M	sope-core/NGExtensions/NGResourceLocator.m
M	sope-core/NGExtensions/NGStack.m
M	sope-core/NGStreams/NGActiveSocket.m
M	sope-core/NGStreams/NGBufferedStream.m
M	sope-core/NGStreams/NGByteBuffer.m
M	sope-core/NGStreams/NGByteCountStream.m
M	sope-core/NGStreams/NGCTextStream.m
M	sope-core/NGStreams/NGConcreteStreamFileHandle.m
M	sope-core/NGStreams/NGLocalSocketAddress.m
M	sope-gdl1/GDLAccess/EOAdaptor.m
M	sope-gdl1/GDLAccess/EOAttribute.m
M	sope-gdl1/GDLAccess/EODatabase.m
M	sope-gdl1/GDLAccess/EODatabaseChannel.m
M	sope-gdl1/GDLAccess/EODatabaseContext.m
M	sope-gdl1/GDLAccess/EODatabaseFault.m
M	sope-gdl1/GDLAccess/EODatabaseFaultResolver.m
M	sope-gdl1/GDLAccess/EOEntity.m
M	sope-gdl1/GDLAccess/EOFExceptions.m
M	sope-gdl1/GDLAccess/EOFault.h
M	sope-gdl1/GDLAccess/EOFault.m
M	sope-gdl1/GDLAccess/EOModel.m
M	sope-gdl1/GDLAccess/EOObjectUniquer.m
M	sope-gdl1/GDLAccess/EOPrimaryKeyDictionary.m
M	sope-gdl1/GDLAccess/EORecordDictionary.m
M	sope-gdl1/GDLAccess/EORelationship.m
M	sope-gdl1/GDLAccess/EOSQLExpression.m
M	sope-gdl1/GDLAccess/EOSQLQualifier.m
M	sope-gdl1/GDLAccess/common.h
M	sope-gdl1/PostgreSQL/NSData+PGVal.m
M	sope-gdl1/PostgreSQL/NSString+PostgreSQL72.m
M	sope-gdl1/PostgreSQL/PostgreSQL72Channel.m
M	sope-gdl1/PostgreSQL/PostgreSQL72DataTypeMappingException.m
M	sope-mime/NGImap4/NGImap4Client.m
M	sope-mime/NGImap4/NGImap4Connection.m
M	sope-mime/NGImap4/NGImap4Context.m
M	sope-mime/NGImap4/NGImap4FileManager.m
M	sope-mime/NGImap4/NGImap4Folder.m
M	sope-mime/NGImap4/NGImap4FolderGlobalID.m
M	sope-mime/NGImap4/NGImap4Message.m
M	sope-mime/NGImap4/NGImap4ResponseParser.m
M	sope-mime/NGImap4/NGImap4ServerGlobalID.m
M	sope-mime/NGImap4/NGSieveClient.m
M	sope-mime/NGImap4/imCommon.h
M	sope-mime/NGMail/NGMailAddress.m
M	sope-mime/NGMail/NGMailAddressParser.m
M	sope-mime/NGMail/NGMimeMessage.m
M	sope-mime/NGMime/NGMimeBodyPart.m
M	sope-mime/NGMime/NGMimeJoinedData.m
M	sope-mime/NGMime/NGMimePartGenerator.h
M	sope-mime/NGMime/NGMimePartGenerator.m
M	sope-mime/NGMime/NGMimePartParser.m
M	sope-mime/NGMime/NGMimeRFC822DateHeaderFieldParser.m
M	sope-xml/DOM/DOMElement.m
M	sope-xml/DOM/DOMNode.m
M	sope-xml/DOM/DOMQueryPathExpression.m
M	sope-xml/DOM/DOMSaxHandler.m
M	sope-xml/STXSaxDriver/ExtraSTX/StructuredText.m
M	sope-xml/STXSaxDriver/Model/StructuredTextBodyElement.m
M	sope-xml/STXSaxDriver/Model/StructuredTextHeader.m
M	sope-xml/STXSaxDriver/STXSaxDriver.m
M	sope-xml/SaxObjC/SaxAttributeList.m
M	sope-xml/SaxObjC/SaxAttributes.m
M	sope-xml/SaxObjC/SaxContentHandler.h
M	sope-xml/SaxObjC/SaxDefaultHandler.m
M	sope-xml/SaxObjC/SaxObjectDecoder.m
M	sope-xml/SaxObjC/SaxXMLFilter.m
M	sope-xml/SaxObjC/SaxXMLReaderFactory.m
M	sope-xml/XmlRpc/NSNotification+XmlRpcCoding.m
M	sope-xml/XmlRpc/XmlRpcDecoder.m
M	sope-xml/XmlRpc/XmlRpcEncoder.m
M	sope-xml/XmlRpc/XmlRpcMethodCall.m
M	sope-xml/XmlRpc/XmlRpcSaxHandler.m

commit e89bfaef8041f2e56b880432285d237d4d5e9ab9
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri Sep 27 10:34:47 2013 -0400

    Added 2Do client. See #2114 for more details.

M	sope-appserver/NGObjWeb/WEClientCapabilities.m

commit 7bb4c77e937336a1e3409ff436aab176f048d036
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu Sep 26 14:47:01 2013 -0400

    Fix for bug #2412

M	sope-appserver/NGObjWeb/Languages.plist

commit 2c46765fcf11844fffa95a976b577554917ad35b
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed Sep 25 14:30:51 2013 -0400

    Fix for bug #2319

M	sope-gdl1/MySQL/MySQL4Channel.m

commit dd21a117bb5dea064b58b949e6e88bdd4e9848ae
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed Sep 25 10:05:46 2013 -0400

    Avoid double-encoding 7bit-safe folders

M	sope-mime/NGImap4/NGImap4Client.m
M	sope-mime/NGImap4/NSString+Imap4.h
M	sope-mime/NGImap4/NSString+Imap4.m

commit 223e0ae569b9ad4eae3d5ac5a43209feff99b3dd
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Sep 24 15:58:11 2013 -0400

    Fix for bug #2318

M	sope-mime/NGImap4/NGImap4Client.m
M	sope-mime/NGImap4/NGImap4Connection.m

commit aa26f89ded0672fda8f3a11f0492fd938bdbdd9b
Author: Jean Raby <jraby@inverse.ca>
Date:   Thu Sep 12 09:30:24 2013 -0400

    Add gitignore. No obj/ directory

A	.gitignore

commit 8540c3ae63923298ca29aa269a1bbdb9c996646e
Author: Jean Raby <jraby@inverse.ca>
Date:   Tue Sep 10 12:03:55 2013 -0400

    use initWithBytes to handle credentials
    
    That behavior matches what stringByDecodingBase64 does, but this code should
    probably be rewritten to use it instead on rolling its own version.

M	sope-appserver/NGObjWeb/NGHttp/NGHttpHeaderFields.m

commit 5ee6f6fdd9ac63a51e6619e880d625a6f6fa83e1
Author: Jean Raby <jraby@inverse.ca>
Date:   Tue Sep 10 11:58:35 2013 -0400

    Use initWithBytes instead of initWithBytesNocopy
    
    For some strange reason, the dest pointer gets mangled by gnustep
    when the init fails with encoding:NSUTF8StringEncoding.
    Use initWithBytes and free the pointer manually instead.
    
    This avoids a double free crash when handling latin1 encoded creds

M	sope-core/NGExtensions/NGBase64Coding.m

commit de26af91c8df6b37f7db44ddb127174ce6e72840
Author: Jean Raby <jraby@inverse.ca>
Date:   Tue Sep 10 11:54:36 2013 -0400

    len must be signed
    
    Avoids wrapping if data doesn't contain a ':'
    This avoids an out of memory exception when receiving malformed auth data

M	sope-appserver/NGObjWeb/NGHttp/NGHttpHeaderFields.m

commit eac41b9cde81e8b4dfa0869b58e84a211d996e3d
Author: Jean Raby <jraby@inverse.ca>
Date:   Fri Sep 6 13:41:29 2013 -0400

    Avoid high CPU usage when all child procs are busy

M	sope-appserver/NGObjWeb/WOWatchDogApplicationMain.m

commit 82f23a317665157c6ef36a6f9c191f4421caf36b
Author: Jean Raby <jraby@inverse.ca>
Date:   Wed Aug 28 17:05:31 2013 -0400

    Implement ldap password change for ActiveDirectory
    
    Also works against Samba4. Unfortunately, we don't get detailed error messages
    from AD. On samba4, debug has to be turned quite high to see anything.
    
    The LDAP connection *must* use TLS/SSL, otherwise it won't work.
    See these links for details:
      http://support.microsoft.com/kb/269190
      http://msdn.microsoft.com/en-us/library/cc223248.aspx

M	sope-ldap/NGLdap/NGLdapConnection.h
M	sope-ldap/NGLdap/NGLdapConnection.m

commit 3dcc9b1459bd8a3ab626f918dea5576defb86eea
Author: Jean Raby <jraby@inverse.ca>
Date:   Wed Aug 28 09:33:59 2013 -0400

    Fix format. Avoid crash on pidfile creation error.
    
    reported by hannes_at_erven.at

M	sope-appserver/NGObjWeb/WOWatchDogApplicationMain.m

commit dccbbf0ab71f2f8bbb8fbe7966f9b66da18f1c4c
Author: Jean Raby <jraby@inverse.ca>
Date:   Wed Aug 28 09:24:15 2013 -0400

    whitespace tabkill

M	sope-appserver/NGObjWeb/WOWatchDogApplicationMain.m

commit 7ea253d7a468040adfc1b244dbc83c7546c1728b
Author: Jean Raby <jraby@inverse.ca>
Date:   Tue Aug 27 16:34:01 2013 -0400

    implement isADCompatible
    
    add utility functions along the way

M	sope-ldap/NGLdap/NGLdapConnection.h
M	sope-ldap/NGLdap/NGLdapConnection.m

commit ab997ddd2ea7c1525e80d65e4038582a1a60484d
Author: Jean Raby <jraby@inverse.ca>
Date:   Tue Aug 27 15:25:18 2013 -0400

    whitespace tabkill

M	sope-ldap/NGLdap/NGLdapConnection.m

commit 724726e1e8a11ff9950d9b304a8d0aa83ee6edef
Author: Jean Raby <jraby@inverse.ca>
Date:   Tue Aug 27 13:49:28 2013 -0400

    Enable debug only if ImapDebugEnabled is enabled
    
    It would probably be better to replace ImapDebugEnabled by something like
    MailDebugEnabled. But this is certainly better than always having debug output

M	sope-mime/NGMail/NGSmtpClient.m

commit 13d7780e406e866ed56155c61b33c45e3c099424
Author: Jean Raby <jraby@inverse.ca>
Date:   Thu Aug 15 08:49:26 2013 -0400

    Local pool to avoid keeping many opened LDAP fd

M	sope-appserver/NGObjWeb/WebDAV/SoObjectDataSource.m

commit fa31f618ff0c593b05f4fd91a4d149da4573e901
Author: Jean Raby <jraby@inverse.ca>
Date:   Fri Aug 9 21:19:44 2013 -0400

    fixup NGLdapConnection logging for searches

M	sope-ldap/NGLdap/NGLdapConnection.m

commit 9f98c590e397b642d8a4c69c3f4789de6f7027dd
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Sat Jul 20 15:02:26 2013 -0400

    Update ChangeLog

M	ChangeLog

commit 5030353177728764e3c417392dab085a61190483
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri Jul 19 16:19:40 2013 -0400

    Avoid throwing log info for the ID untagged response

M	sope-mime/NGImap4/NGImap4ResponseParser.m

commit 7311d726e005ae8fd2802d07a17761ba03984892
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Fri Jul 19 13:51:30 2013 -0400

    Update ChangeLog

M	ChangeLog

commit 8a214de88bcfaa838157b9c2a3c7246131e019f2
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri Jul 19 10:10:31 2013 -0400

    Reverted patch

M	sope-appserver/NGObjWeb/Associations/WOKeyPathAssociation.m
M	sope-appserver/NGObjWeb/DynamicElements/WOComponentContent.m
M	sope-appserver/NGObjWeb/DynamicElements/WOComponentReference.m
M	sope-appserver/NGObjWeb/NSObject+WO.m
M	sope-appserver/NGObjWeb/SoObjects/SoSelectorInvocation.m
M	sope-appserver/NGObjWeb/WOChildComponentReference.m
M	sope-appserver/NGObjWeb/WORunLoop.m
M	sope-appserver/NGObjWeb/WOSession.m
M	sope-appserver/NGObjWeb/common.h
M	sope-core/EOControl/EOKeyComparisonQualifier.m
M	sope-core/EOControl/EOKeyValueCoding.m
M	sope-core/EOControl/EOKeyValueQualifier.m
M	sope-core/EOControl/EOSortOrdering.m
M	sope-core/EOControl/EOValidation.m
M	sope-core/EOControl/common.h
M	sope-core/EOCoreData/EOKeyComparisonQualifier+CoreData.m
M	sope-core/EOCoreData/EOKeyValueQualifier+CoreData.m
M	sope-core/EOCoreData/EOQualifier+CoreData.m
M	sope-core/EOCoreData/EOSortOrdering+CoreData.m
M	sope-core/EOCoreData/common.h
M	sope-core/NGExtensions/EOExt.subproj/EOQualifier+CtxEval.m
M	sope-core/NGStreams/NGStreamCoder.m
M	sope-gdl1/GDLAccess/EOAdaptorDataSource.m
M	sope-gdl1/GDLAccess/EOKeyComparisonQualifier+SQL.m
M	sope-gdl1/GDLAccess/EOKeyValueQualifier+SQL.m
M	sope-gdl1/GDLAccess/EOSQLExpression.m
M	sope-gdl1/GDLAccess/common.h
M	sope-ldap/NGLdap/EOQualifier+LDAP.m
M	sope-mime/NGImap4/EOQualifier+IMAPAdditions.m
M	sope-mime/NGImap4/EOSortOrdering+IMAPAdditions.m
M	sope-mime/NGImap4/NGImap4Folder.m
M	sope-mime/NGImap4/imCommon.h
M	sope-mime/NGMime/common.h

commit d93b3d55d889219a5b0e0b8af9fcf2d2ba3d2967
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu Jul 18 11:02:06 2013 -0400

    Applied patch from bug #2234

M	sope-appserver/NGObjWeb/Associations/WOKeyPathAssociation.m
M	sope-appserver/NGObjWeb/DynamicElements/WOComponentContent.m
M	sope-appserver/NGObjWeb/DynamicElements/WOComponentReference.m
M	sope-appserver/NGObjWeb/NSObject+WO.m
M	sope-appserver/NGObjWeb/SoObjects/SoSelectorInvocation.m
M	sope-appserver/NGObjWeb/WOChildComponentReference.m
M	sope-appserver/NGObjWeb/WORunLoop.m
M	sope-appserver/NGObjWeb/WOSession.m
M	sope-appserver/NGObjWeb/common.h
M	sope-core/EOControl/EOKeyComparisonQualifier.m
M	sope-core/EOControl/EOKeyValueCoding.m
M	sope-core/EOControl/EOKeyValueQualifier.m
M	sope-core/EOControl/EOSortOrdering.m
M	sope-core/EOControl/EOValidation.m
M	sope-core/EOControl/common.h
M	sope-core/EOCoreData/EOKeyComparisonQualifier+CoreData.m
M	sope-core/EOCoreData/EOKeyValueQualifier+CoreData.m
M	sope-core/EOCoreData/EOQualifier+CoreData.m
M	sope-core/EOCoreData/EOSortOrdering+CoreData.m
M	sope-core/EOCoreData/common.h
M	sope-core/NGExtensions/EOExt.subproj/EOQualifier+CtxEval.m
M	sope-core/NGStreams/NGStreamCoder.m
M	sope-gdl1/GDLAccess/EOAdaptorDataSource.m
M	sope-gdl1/GDLAccess/EOKeyComparisonQualifier+SQL.m
M	sope-gdl1/GDLAccess/EOKeyValueQualifier+SQL.m
M	sope-gdl1/GDLAccess/EOSQLExpression.m
M	sope-gdl1/GDLAccess/common.h
M	sope-ldap/NGLdap/EOQualifier+LDAP.m
M	sope-mime/NGImap4/EOQualifier+IMAPAdditions.m
M	sope-mime/NGImap4/EOSortOrdering+IMAPAdditions.m
M	sope-mime/NGImap4/NGImap4Folder.m
M	sope-mime/NGImap4/imCommon.h
M	sope-mime/NGMime/common.h

commit ede754c45999a35304d4bcba6ec427b9b445983d
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri Jun 21 12:47:08 2013 -0400

    Update ChangeLog

M	ChangeLog

commit d30c986f9d2cefc764ae420cc3f2509adc0fea33
Author: Jean Raby <jraby@inverse.ca>
Date:   Thu Jun 20 00:45:01 2013 -0400

    Multiple fixes to logging subsystem
    
      * Defaults.plist: don't hardcode the loglevel for
        WOHttpTransactionLoggerConfig, use default
    
      * Templates/WOxElemBuilder.m: don't setLogLevel on the defaultLogger
      * WOApplication.m: don't setLogLevel on the defaultLogger
      * WOHttpAdaptor/WORequestParser.m: don't setLogLevel on the defaultLogger
    
      * NSObject+Logs.m (debugWithFormat:arguments:): check current
        logLevel value before calling [NGLogger logLevel:message:]
        This squelches debug message at lower log levels
      * NGLogger.m (_logLevelForString): fix the check and return
        the defaultLogLevel instead of hardcoding INFO

M	sope-appserver/NGObjWeb/ChangeLog
M	sope-appserver/NGObjWeb/Defaults.plist
M	sope-appserver/NGObjWeb/Templates/WOxElemBuilder.m
M	sope-appserver/NGObjWeb/WOApplication.m
M	sope-appserver/NGObjWeb/WOHttpAdaptor/WORequestParser.m
M	sope-core/NGExtensions/ChangeLog
M	sope-core/NGExtensions/FdExt.subproj/NSObject+Logs.m
M	sope-core/NGExtensions/NGLogging.subproj/ChangeLog
M	sope-core/NGExtensions/NGLogging.subproj/NGLogger.m

commit d6331e074c376bddc20280b22c246b5032acff57
Author: Jean Raby <jraby@inverse.ca>
Date:   Wed Jun 12 06:46:52 2013 -0400

    log ssl error

M	sope-core/NGStreams/NGActiveSSLSocket.m

commit f958f49542fb11a4fc82ebc71172e04d395bc811
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Thu Apr 11 13:00:45 2013 -0400

    Update ChangeLog

M	ChangeLog

commit 24588cf7e401c287878abbc2ca605d4ee3431415
Author: Jean Raby <jraby@inverse.ca>
Date:   Tue Apr 2 21:03:14 2013 -0400

    handle sieve capabilities after starttls
    
    Fixes #2132

M	sope-mime/NGImap4/NGSieveClient.m

commit b45dbb52984cc5dd62c5a5e589f164dbbc26309f
Author: Jean Raby <jraby@inverse.ca>
Date:   Tue Feb 5 14:07:44 2013 -0500

    Use standard proxy headers if remotehost isn't set
    
    The code will now use 'x-forward' or 'x-forwarded-for' header
    if x-webobjects-remote-host is not set.
    Allows for more useful logging (Fixes #2229)

M	sope-appserver/NGObjWeb/ChangeLog
M	sope-appserver/NGObjWeb/WOHttpAdaptor/WOHttpTransaction.m

commit 995b534ca83b8a06c89e9d9cff620de1f949b522
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Mon Feb 4 14:26:40 2013 -0500

    Update ChangeLog

M	ChangeLog

commit 2d2ed180fe154318a3f5dd64b01765ef4d174e48
Author: Jean Raby <jraby@inverse.ca>
Date:   Thu Jan 31 13:27:51 2013 -0500

    Remove useless [NSString stringWithString]

M	sope-ldap/NGLdap/NSString+DN.m

commit 82342978d28f6621d2d8a91053be8d56f96946e9
Author: Jean Raby <jraby@inverse.ca>
Date:   Thu Jan 31 12:31:25 2013 -0500

    Use dnComponents where appropriate
    
    Namely in lastDnComponent and stringByDeletingLastDNComponent

M	sope-ldap/NGLdap/NSString+DN.m

commit 7a8cb886103dc9b4569151ae185b9e3bc2e95b4e
Author: Jean Raby <jraby@inverse.ca>
Date:   Thu Jan 31 12:10:09 2013 -0500

    Rework dnComponents to use non deprecated ldap api
    
    Use ldap_{str2dn,rdn2str} to build properly encoded/escaped DN components

M	sope-ldap/NGLdap/NSString+DN.m

commit 9f494524f0686bb828bf541ff9a8e2b833861ece
Author: Jean Raby <jraby@inverse.ca>
Date:   Wed Jan 30 22:21:22 2013 -0500

    revert previous fix for #2152
    
    ldap_explode_dn breaks utf8 and AD complains pretty loudly...

M	sope-ldap/NGLdap/NSString+DN.m

commit 917e35950e1e7ffeb996d9317653640184527bac
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Wed Jan 30 08:56:46 2013 -0500

    Update ChangeLog

M	ChangeLog

commit 16deb50d8d8d803163cb8088883ce5da2d66ede0
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Jan 28 13:40:42 2013 -0500

    Fix for bug #2200.

M	sope-core/NGExtensions/FdExt.subproj/NSString+URLEscaping.m

commit 2166006e47416c736efedfc0a5d1b93b5dec8474
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Thu Jan 24 19:16:07 2013 -0500

    Update ChangeLog

M	ChangeLog

commit bf8a01faee50ac0209051fa1870ca338dc112904
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed Jan 23 09:39:30 2013 -0500

    Fixed a crash when malformed base64 data was passed during DAV plain auth.

M	sope-appserver/NGObjWeb/NGHttp/NGHttpHeaderFields.m
M	sope-appserver/NGObjWeb/WOHttpAdaptor/WOHttpTransaction.m

commit 9c3999fadcf3b5e2de9dfbf21756eaa4b7d41e54
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Mon Jan 14 14:24:43 2013 -0500

    Fix SMTP AUTH with long login
    
    Fixes #2126

M	sope-mime/NGMail/NGSmtpClient.m

commit 52d80264db6e5d4d8aedd50f3bb76d015b8394d6
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri Jan 11 11:50:11 2013 -0500

    Fixed memleak in patch from #2152 + formatting changes.

M	sope-ldap/NGLdap/NSString+DN.m

commit 134db61df78edbd367c8b740513802c5fcb25571
Author: Adam Tkac <vonsch@gmail.com>
Date:   Wed Dec 19 21:08:05 2012 +0100

    NSString+DN.m:dnComponents method failed to parse DNs which contain commas
    
    NSString+DN.m:dnComponents failed to parse for example following DN:
    
    dn: CN=Tkac\, Adam,OU=ITZ,DC=geodis,DC=cz
    
    The DN was splitted into
    
    "CN=Tkac\", "Adam", "OU=ITZ", "DC=geodis", "DC=cz"
    
    which is apparently wrong. Now the DN is splitted correctly into
    
    "CN=Tkac\, Adam", "OU=ITZ", "DC=geodis", "DC=cz"
    
    Signed-off-by: Adam Tkac <vonsch@gmail.com>
    Signed-off-by: Ludovic Marcotte <lmarcotte@inverse.ca>

M	sope-ldap/NGLdap/NSString+DN.m

commit 888a2595a60f0e24a81b066651c26c5f14761fce
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed Jan 9 13:04:36 2013 -0500

    Fix for bug #2161

M	sope-mime/NGMail/NGSmtpClient.m

commit b4062373339a2a675d86d8578c5c2dc2627bbcb0
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed Jan 9 12:43:42 2013 -0500

    Applied patch from bug #2154.

M	sope-gdl1/GDLAccess/EOArrayProxy.m

commit efccb03d148c64e10b51dbe2e40be5d08bf1b1c8
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed Jan 9 11:29:48 2013 -0500

    Added missing #include - bug #2141.

M	sope-core/NGStreams/NGActiveSocket.m

commit 8c29d3b6d2c2d27a421c1109b6d582951fbff36d
Author: Jean Raby <jraby@inverse.ca>
Date:   Thu Dec 20 10:39:52 2012 -0500

    Add support for LDAP URLs and tweak exception code
    
    handle is now a LDAP*
    _reinit: use ldap_initialize if provided with a ldap url
    _exceptionForErrorCode: replace handrolled solution  with ldap_err2str
    startTLS: raise an exception if ldap_start_tls_s fails
    Callers should be updated to do something useful with this exception.

M	sope-ldap/NGLdap/ChangeLog
M	sope-ldap/NGLdap/NGLdapConnection.h
M	sope-ldap/NGLdap/NGLdapConnection.m

commit 557954949330fd63f03e418ac1e08d73407f836d
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Thu Dec 6 10:55:34 2012 -0500

    Update ChangeLog

M	ChangeLog

commit 180ee5442d3245265a993de4c565271bc6c5c142
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Dec 3 16:27:45 2012 -0500

    Fix for bug #2126

M	sope-mime/NGMail/NGSmtpClient.m
M	sope-mime/NGMail/NGSmtpReplyCodes.h

commit bc62cc45f0c4978f4454a8ccf0887b1f01f6e32c
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri Nov 30 10:07:34 2012 -0500

    Added ways to obtain Sieve's server capabilities.
    
    This fixes bug #1391.

M	sope-mime/NGImap4/NGSieveClient.h
M	sope-mime/NGImap4/NGSieveClient.m

commit fc4c41a74c7cdbcee1cfd7d797bd1b1aa9f29815
Author: Jean Raby <jraby@inverse.ca>
Date:   Thu Nov 15 11:53:04 2012 -0500

    defaultAppenderClassName: NGLogStderrAppender
    
    Change NGLogAppender fallback appender to NGLogStderrAppender

M	sope-core/NGExtensions/NGExtensions/NGLogAppender.h
M	sope-core/NGExtensions/NGLogging.subproj/NGLogAppender.m

commit a18bb288f890db5747911bf2c74382e59583fde4
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Nov 13 08:34:29 2012 -0500

    Removed premature IMAP optmization, causing attachments corruption.
    
    This patch would "corrupt" some attachment when viewing them, or
    saving them to the local filesystem. Files would be truncated, or
    exceed in bytes, rendering them useless.

M	sope-core/NGStreams/NGByteBuffer.m
M	sope-core/NGStreams/NGStreams/NGByteBuffer.h
M	sope-mime/NGImap4/NGImap4ResponseParser.m

commit 9de080f29a9f965ac46db911d15305654bf3602f
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Nov 13 08:30:08 2012 -0500

    Removed useless and buggy optimization.
    
    This optimization would break heavily localization support in SOGo.
    This patch might be reviewed later, but for now, we remove it.

M	sope-core/NGExtensions/NGBundleManager.m

commit baef7f83a658ca22bc056cc2a5f1c816079f0768
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Wed Nov 7 10:14:03 2012 -0500

    Use the output of "gnustep-config --base-libs" to determine which libs our libraries must be linked against

M	configure
M	sope-appserver/NGObjWeb/GNUmakefile.preamble
M	sope-appserver/WEExtensions/GNUmakefile.preamble
M	sope-appserver/WOExtensions/GNUmakefile.preamble
M	sope-core/EOControl/GNUmakefile.preamble
M	sope-core/NGExtensions/GNUmakefile.preamble
M	sope-core/NGStreams/GNUmakefile.preamble
M	sope-gdl1/GDLAccess/GNUmakefile.preamble
M	sope-ldap/NGLdap/GNUmakefile.preamble
M	sope-mime/GNUmakefile.preamble
M	sope-xml/DOM/GNUmakefile.preamble
M	sope-xml/SaxObjC/GNUmakefile.preamble
M	sope-xml/XmlRpc/GNUmakefile.preamble

commit 29800475e0cc61e2667d0a05f2438337e45be3e6
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Tue Nov 6 13:49:23 2012 -0500

    Remove carriage returns from base64 blob

M	sope-mime/NGImap4/NGImap4Client.m

commit 0caecc6ff0cf3148881824dbd307e5bbb47079be
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Tue Nov 6 13:48:54 2012 -0500

    Added -compress and -compressWithLevel: to compress NSData as headerless zlib streams

M	sope-core/NGExtensions/FdExt.subproj/NSData+gzip.m
M	sope-core/NGExtensions/NGExtensions/NSData+gzip.h

commit e1996a96a76025270596b11c782db33061e3cdd0
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Mon Nov 5 13:58:57 2012 -0500

    Added a safeguard for infinite loops occuring when a parser instance request the same buffer position too many times (53 times max)

M	sope-core/NGStreams/NGByteBuffer.m
M	sope-core/NGStreams/NGStreams/NGByteBuffer.h

commit 39fb8d8e4a49ed99909b0e6f7439c043cc428884
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Mon Nov 5 10:29:09 2012 -0500

    added support for the IMAP AUTHENTICATE command

M	sope-mime/NGImap4/NGImap4Client.h
M	sope-mime/NGImap4/NGImap4Client.m
M	sope-mime/NGImap4/NGImap4ConnectionManager.m

commit 88657808dc1a08a4607d5702434fcb1cca451131
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Tue Oct 30 09:40:06 2012 -0400

    moved -[SoComponent componentBundle] into "WOComponent" class

M	sope-appserver/NGObjWeb/NGObjWeb/WOComponent.h
M	sope-appserver/NGObjWeb/SoObjects/SoComponent.h
M	sope-appserver/NGObjWeb/SoObjects/SoComponent.m
M	sope-appserver/NGObjWeb/WOComponent.m

commit c471578a7e7186ad3e2bef4d8dd5ef6b0fb140fe
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Tue Oct 30 08:52:50 2012 -0400

    initialize last_pos to 0

M	sope-mime/NGImap4/NGImap4ResponseParser.m

commit cfcc1bd1886b216a26f6aaf56293f3b363bf1c98
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Tue Oct 30 08:47:53 2012 -0400

    make use of WOResponse_AddBytesLen to avoid calls to strlen for known lengths

M	sope-appserver/NGObjWeb/DynamicElements/WOGenericContainer.m
M	sope-appserver/NGObjWeb/DynamicElements/WOImage.m

commit 397fd115a02d53acc3d606a7267428a346fa694d
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Tue Oct 30 08:46:34 2012 -0400

    allocated the "content" ivar during init, and expose the IMPL of appendContentBytes:length: via the addBytesLen function pointer

M	sope-appserver/NGObjWeb/NGObjWeb/WOMessage.h
M	sope-appserver/NGObjWeb/WOMessage.m
M	sope-appserver/NGObjWeb/WOResponse+private.h

commit c85c649b7f502bfac4d1b93ac59026c4060fb3ae
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Tue Oct 30 08:43:38 2012 -0400

    cache the component bundle

M	sope-appserver/NGObjWeb/SoObjects/SoComponent.h

commit e8bea4c638e7dc7a23d82dc2e7364cbd5260fd74
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Tue Oct 30 08:43:00 2012 -0400

    Removed useless pointer validity check, at it is already performed in the underlying methods

M	sope-appserver/NGObjWeb/WOResponse+private.h

commit 2a9f409eb7b35a383ff9af762147cb4fb626475d
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Tue Oct 30 08:40:34 2012 -0400

    cache the component bundle

M	sope-appserver/NGObjWeb/SoObjects/SoComponent.m

commit 6471303994298c6a45efcdf80d5b72e280e80d90
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Tue Oct 30 08:38:47 2012 -0400

    -[NGActiveSocket disableNagle:]: new method to disable the nagle algorithm

M	sope-core/NGStreams/NGActiveSocket.m
M	sope-core/NGStreams/NGStreams/NGActiveSocket.h

commit c6124589e87a99300f5c1eb9fcdc951f7f8fe637
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Mon Oct 29 16:44:59 2012 -0400

    .mtn-ignore

D	.mtn-ignore

commit 9d892351127e8a1a86bb014b313c61b1c30e28ae
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Fri Oct 26 17:34:36 2012 -0400

    style

M	sope-core/NGExtensions/NGBundleManager.m

commit befdab9b605c148c7054245272d2aa1a8253e383
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Fri Oct 26 17:33:48 2012 -0400

    use "," as separator for languages

M	sope-core/NGExtensions/NGBundleManager.m

commit 79cd48cd6d503b8880aab918e8fc65e289c984fb
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Fri Oct 26 17:28:51 2012 -0400

    Fixed deduction of lookup dir when _directory is NULL

M	sope-core/NGExtensions/NGBundleManager.m

commit b72e9146e7644496703661313814f83e1ec9ec3c
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Fri Oct 26 16:20:23 2012 -0400

    -pathForResource:ofType:inDirectory:languages: made faster by caching results

M	sope-core/NGExtensions/NGBundleManager.m

commit 000158cc9442eb4d3c168c9e6dc11c8d6465561e
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Thu Oct 25 22:18:09 2012 -0400

    Accelerated basic page loading by caching the list of browser languages

M	sope-appserver/NGObjWeb/NGObjWeb/WORequest.h
M	sope-appserver/NGObjWeb/WORequest.m

commit 441b5159d34361e9f614c6a5d9b6907afca75639
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Thu Oct 25 09:31:11 2012 -0400

    "last_pos" should be > 1 in order to be taken into account and "new_pos" could be 0 when the first character of the buffer is "\r"

M	sope-mime/NGImap4/NGImap4ResponseParser.m

commit a0702f6b0dea3fcd9d70af41fc09d83386a5ae92
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Wed Oct 24 15:00:15 2012 -0400

    style

M	ChangeLog

commit 67812062daa25a8f52fff897b2c49b9c5554623c
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Tue Oct 23 17:25:00 2012 -0400

    Replaced ChangeLog with the one generated from git

M	ChangeLog
A	ChangeLog.old

commit 00f3a7573a1888f62f6d8a189dfa6ede470b2b3e
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Tue Oct 23 08:03:11 2012 -0400

    added support for gnutls (thanks to Jeroen Dekkers) and enabled the choice between gnutls and ssl from the configure script

M	configure
M	sope-core/NGStreams/GNUmakefile.preamble
M	sope-core/NGStreams/NGActiveSSLSocket.m
M	sope-core/NGStreams/NGStreams/NGActiveSSLSocket.h

commit b362d140300b9a52cb9b892637fdc1312a29b940
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Tue Oct 23 08:02:18 2012 -0400

    do not link NGLdap against libssl

M	sope-ldap/NGLdap/GNUmakefile.preamble

commit ec2bb6802f1d5c2a5ac032bd89c3fa3488b613d2
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Mon Oct 22 13:04:03 2012 -0400

    relink WOExtensions.wox against libWOExtensions and libWEExtensions

M	sope-appserver/WOExtensions/GNUmakefile.preamble

commit e2d4127aa1f9eaaffc451185a262bd7895ee376a
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Sun Oct 21 00:25:24 2012 -0400

    Fixed most build warnings

M	sope-appserver/NGObjWeb/DynamicElements/WOComponentReference.m
M	sope-appserver/NGObjWeb/DynamicElements/WOxTalElemBuilder.m
M	sope-appserver/NGObjWeb/NGHttp/NGHttpMessageParser.m
M	sope-appserver/NGObjWeb/OWResourceManager.m
M	sope-appserver/NGObjWeb/SoObjects/SoCookieAuthenticator.m
M	sope-appserver/NGObjWeb/SoObjects/SoHTTPAuthenticator.m
M	sope-appserver/NGObjWeb/SoObjects/SoObjCClass.m
M	sope-appserver/NGObjWeb/SoObjects/SoObject+Traversal.m
M	sope-appserver/NGObjWeb/SoObjects/SoProductRegistry.m
M	sope-appserver/NGObjWeb/SoObjects/SoUser.m
M	sope-appserver/NGObjWeb/Templates/WOApplication+Builders.m
M	sope-appserver/NGObjWeb/Templates/WOxElemBuilder.m
M	sope-appserver/NGObjWeb/WEClientCapabilities.m
M	sope-appserver/NGObjWeb/WOComponentDefinition.m
M	sope-appserver/NGObjWeb/WOCoreApplication+Bundle.m
M	sope-appserver/NGObjWeb/WOHttpAdaptor/WOHttpAdaptor.m
M	sope-appserver/NGObjWeb/WOResourceManager.m
M	sope-appserver/NGObjWeb/WOSession.m
M	sope-appserver/NGObjWeb/WOWatchDogApplicationMain.m
M	sope-appserver/NGObjWeb/WebDAV/SoDAVSQLParser.m
M	sope-appserver/NGObjWeb/WebDAV/SoObjectWebDAVDispatcher.m
M	sope-appserver/NGObjWeb/wod.m
M	sope-appserver/WEExtensions/WEBrowser.m
M	sope-appserver/WEExtensions/WECalendarField.m
M	sope-appserver/WEExtensions/WEMonthOverview.m
M	sope-appserver/WEExtensions/WEPageView.m
M	sope-appserver/WEExtensions/WEStringTableManager.m
M	sope-appserver/WEExtensions/WETabItem.m
M	sope-appserver/WEExtensions/WETableMatrix.m
M	sope-appserver/WEExtensions/WEWeekOverview.m
M	sope-appserver/WOExtensions/WOCollapsibleComponentContent.m
M	sope-core/EOControl/EOKeyValueArchiver.m
M	sope-core/EOControl/EOSQLParser.m
M	sope-core/NGExtensions/FdExt.subproj/NSString+Encoding.m
M	sope-core/NGExtensions/NGBundleManager.m
M	sope-core/NGExtensions/NGCalendarDateRange.m
M	sope-core/NGStreams/NGByteBuffer.m
M	sope-core/NGStreams/NGDatagramSocket.m
M	sope-core/NGStreams/NGLockingStream.m
M	sope-core/NGStreams/NGStreams/NGByteBuffer.h
M	sope-gdl1/GDLAccess/EOAdaptorDataSource.m
M	sope-gdl1/GDLAccess/EOEntity.m
M	sope-gdl1/GDLAccess/EOSQLExpression.m
M	sope-gdl1/GDLAccess/EOSQLQualifier.m
M	sope-gdl1/GDLAccess/connect-EOAdaptor.m
M	sope-gdl1/GDLAccess/load-EOAdaptor.m
M	sope-gdl1/PostgreSQL/PostgreSQL72Channel.m
M	sope-ldap/NGLdap/NGLdapConnection.m
M	sope-ldap/NGLdap/NGLdapSearchResultEnumerator.m
M	sope-mime/NGImap4/NGImap4FileManager.m
M	sope-mime/NGImap4/NGImap4Folder.m
M	sope-mime/NGImap4/NSString+Imap4.m
M	sope-mime/NGMail/NGPop3Client.m
M	sope-mime/NGMime/NGMimeType.m
M	sope-xml/DOM/DOMPYXOutputter.m
M	sope-xml/DOM/DOMQueryPathExpression.m
M	sope-xml/DOM/DOMSaxBuilder.m
M	sope-xml/STXSaxDriver/ExtraSTX/StructuredText.m
M	sope-xml/SaxObjC/SaxObjectModel.m
M	sope-xml/XmlRpc/NSMutableString+XmlRpcDecoder.m
M	sope-xml/libxmlSAXDriver/libxmlHTMLSAXDriver.m

commit a1534205525a16b6c482e99ac46a4801d0573e28
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Sat Oct 20 21:09:04 2012 -0400

    assign uUri only when needed

M	sope-appserver/NGObjWeb/DynamicElements/WOBody.m

commit 8b711dbb879bbe5909be3d578c5e259dbec49cd0
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Sat Oct 20 21:07:02 2012 -0400

    declare and increment "depth" only in debug mode

M	sope-appserver/NGObjWeb/DynamicElements/WOCompoundElement.m

commit c31b6334a18b756dbe3e2fb4a52eb8a9a2f68e00
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Sat Oct 20 21:05:28 2012 -0400

    make "count" return an "NSUInteger" rather than an "unsigned int" as in the original method signature (thanks to Sebastian Reitenbach)

M	sope-gdl1/GDLAccess/EOPrimaryKeyDictionary.m

commit 28cfbd2a3940447322a91e11147e9f77a6fbe45f
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Fri Oct 19 17:29:09 2012 -0400

    Unit tested and fixed _removeCRLF due to certain characters missing

M	sope-mime/NGImap4/NGImap4ResponseParser.m

commit c8101a145047739d32096804f1e315a0825f4a37
Author: Jeroen Dekkers <jeroen@dekkers.ch>
Date:   Thu Oct 18 20:27:01 2012 +0200

    Remove disabling of optimization for exception handlers that was added
    ages ago and not needed anymore

M	sope-appserver/NGObjWeb/DynamicElements/GNUmakefile.preamble
M	sope-xml/DOM/GNUmakefile.preamble
M	sope-xml/SaxObjC/GNUmakefile.preamble
M	sope-xml/XmlRpc/GNUmakefile.preamble

commit c24dfc32880eedc3fde90f1f3f4f5b7e6d90e3b5
Author: Jeroen Dekkers <jeroen@dekkers.ch>
Date:   Thu Oct 18 20:26:47 2012 +0200

    Specify all necessary libraries when linking

M	sope-appserver/NGObjWeb/GNUmakefile.preamble
M	sope-appserver/WEExtensions/GNUmakefile.preamble
M	sope-appserver/WOExtensions/GNUmakefile.preamble
M	sope-core/EOControl/GNUmakefile.preamble
M	sope-core/NGExtensions/GNUmakefile.preamble
M	sope-core/NGStreams/GNUmakefile.preamble
M	sope-gdl1/GDLAccess/GNUmakefile.preamble
M	sope-gdl1/MySQL/GNUmakefile.preamble
M	sope-ldap/NGLdap/GNUmakefile.preamble
M	sope-mime/GNUmakefile.preamble
M	sope-xml/DOM/GNUmakefile.preamble
M	sope-xml/SaxObjC/GNUmakefile.preamble
M	sope-xml/XmlRpc/GNUmakefile.preamble

commit c6266891e2c4338957ef5134e450ce9a986f97e2
Author: Jeroen Dekkers <jeroen@dekkers.ch>
Date:   Thu Oct 18 20:26:29 2012 +0200

    Fix building on arm and alpha

M	sope-gdl1/GDLAccess/EOSQLQualifier.m
M	sope-gdl1/GDLAccess/FoundationExt/PrintfFormatScanner.m

commit 9876233a34fa023fd31730855009004b0898edc2
Author: Jeroen Dekkers <jeroen@dekkers.ch>
Date:   Thu Oct 18 20:26:19 2012 +0200

    Close all file descriptors on daemon start

M	sope-appserver/NGObjWeb/WOWatchDogApplicationMain.m

commit 0a9ab5200fa541a506626185e5478381d613f0e3
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Thu Oct 18 10:36:29 2012 -0400

    removed (apparently) useless +version method from classes, due to problems with the ObjC2 runtime on OpenBSD (thanks to Sebastian Reitenbach)

M	sope-appserver/NGObjWeb/Associations/WOAssociation.m
M	sope-appserver/NGObjWeb/Associations/WOKeyPathAssociation.m
M	sope-appserver/NGObjWeb/Associations/WOKeyPathAssociationSystemKVC.m
M	sope-appserver/NGObjWeb/Associations/WOLabelAssociation.m
M	sope-appserver/NGObjWeb/Associations/WOResourceURLAssociation.m
M	sope-appserver/NGObjWeb/Associations/WOScriptAssociation.m
M	sope-appserver/NGObjWeb/Associations/WOValueAssociation.m
M	sope-appserver/NGObjWeb/DynamicElements/WOActionURL.m
M	sope-appserver/NGObjWeb/DynamicElements/WOBrowser.m
M	sope-appserver/NGObjWeb/DynamicElements/WOForm.m
M	sope-appserver/NGObjWeb/DynamicElements/WOFrame.m
M	sope-appserver/NGObjWeb/DynamicElements/WOHTMLDynamicElement.m
M	sope-appserver/NGObjWeb/DynamicElements/WOHyperlink.m
M	sope-appserver/NGObjWeb/DynamicElements/WOIFrame.m
M	sope-appserver/NGObjWeb/DynamicElements/WOImageButton.m
M	sope-appserver/NGObjWeb/DynamicElements/WOInput.m
M	sope-appserver/NGObjWeb/DynamicElements/WOPopUpButton.m
M	sope-appserver/NGObjWeb/DynamicElements/WORepetition.m
M	sope-appserver/NGObjWeb/DynamicElements/WOString.m
M	sope-appserver/NGObjWeb/DynamicElements/WOSubmitButton.m
M	sope-appserver/NGObjWeb/DynamicElements/_WOComplexHyperlink.m
M	sope-appserver/NGObjWeb/DynamicElements/_WOSimpleActionHyperlink.m
M	sope-appserver/NGObjWeb/NGHttp/NGHttpBodyParser.m
M	sope-appserver/NGObjWeb/NGHttp/NGHttpMessageParser.m
M	sope-appserver/NGObjWeb/OWResourceManager.m
M	sope-appserver/NGObjWeb/OWViewRequestHandler.m
M	sope-appserver/NGObjWeb/SoObjects/SoComponent.m
M	sope-appserver/NGObjWeb/SoObjects/SoControlPanel.m
M	sope-appserver/NGObjWeb/SoObjects/SoCookieAuthenticator.m
M	sope-appserver/NGObjWeb/SoObjects/SoHTTPAuthenticator.m
M	sope-appserver/NGObjWeb/SoObjects/SoLookupAssociation.m
M	sope-appserver/NGObjWeb/SoObjects/SoObjectRequestHandler.m
M	sope-appserver/NGObjWeb/SoObjects/SoSubContext.m
M	sope-appserver/NGObjWeb/Templates/WOTemplate.m
M	sope-appserver/NGObjWeb/Templates/WOTemplateBuilder.m
M	sope-appserver/NGObjWeb/Templates/WOWrapperTemplateBuilder.m
M	sope-appserver/NGObjWeb/Templates/WOxElemBuilder.m
M	sope-appserver/NGObjWeb/Templates/WOxTemplateBuilder.m
M	sope-appserver/NGObjWeb/WOAdaptor.m
M	sope-appserver/NGObjWeb/WOApplication.m
M	sope-appserver/NGObjWeb/WOChildComponentReference.m
M	sope-appserver/NGObjWeb/WOComponent.m
M	sope-appserver/NGObjWeb/WOComponentDefinition.m
M	sope-appserver/NGObjWeb/WOComponentFault.m
M	sope-appserver/NGObjWeb/WOComponentRequestHandler.m
M	sope-appserver/NGObjWeb/WOContext.m
M	sope-appserver/NGObjWeb/WOCoreApplication.m
M	sope-appserver/NGObjWeb/WODirectAction.m
M	sope-appserver/NGObjWeb/WODirectActionRequestHandler.m
M	sope-appserver/NGObjWeb/WODynamicElement.m
M	sope-appserver/NGObjWeb/WOElement.m
M	sope-appserver/NGObjWeb/WOFileSessionStore.m
M	sope-appserver/NGObjWeb/WOHTTPConnection.m
M	sope-appserver/NGObjWeb/WOHttpAdaptor/WOHttpAdaptor.m
M	sope-appserver/NGObjWeb/WOHttpAdaptor/WOHttpTransaction.m
M	sope-appserver/NGObjWeb/WOMailDelivery.m
M	sope-appserver/NGObjWeb/WOMessage.m
M	sope-appserver/NGObjWeb/WOPageRequestHandler.m
M	sope-appserver/NGObjWeb/WOProxyRequestHandler.m
M	sope-appserver/NGObjWeb/WORequest.m
M	sope-appserver/NGObjWeb/WORequestHandler.m
M	sope-appserver/NGObjWeb/WOResourceManager.m
M	sope-appserver/NGObjWeb/WOResourceRequestHandler.m
M	sope-appserver/NGObjWeb/WOResponse.m
M	sope-appserver/NGObjWeb/WOServerSessionStore.m
M	sope-appserver/NGObjWeb/WOSession.m
M	sope-appserver/NGObjWeb/WOSessionStore.m
M	sope-appserver/NGObjWeb/WOSimpleHTTPParser.m
M	sope-appserver/NGObjWeb/WOStatisticsStore.m
M	sope-appserver/WEExtensions/WECalendarField.m
M	sope-appserver/WEExtensions/WEDragContainer.m
M	sope-appserver/WEExtensions/WEDropContainer.m
M	sope-appserver/WEExtensions/WEEpozEditor.m
M	sope-appserver/WEExtensions/WEPageLink.m
M	sope-appserver/WEExtensions/WEPageView.m
M	sope-appserver/WEExtensions/WEResourceManager.m
M	sope-appserver/WEExtensions/WETabItem.m
M	sope-appserver/WEExtensions/WETabView.m
M	sope-appserver/WEExtensions/WETableCalcMatrix.m
M	sope-appserver/WEExtensions/WETableView/WETableData.m
M	sope-appserver/WEExtensions/WETableView/WETableView.m
M	sope-appserver/WEExtensions/bundle-info.plist
M	sope-appserver/WOExtensions/JSAlertPanel.m
M	sope-appserver/WOExtensions/JSConfirmPanel.m
M	sope-appserver/WOExtensions/JSImageFlyover.m
M	sope-appserver/WOExtensions/JSModalWindow.m
M	sope-appserver/WOExtensions/JSTextFlyover.m
M	sope-appserver/WOExtensions/JSValidatedField.m
M	sope-appserver/WOExtensions/bundle-info.plist
M	sope-core/EOControl/EODataSource.m
M	sope-core/NGExtensions/NGBundleManager.m
M	sope-core/NGExtensions/NGCustomFileManager.m
M	sope-core/NGExtensions/NGFileManager.m
M	sope-core/NGStreams/NGByteBuffer.m
M	sope-core/NGStreams/NGCTextStream.m
M	sope-core/NGStreams/NGDataStream.m
M	sope-core/NGStreams/NGInternetSocketDomain.m
M	sope-core/NGStreams/NGSocket.m
M	sope-core/NGStreams/NGTextStream.m
M	sope-gdl1/GDLAccess/EOAdaptorDataSource.m
M	sope-gdl1/GDLAccess/EOModel.m
M	sope-gdl1/GDLAccess/EOSQLExpression.m
M	sope-ldap/NGLdap/NGLdapFileManager.m
M	sope-mime/NGImap4/NGImap4Client.m
M	sope-mime/NGImap4/NGImap4FileManager.m
M	sope-mime/NGImap4/NGImap4Message.m
M	sope-mime/NGMail/NGMBoxReader.m
M	sope-mime/NGMail/NGMailAddress.m
M	sope-mime/NGMail/NGMailAddressList.m
M	sope-mime/NGMail/NGMailAddressParser.m
M	sope-mime/NGMail/NGMimeMessage.m
M	sope-mime/NGMail/NGMimeMessageBodyGenerator.m
M	sope-mime/NGMail/NGMimeMessageGenerator.m
M	sope-mime/NGMail/NGMimeMessageMultipartBodyGenerator.m
M	sope-mime/NGMail/NGMimeMessageParser.m
M	sope-mime/NGMail/NGMimeMessageRfc822BodyGenerator.m
M	sope-mime/NGMail/NGMimeMessageTextBodyGenerator.m
M	sope-mime/NGMail/NGPop3Client.m
M	sope-mime/NGMail/NGPop3Support.m
M	sope-mime/NGMail/NGSmtpClient.m
M	sope-mime/NGMail/NGSmtpSupport.m
M	sope-mime/NGMime/NGMimeAddressHeaderFieldGenerator.m
M	sope-mime/NGMime/NGMimeBodyGenerator.m
M	sope-mime/NGMime/NGMimeBodyParser.m
M	sope-mime/NGMime/NGMimeBodyPart.m
M	sope-mime/NGMime/NGMimeBodyPartParser.m
M	sope-mime/NGMime/NGMimeContentDispositionHeaderFieldGenerator.m
M	sope-mime/NGMime/NGMimeContentDispositionHeaderFieldParser.m
M	sope-mime/NGMime/NGMimeContentLengthHeaderFieldGenerator.m
M	sope-mime/NGMime/NGMimeContentLengthHeaderFieldParser.m
M	sope-mime/NGMime/NGMimeContentTypeHeaderFieldGenerator.m
M	sope-mime/NGMime/NGMimeContentTypeHeaderFieldParser.m
M	sope-mime/NGMime/NGMimeExceptions.m
M	sope-mime/NGMime/NGMimeHeaderFieldGenerator.m
M	sope-mime/NGMime/NGMimeHeaderFieldGeneratorSet.m
M	sope-mime/NGMime/NGMimeHeaderFieldParser.m
M	sope-mime/NGMime/NGMimeHeaderFieldParserSet.m
M	sope-mime/NGMime/NGMimeHeaderFields.m
M	sope-mime/NGMime/NGMimeMultipartBody.m
M	sope-mime/NGMime/NGMimeMultipartBodyGenerator.m
M	sope-mime/NGMime/NGMimeMultipartBodyParser.m
M	sope-mime/NGMime/NGMimePartGenerator.m
M	sope-mime/NGMime/NGMimePartParser.m
M	sope-mime/NGMime/NGMimeRFC822DateHeaderFieldGenerator.m
M	sope-mime/NGMime/NGMimeRFC822DateHeaderFieldParser.m
M	sope-mime/NGMime/NGMimeRfc822BodyGenerator.m
M	sope-mime/NGMime/NGMimeStringHeaderFieldGenerator.m
M	sope-mime/NGMime/NGMimeStringHeaderFieldParser.m
M	sope-mime/NGMime/NGMimeTextBodyGenerator.m
M	sope-mime/NGMime/NGMimeType.m

commit adf53e59381e79a19f3bf17f949042e996785783
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Thu Oct 18 01:16:11 2012 -0400

    [NSData length] returns an NSUInteger (thanks to Sebastian Reitenbach)

M	sope-mime/NGMime/NGMimeFileData.m

commit 9d54e0af27bcc2a3aa9e81eea082e2f035a64af0
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Thu Oct 18 01:14:15 2012 -0400

    we do not need to specify the objc runtime library on Windows as GNUstep Make would take care of that

M	sope-core/EOControl/GNUmakefile.preamble
M	sope-core/EOCoreData/GNUmakefile.preamble
M	sope-core/NGExtensions/GNUmakefile.preamble
M	sope-core/NGStreams/GNUmakefile.preamble
M	sope-ldap/NGLdap/GNUmakefile.preamble
M	sope-mime/GNUmakefile.preamble
M	sope-xml/DOM/GNUmakefile.preamble
M	sope-xml/SaxObjC/GNUmakefile.preamble
M	sope-xml/libxmlSAXDriver/GNUmakefile.preamble
M	sope-xml/pyxSAXDriver/GNUmakefile.preamble

commit f102c6f03ea7079c090d3e56324773229e5cc3e2
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Thu Oct 18 01:08:24 2012 -0400

    we do not need to specify the objc runtime library as GNUstep Make takes care of that (thanks to Sebastian Reitenbach)

M	sope-core/NGExtensions/GNUmakefile.preamble

commit cef70e79dbe144a5aa92a65bc899e98b549931ec
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Wed Oct 17 16:16:16 2012 -0400

    Removed debugging left overs

M	sope-core/NGStreams/NGByteBuffer.m

commit 7849bd84936bd6d5cd27b8c67a612c821266b2c1
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Wed Oct 17 16:08:46 2012 -0400

    Unified the handling of CRLF chars in a new "_removeCRLF" function and optimized it by making use of the libc functions instead of reading the buffers on our own

M	sope-mime/NGImap4/NGImap4ResponseParser.m

commit 9a52d98eac736a0135867e6ecdc8d5186fd9cdf9
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Wed Oct 17 16:07:36 2012 -0400

    Further optimized the code by avoiding copying bytes to the local buffer when reading sufficiently large chunks and by restoring the IMPL hack

M	sope-core/NGStreams/NGByteBuffer.m
M	sope-core/NGStreams/NGStreams/NGByteBuffer.h

commit b26b6cc1a532bec1a9352912c7a60f10019bb8d8
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Tue Oct 16 16:55:51 2012 -0400

    Added support for SMTP PLAIN authentication

M	sope-mime/NGMail/NGSmtpClient.h
M	sope-mime/NGMail/NGSmtpClient.m
M	sope-mime/NGMail/NGSmtpReplyCodes.h

commit b13300034e733d7a8ce9aae15a786232b16c1e06
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Tue Oct 16 13:44:29 2012 -0400

    further improved things a little bit by reorganizing code and using registers for certain vars

M	sope-core/NGStreams/NGByteBuffer.m

commit 5251d09e60da80406c9b2d3eed7bf4cce12c44ca
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Mon Oct 15 23:15:02 2012 -0400

    the "flags" never really existed

M	sope-core/NGStreams/NGByteBuffer.m

commit 345b50cf4e98d43b2b06ad77d76e640b475c0ec7
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Mon Oct 15 23:10:51 2012 -0400

    NGByteBuffer: improved the speed and memory usage of the byte handling processes by making use of references rather than arrays of flags

M	sope-core/NGStreams/NGByteBuffer.m
M	sope-core/NGStreams/NGStreams/NGByteBuffer.h

commit 1b72be5e25cae788713952620a57033dbf99a384
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Mon Oct 15 11:06:24 2012 -0400

    NGHashMap: populating root->next directly is useless, since last->next is always updated and last = root when starting the list

M	sope-core/NGExtensions/NGHashMap.m

commit dfceefcb141c1b31b26eea19ca07d3916d663315
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Mon Oct 15 11:00:25 2012 -0400

    NGHashMap: we now populate the internal linked lists in O(1) rather than in O(n), which is a serious improvement with large numbers of elements

M	sope-core/NGExtensions/NGHashMap.m

commit f708c211edb6ef0e30e8d30506dd514b423bc7c4
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Mon Oct 15 09:47:59 2012 -0400

    Removed some redundant invocations of _la

M	sope-mime/NGImap4/NGImap4ResponseParser.m

commit 720d188cdbc5139cc44f2cbc72e9c8d7066aa632
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Mon Oct 15 09:45:11 2012 -0400

    further optimised code by explicitly avoiding reads from RAM

M	sope-mime/NGImap4/NGImap4ResponseParser.m

commit 060292b2e9d322e63c9b5a36f7d7c322fc62c917
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Mon Oct 15 08:21:15 2012 -0400

    removed useless voodoo

M	sope-core/NGStreams/NGByteBuffer.m

commit 7a5c79db87a9548859c6f29e1a39ed084457fcd5
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Mon Oct 15 08:17:53 2012 -0400

    fixed invocation of calloc

M	sope-core/NGStreams/NGByteBuffer.m

commit c1c4d20afbdcd78fd540b8d66edbdae015ad159a
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Mon Oct 15 08:17:31 2012 -0400

    Removed useless hack regarding method IMPS, since the cost of the relevant ifs was more than those of the method invocations

M	sope-core/NGStreams/NGByteBuffer.m
M	sope-core/NGStreams/NGStreams/NGByteBuffer.h

commit f97d700ea869feb04b57413cb62adf791ee1520b
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Mon Oct 15 08:10:31 2012 -0400

    replaced malloc + memset with calloc

M	sope-core/NGStreams/NGByteBuffer.m

commit 0e2b14a21b84fa0c7cff5ef850478d2b8e151c3b
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Fri Oct 12 12:39:11 2012 -0400

    Fixed computing of time delta from struct timeval

M	sope-appserver/NGObjWeb/WOHttpAdaptor/WOHttpTransaction.m

commit 627fba59ece590d11359480e820110f558a159bd
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Fri Oct 12 12:29:46 2012 -0400

    Fixed a memory leak by releasing the allocated delegate object after it was assigned

M	sope-mime/NGMail/NGMimeMessageParser.m

commit 4b1e35374269c31fc6c2e9aa8b0b67f077abc77d
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Fri Oct 12 12:29:16 2012 -0400

    Retain and release the delegate when assigned

M	sope-mime/NGMime/NGMimePartParser.m

commit 4b6e29680af2541f16a74ce9d9561b6fc801accc
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Fri Oct 12 12:18:01 2012 -0400

    Sped up parsing by allocating only one buffer and attaching it to the returned NSData

M	sope-mime/NGImap4/NGImap4ResponseParser.m

commit 53cc0bac72849c2c09937da45388f1406110c98b
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Fri Oct 12 12:16:43 2012 -0400

    Sped up parsing by removing the need to allocate memory and reparse the same bytes more than once

M	sope-mime/NGMime/NGMimeRFC822DateHeaderFieldParser.m

commit 9fc05456c222a7fb8a5d1b01662de7519c83f0fd
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Wed Oct 10 09:16:31 2012 -0400

    include inttypes.h for PRIx64

M	sope-core/NGExtensions/FdExt.subproj/NSObject+Values.m

commit 50de54323a0b7ad45b617a8dd36dc270c7e66d81
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Tue Oct 9 14:13:20 2012 -0400

    +[NSString stringWithUnsignedLongLong:]: new constructor method that returns a hex-formatted representation of a 8 bytes unsigned integer

M	sope-core/NGExtensions/FdExt.subproj/NSObject+Values.m
M	sope-core/NGExtensions/NGExtensions/NSObject+Values.h

commit 84ff74b1d757bb8cf0a0d217dbeb15fb54829ff1
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Sun Oct 7 00:18:28 2012 -0400

    avoid useless invocation to -copy

M	sope-mime/NGImap4/NGImap4ResponseNormalizer.m

commit 45339ab1da6d8c87f17c113392fbc455cead6dee
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Sat Oct 6 14:20:30 2012 -0400

    We accept NSNull as the resulting class of a json string

M	sope-json/SBJson/Classes/SBJsonParser.m

commit 435f8e0daf1412d30d785dce87446c7347716205
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Fri Oct 5 18:51:32 2012 -0400

    enabled the fetching of multiple body parts at once, by avoiding renaming those to "body" in the response

M	sope-mime/NGImap4/NGImap4Connection.m
M	sope-mime/NGImap4/NGImap4Folder.m
M	sope-mime/NGImap4/NGImap4ResponseNormalizer.m

commit a852d7c636e3ea463e492ddf73d1ea61124909c1
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Fri Oct 5 15:26:51 2012 -0400

    added handling of NIL responses for body parts

M	sope-mime/NGImap4/NGImap4ResponseParser.m

commit 21e85bbc577eb287e06c687e2403c8e6b1bf1efc
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Tue Oct 2 15:59:41 2012 -0400

    Implemented -[NSString unsignedLongLongValue]

M	sope-core/NGExtensions/FdExt.subproj/NSObject+Values.m

commit 13d256bae2eeca5673b4f23dfcfbc387eb66eade
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Tue Oct 2 15:59:07 2012 -0400

    Removed useless and costly implementation of -[NSMutableString stringValue]

M	sope-core/NGExtensions/FdExt.subproj/NSObject+Values.m

commit 3a21618d2f4a995688c03344fc70d5b528259a4d
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu Sep 20 10:30:16 2012 -0400

    Fixed bugs #1890 and #1905.

M	sope-appserver/NGObjWeb/SoObjects/SoDefaultRenderer.m
M	sope-gdl1/GDLAccess/FoundationExt/PrintfFormatScanner.m

commit 84bf8c22034163ad0608cb3af347bb6f00120c21
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Mon Sep 10 17:09:42 2012 +0000

    See sope-appserver/NGObjWeb/ChangeLog
    
    Monotone-Parent: bb3fdad58223adb3b5db5802b078e46cc0dd076a
    Monotone-Revision: cc3d4a024fbe9c9c2602de7f061655ffb2d3c786
    
    Monotone-Author: flachapelle@inverse.ca
    Monotone-Date: 2012-09-10T17:09:42
    Monotone-Branch: ca.inverse.sope

M	sope-appserver/NGObjWeb/ChangeLog
M	sope-appserver/NGObjWeb/NGHttp+WO.m

commit c9fffeaa0f47bfea166fe1871f9f377545493be8
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu Sep 6 08:48:49 2012 +0000

    See ChangeLog
    
    Monotone-Parent: 2f23e55e9d7b67297faba428abc1e017f8ec6072
    Monotone-Revision: c766aa285f3a2511e4e728b4aa87faa112521be5
    
    Monotone-Author: ludovic@Sophos.ca
    Monotone-Date: 2012-09-06T08:48:49
    Monotone-Branch: ca.inverse.sope

M	ChangeLog
M	sope-mime/NGImap4/NGImap4Connection.h
M	sope-mime/NGImap4/NGImap4Connection.m

commit 3244f2cb9ffc8dae4ab6b6315beab75840044d29
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Tue Sep 4 17:04:58 2012 +0000

    See sope-appserver/NGObjWeb/ChangeLog
    
    Monotone-Parent: 2f23e55e9d7b67297faba428abc1e017f8ec6072
    Monotone-Revision: 2242b23407828ca15b735ac862aadc4b3f143dd2
    
    Monotone-Author: flachapelle@inverse.ca
    Monotone-Date: 2012-09-04T17:04:58
    Monotone-Branch: ca.inverse.sope

M	sope-appserver/NGObjWeb/ChangeLog
M	sope-appserver/NGObjWeb/WEClientCapabilities.m

commit 5788d59d8f9789a7cf1e158bed2f73e481c5dd4a
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Sep 4 10:25:11 2012 +0000

    Fix for bug #1966
    
    Monotone-Parent: a548133128c8f057cf55481568691064bdebd5f8
    Monotone-Revision: 2f23e55e9d7b67297faba428abc1e017f8ec6072
    
    Monotone-Author: ludovic@Sophos.ca
    Monotone-Date: 2012-09-04T10:25:11
    Monotone-Branch: ca.inverse.sope

M	sope-mime/NGMail/NGMailAddressParser.m

commit b56cb0f3537da4b5cc9dba5bbd484907f6c41797
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue Aug 28 08:26:28 2012 +0000

    Fix for bug #1927
    
    Monotone-Parent: 511791fc5bfb5cf1f56266a5c55753aa26f958b8
    Monotone-Revision: a548133128c8f057cf55481568691064bdebd5f8
    
    Monotone-Author: ludovic@Sophos.ca
    Monotone-Date: 2012-08-28T08:26:28
    Monotone-Branch: ca.inverse.sope

M	sope-gdl1/GDLAccess/EOExpressionArray.m

commit e1db3457a04e4aaba3350b334a9f6480fefbbd9f
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Mon Aug 27 15:50:44 2012 +0000

    See sope-mime/NGMail/ChangeLog
    
    Monotone-Parent: 57e49d338571c56854b554ebf9d7922693920b42
    Monotone-Revision: 511791fc5bfb5cf1f56266a5c55753aa26f958b8
    
    Monotone-Author: flachapelle@inverse.ca
    Monotone-Date: 2012-08-27T15:50:44
    Monotone-Branch: ca.inverse.sope

M	sope-mime/NGMail/ChangeLog
M	sope-mime/NGMail/NGMailAddressParser.h
M	sope-mime/NGMail/NGMailAddressParser.m

commit a48f32e1a239cd168ee97510f059441286500caa
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Wed Aug 8 17:19:00 2012 +0000

    Monotone-Parent: cbd094f7768d84e8bef25c09fa754d85717b26fa
    Monotone-Revision: 3240b1c8d9bdee4e51d428685d65be78bfb185bf
    
    Monotone-Author: wsourdeau@inverse.ca
    Monotone-Date: 2012-08-08T17:19:00
    Monotone-Branch: ca.inverse.sope

M	ChangeLog
M	sope-appserver/NGObjWeb/NGObjWeb/WOCoreApplication.h
M	sope-appserver/NGObjWeb/WOCoreApplication.m

commit 4ac6ad4aa9667f423bf71f5971ac7d1a3b829381
Author: Jean Raby <jraby@inverse.ca>
Date:   Thu Aug 2 18:45:21 2012 +0000

    Mode packaging stuff to its own directory
    Add the rhel spec file
    
    Monotone-Parent: 9fcf97eb10d5be9ee65cc8ce8bf5651e02b25534
    Monotone-Revision: 8cb1826d1f3de08c525682d9ed4355e568ec3727
    
    Monotone-Author: jraby@inverse.ca
    Monotone-Date: 2012-08-02T18:45:21
    Monotone-Branch: ca.inverse.sope

R100	debian/500mod_ngobjweb.info	packaging/debian/500mod_ngobjweb.info
R100	debian/changelog	packaging/debian/changelog
R100	debian/compat	packaging/debian/compat
R100	debian/control.in	packaging/debian/control.in
R100	debian/copyright	packaging/debian/copyright
R100	debian/libapache-mod-ngobjweb.dirs	packaging/debian/libapache-mod-ngobjweb.dirs
R100	debian/libapache-mod-ngobjweb.install	packaging/debian/libapache-mod-ngobjweb.install
R100	debian/libapache-mod-ngobjweb.postinst	packaging/debian/libapache-mod-ngobjweb.postinst
R100	debian/libapache-mod-ngobjweb.postrm	packaging/debian/libapache-mod-ngobjweb.postrm
R100	debian/libapache-mod-ngobjweb.prerm	packaging/debian/libapache-mod-ngobjweb.prerm
R100	debian/libapache2-mod-ngobjweb.dirs	packaging/debian/libapache2-mod-ngobjweb.dirs
R100	debian/libapache2-mod-ngobjweb.install	packaging/debian/libapache2-mod-ngobjweb.install
R100	debian/libapache2-mod-ngobjweb.postinst	packaging/debian/libapache2-mod-ngobjweb.postinst
R100	debian/libapache2-mod-ngobjweb.prerm	packaging/debian/libapache2-mod-ngobjweb.prerm
R100	debian/libsbjson2.3-dev.install	packaging/debian/libsbjson2.3-dev.install
R100	debian/libsbjson2.3.install	packaging/debian/libsbjson2.3.install
R100	debian/libsope-appserver_SOPEVER_-dev.install	packaging/debian/libsope-appserver_SOPEVER_-dev.install
R100	debian/libsope-appserver_SOPEVER_.install	packaging/debian/libsope-appserver_SOPEVER_.install
R100	debian/libsope-core_SOPEVER_-dev.install	packaging/debian/libsope-core_SOPEVER_-dev.install
R100	debian/libsope-core_SOPEVER_.install	packaging/debian/libsope-core_SOPEVER_.install
R100	debian/libsope-gdl1-_SOPEVER_-dev.install	packaging/debian/libsope-gdl1-_SOPEVER_-dev.install
R100	debian/libsope-gdl1-_SOPEVER_.install	packaging/debian/libsope-gdl1-_SOPEVER_.install
R100	debian/libsope-ldap_SOPEVER_-dev.install	packaging/debian/libsope-ldap_SOPEVER_-dev.install
R100	debian/libsope-ldap_SOPEVER_.install	packaging/debian/libsope-ldap_SOPEVER_.install
R100	debian/libsope-mime_SOPEVER_-dev.install	packaging/debian/libsope-mime_SOPEVER_-dev.install
R100	debian/libsope-mime_SOPEVER_.install	packaging/debian/libsope-mime_SOPEVER_.install
R100	debian/libsope-xml_SOPEVER_-dev.install	packaging/debian/libsope-xml_SOPEVER_-dev.install
R100	debian/libsope-xml_SOPEVER_.install	packaging/debian/libsope-xml_SOPEVER_.install
R100	debian/ngobjweb.load	packaging/debian/ngobjweb.load
R100	debian/rules	packaging/debian/rules
R100	debian/sope_SOPEVER_-appserver.install	packaging/debian/sope_SOPEVER_-appserver.install
R100	debian/sope_SOPEVER_-appserver.links	packaging/debian/sope_SOPEVER_-appserver.links
R100	debian/sope_SOPEVER_-gdl1-mysql.install	packaging/debian/sope_SOPEVER_-gdl1-mysql.install
R100	debian/sope_SOPEVER_-gdl1-postgresql.install	packaging/debian/sope_SOPEVER_-gdl1-postgresql.install
R100	debian/sope_SOPEVER_-libxmlsaxdriver.install	packaging/debian/sope_SOPEVER_-libxmlsaxdriver.install
R100	debian/sope_SOPEVER_-stxsaxdriver.install	packaging/debian/sope_SOPEVER_-stxsaxdriver.install
A	packaging/rhel/sope.spec

commit 15c5f44267d15f04ed7547b30d468732a61b9d94
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Jul 23 13:34:24 2012 +0000

    Added fix for bug #1593
    
    Monotone-Parent: cbd094f7768d84e8bef25c09fa754d85717b26fa
    Monotone-Revision: 9fcf97eb10d5be9ee65cc8ce8bf5651e02b25534
    
    Monotone-Author: ludovic@Sophos.ca
    Monotone-Date: 2012-07-23T13:34:24
    Monotone-Branch: ca.inverse.sope

M	sope-xml/DOM/DOMElement.m

commit 79b17e06904812fde2de74addfc0251479b96532
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Tue Jul 10 15:58:47 2012 +0000

    Monotone-Parent: bac2c81bb9b48922cfe4173bcbb8c041ec4631ef
    Monotone-Revision: cbd094f7768d84e8bef25c09fa754d85717b26fa
    
    Monotone-Author: wsourdeau@inverse.ca
    Monotone-Date: 2012-07-10T15:58:47
    Monotone-Branch: ca.inverse.sope

M	sope-appserver/NGObjWeb/DAVPropMap.plist

commit 0336dc79b837c929204e6c48b989573de86f6547
Author: Jean Raby <jraby@inverse.ca>
Date:   Thu May 31 15:35:55 2012 +0000

    include inttypes.h for PRIuPTR macro.
    Causes a warning on lucid 64bit only but the data should be fine.
    
    Monotone-Parent: 2ae372cb89130a900713d9526275ebb1b1d31223
    Monotone-Revision: bac2c81bb9b48922cfe4173bcbb8c041ec4631ef
    
    Monotone-Author: jraby@inverse.ca
    Monotone-Date: 2012-05-31T15:35:55
    Monotone-Branch: ca.inverse.sope
    Monotone-Tag: SOPE_v1.3.16

M	sope-appserver/NGObjWeb/NGHttp/common.h

commit 3dfb4d2652c48356ff1ac41f67280428f32eb128
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu May 31 12:33:27 2012 +0000

    Moved code from SOGo to SOPE regarding lowercasing attribute names
    
    Monotone-Parent: 0971b8d4c54bb6e36c9ddbc585d5ba9ddd05df9a
    Monotone-Revision: 2ae372cb89130a900713d9526275ebb1b1d31223
    
    Monotone-Author: ludovic@Sophos.ca
    Monotone-Date: 2012-05-31T12:33:27
    Monotone-Branch: ca.inverse.sope

M	sope-ldap/NGLdap/NGLdapAttribute.h
M	sope-ldap/NGLdap/NGLdapAttribute.m
M	sope-ldap/NGLdap/NGLdapEntry.h
M	sope-ldap/NGLdap/NGLdapEntry.m

commit 09bc5746a9aaae977b3fd48943693d0350a8472d
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue May 29 19:01:32 2012 +0000

    Patch applied from bug #1594
    
    Monotone-Parent: a53e8be2320aec0d1cd6ec52e82fba427afc9735
    Monotone-Revision: 0971b8d4c54bb6e36c9ddbc585d5ba9ddd05df9a
    
    Monotone-Author: ludovic@Sophos.ca
    Monotone-Date: 2012-05-29T19:01:32
    Monotone-Branch: ca.inverse.sope

M	sope-appserver/NGObjWeb/Associations/WOKeyPathAssociation.m

commit cbeeaa0d0e8cbe6ebe632bb114298d7be35d27dd
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue May 29 18:56:25 2012 +0000

    Patch applied from bug #1664
    
    Monotone-Parent: 494c1e08ea03a172bc351c9989850a6f746fd2d6
    Monotone-Revision: a53e8be2320aec0d1cd6ec52e82fba427afc9735
    
    Monotone-Author: ludovic@Sophos.ca
    Monotone-Date: 2012-05-29T18:56:25
    Monotone-Branch: ca.inverse.sope

M	sope-appserver/NGObjWeb/NGHttp/NGHttpHeaderFields.m
M	sope-appserver/WOExtensions/WOTabPanel.m
M	sope-core/NGExtensions/NGCalendarDateRange.m
M	sope-core/NGExtensions/NGExtensions/NGCalendarDateRange.h
M	sope-gdl1/PostgreSQL/PGResultSet.m
M	sope-gdl1/PostgreSQL/PostgreSQL72Channel.m
M	sope-xml/DOM/DOMNodeWithChildren.m
M	sope-xml/STXSaxDriver/ExtraSTX/StructuredText.h
M	sope-xml/STXSaxDriver/ExtraSTX/StructuredText.m
M	sope-xml/SaxObjC/SaxAttributeList.m
M	sope-xml/SaxObjC/SaxAttributes.m
M	sope-xml/XmlRpc/NSObject+XmlRpc.h
M	sope-xml/XmlRpc/NSObject+XmlRpc.m
M	sope-xml/XmlRpc/XmlRpcDecoder.m
M	sope-xml/XmlRpc/XmlRpcSaxHandler.m

commit 3ee99c0c66d032e0bc336d8879920aec958f0cc5
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue May 29 18:50:07 2012 +0000

    Applied patch from bug #1817
    
    Monotone-Parent: 8ebc4980bb476d82acbad15b70df3600932b35f2
    Monotone-Revision: 494c1e08ea03a172bc351c9989850a6f746fd2d6
    
    Monotone-Author: ludovic@Sophos.ca
    Monotone-Date: 2012-05-29T18:50:07
    Monotone-Branch: ca.inverse.sope

M	sope-core/NGStreams/NGInternetSocketAddress.m

commit 9d612ce4ad96bfc19e1d7a3356fc6e875cf8f319
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Tue May 29 18:48:00 2012 +0000

    Applied patch from bug #1820
    
    Monotone-Parent: 8d5039967f59c97fd8c653e702602f80dba08abf
    Monotone-Revision: 8ebc4980bb476d82acbad15b70df3600932b35f2
    
    Monotone-Author: ludovic@Sophos.ca
    Monotone-Date: 2012-05-29T18:48:00
    Monotone-Branch: ca.inverse.sope

M	sope-gdl1/GDLAccess/FoundationExt/PrintfFormatScanner.m

commit 72d701377b372e799419dab1484c1ea40a1364cf
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Thu May 24 14:26:45 2012 +0000

    Monotone-Parent: 6f6c97530e1ca62307245ec25b6fab1b9399f99d
    Monotone-Revision: b2721d7f18528c981a921065d3272cca1a9070e8
    
    Monotone-Author: wsourdeau@inverse.ca
    Monotone-Date: 2012-05-24T14:26:45
    Monotone-Branch: ca.inverse.sope

M	sope-appserver/WEExtensions/ChangeLog
M	sope-appserver/WEExtensions/WEResourceManager.m

commit 1bc7557ec270d532039dc8ee6fb3fce8a06ea684
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu May 10 17:50:26 2012 +0000

    Applied patch for bug #1800 and #1801
    
    Monotone-Parent: 0681181778150eed5fe08a39588d7884861cdbf2
    Monotone-Revision: 251de628e771ed3930ca566995fad547dbce20df
    
    Monotone-Author: ludovic@Sophos.ca
    Monotone-Date: 2012-05-10T17:50:26
    Monotone-Branch: ca.inverse.sope
    Monotone-Tag: SOPE_v1.3.15

M	sope-appserver/NGObjWeb/NGObjWeb/WODisplayGroup.h
M	sope-appserver/NGObjWeb/WODisplayGroup.m
M	sope-gdl1/GDLAccess/EOExpressionArray.h
M	sope-gdl1/GDLAccess/EOExpressionArray.m

commit b38271f048543669e67c8dbaf3169f760be71a1c
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed May 9 11:53:35 2012 +0000

    Added patch from bug #1763
    
    Monotone-Parent: 6f6c97530e1ca62307245ec25b6fab1b9399f99d
    Monotone-Revision: 0681181778150eed5fe08a39588d7884861cdbf2
    
    Monotone-Author: ludovic@Sophos.ca
    Monotone-Date: 2012-05-09T11:53:35
    Monotone-Branch: ca.inverse.sope

M	sope-appserver/NGObjWeb/Associations/WOKeyPathAssociation.m
M	sope-appserver/NGObjWeb/DynamicElements/WOComponentContent.m
M	sope-appserver/NGObjWeb/DynamicElements/WOComponentReference.m
M	sope-appserver/NGObjWeb/DynamicElements/WOCompoundElement.m
M	sope-appserver/NGObjWeb/NSObject+WO.m
M	sope-appserver/NGObjWeb/SoObjects/SoObjCClass.m
M	sope-appserver/NGObjWeb/SoObjects/SoSelectorInvocation.m
M	sope-appserver/NGObjWeb/WOApplication.m
M	sope-appserver/NGObjWeb/WOComponent+Sync.m
M	sope-appserver/NGObjWeb/WODirectActionRequestHandler.m
M	sope-appserver/NGObjWeb/WOSession.m
M	sope-appserver/NGObjWeb/common.h
M	sope-core/EOControl/EOKeyValueCoding.m
M	sope-core/EOControl/EOValidation.m
M	sope-core/EOControl/common.h
M	sope-core/NGExtensions/EOExt.subproj/EOQualifier+CtxEval.m
M	sope-core/NGExtensions/FdExt.subproj/NSNull+misc.m
M	sope-core/NGExtensions/NGBundleManager.m
M	sope-core/NGExtensions/NGExtensions/NGMemoryAllocation.h
M	sope-core/NGExtensions/common.h
M	sope-core/NGStreams/common.h
M	sope-gdl1/GDLAccess/EODatabaseFault.m
M	sope-gdl1/GDLAccess/EOFault.m
M	sope-gdl1/GDLAccess/EOFaultHandler.m
M	sope-gdl1/GDLAccess/EOKeyComparisonQualifier+SQL.m
M	sope-gdl1/GDLAccess/EORecordDictionary.m
M	sope-gdl1/GDLAccess/common.h
M	sope-ldap/NGLdap/EOQualifier+LDAP.m
M	sope-mime/NGImap4/imCommon.h

commit 70ac7ef7648066dbf2a00d0747770893c06e8b2e
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed May 9 10:51:29 2012 +0000

    See ChangeLog
    
    Monotone-Parent: 87432dfeaa5feaee87a4ed6d05a7bb339c095278
    Monotone-Revision: 6f6c97530e1ca62307245ec25b6fab1b9399f99d
    
    Monotone-Author: ludovic@Sophos.ca
    Monotone-Date: 2012-05-09T10:51:29
    Monotone-Branch: ca.inverse.sope

M	ChangeLog
M	sope-core/NGStreams/NGCTextStream.m
M	sope-core/NGStreams/NGStreams/NGCTextStream.h
M	sope-mime/NGImap4/NGImap4Client.m

commit 98cfa0f39afa27cb789b0553986f68e0edf5f242
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Wed May 9 08:54:14 2012 +0000

    Applied fix for bug #1794
    
    Monotone-Parent: 3726e7db829b5ee868cdc21f61798d973f1482d4
    Monotone-Revision: 87432dfeaa5feaee87a4ed6d05a7bb339c095278
    
    Monotone-Author: ludovic@Sophos.ca
    Monotone-Date: 2012-05-09T08:54:14
    Monotone-Branch: ca.inverse.sope

M	sope-xml/SaxObjC/SaxAttributes.m

commit 9d51c0f6d61dc1407188ea412a070b3aebf031bc
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Tue May 1 20:34:36 2012 +0000

    Monotone-Parent: c7b7f5124aeab9453c93d95272e1bf91e7ac3172
    Monotone-Revision: 3b3113f816e2ec37b42a5fd5982d60e172e2def7
    
    Monotone-Author: wsourdeau@inverse.ca
    Monotone-Date: 2012-05-01T20:34:36
    Monotone-Branch: ca.inverse.sope

M	ChangeLog
M	sope-mime/NGImap4/NGImap4Client.m
M	sope-mime/NGMime/GNUmakefile
A	sope-mime/NGMime/NSData+RFC822.h
A	sope-mime/NGMime/NSData+RFC822.m

commit fb2950954e0a0db42ec487e2cf09fcad3b00f2fd
Author: Jean Raby <jraby@inverse.ca>
Date:   Fri Apr 27 19:56:49 2012 +0000

    sope_SOPEVER_-gdl1-mysql now 'Suggests' mysql-server instead of
    'Recommends'.
    There is usually no need to pull in mysql when doing a sogo install.
    
    Monotone-Parent: 3df3e03bbcdc91d12dcaf95b5eaa7df343f47247
    Monotone-Revision: ac5a630f621998ce587f8395d1e6e7221b923eec
    
    Monotone-Author: jraby@inverse.ca
    Monotone-Date: 2012-04-27T19:56:49
    Monotone-Branch: ca.inverse.sope

M	debian/control.in

commit 91065b5b520e34b32561c8edbb184d91e6022024
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Thu Apr 19 14:22:22 2012 +0000

    Monotone-Parent: 835c4a5fbbe9bb44019a84dd66c1469483739afc
    Monotone-Revision: c7b7f5124aeab9453c93d95272e1bf91e7ac3172
    
    Monotone-Author: wsourdeau@inverse.ca
    Monotone-Date: 2012-04-19T14:22:22
    Monotone-Branch: ca.inverse.sope

M	ChangeLog
M	sope-gdl1/PostgreSQL/PGConnection.m

commit 783348da068ccbadfb3673f371259751c29f4741
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Fri Apr 13 15:15:43 2012 +0000

    Monotone-Parent: 000e03baf62d699266017ea7e9681fbbfe262382
    Monotone-Revision: 835c4a5fbbe9bb44019a84dd66c1469483739afc
    
    Monotone-Author: wsourdeau@inverse.ca
    Monotone-Date: 2012-04-13T15:15:43
    Monotone-Branch: ca.inverse.sope

M	sope-appserver/NGObjWeb/DAVPropMap.plist

commit ff65b06d8a84722598125422744f40839cf37068
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Mon Apr 2 18:24:18 2012 +0000

    Fixed licensing
    
    Monotone-Parent: 91277a54bc09d99eb7c022687bc24ac4529c81d3
    Monotone-Revision: 000e03baf62d699266017ea7e9681fbbfe262382
    
    Monotone-Author: ludovic@Sophos.ca
    Monotone-Date: 2012-04-02T18:24:18
    Monotone-Branch: ca.inverse.sope

M	sope-gdl1/Oracle8/err.h
M	sope-gdl1/Oracle8/err.m

commit 49028ebd0ecf9b2ad5a36d9086f9e0c8ca47b3a8
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Tue Mar 27 15:01:51 2012 +0000

    Monotone-Parent: 2adb5ade334600e109b08ab00325c5c87d89b847
    Monotone-Revision: 91277a54bc09d99eb7c022687bc24ac4529c81d3
    
    Monotone-Author: wsourdeau@inverse.ca
    Monotone-Date: 2012-03-27T15:01:51
    Monotone-Branch: ca.inverse.sope

M	sope-appserver/NGObjWeb/DAVPropMap.plist

commit 99208fa5fb368de9b5138c893f34e727a2ffea13
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri Mar 23 18:44:43 2012 +0000

    See ChangeLog
    
    Monotone-Parent: 37e6e15919108b7a757e4fecda053baaadd2093b
    Monotone-Revision: 2adb5ade334600e109b08ab00325c5c87d89b847
    
    Monotone-Author: ludovic@Sophos.ca
    Monotone-Date: 2012-03-23T18:44:43
    Monotone-Branch: ca.inverse.sope

M	ChangeLog
M	sope-gdl1/GDLAccess/FoundationExt/PrintfFormatScanner.m

commit efe7c7cae4ce1daf4c5d98205baf81353075cb11
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri Mar 23 18:39:20 2012 +0000

    See ChangeLog
    
    Monotone-Parent: c60cd0952994b1cdcab7aebd637a1fa8e01da711
    Monotone-Revision: 37e6e15919108b7a757e4fecda053baaadd2093b
    
    Monotone-Author: ludovic@Sophos.ca
    Monotone-Date: 2012-03-23T18:39:20
    Monotone-Branch: ca.inverse.sope

M	ChangeLog
M	configure

commit f3f8dcd9a1022089d9f12f64be13cc74d11b65c7
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Fri Mar 23 18:36:28 2012 +0000

    See ChangeLog
    
    Monotone-Parent: df0ef67a4bf2065b385d60810d28973f0fb0c981
    Monotone-Revision: c60cd0952994b1cdcab7aebd637a1fa8e01da711
    
    Monotone-Author: ludovic@Sophos.ca
    Monotone-Date: 2012-03-23T18:36:28
    Monotone-Branch: ca.inverse.sope

M	ChangeLog
M	sope-core/NGExtensions/NGLogging.subproj/NGLogSyslogAppender.m

commit e9d93bc54b0b3c95bcc2162752c15510ac07101c
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Fri Mar 23 13:38:55 2012 +0000

    Updated languages codes mapping.
    
    Monotone-Parent: b96d6417b4c71dc3e69b12860fd024d3ad7d9489
    Monotone-Revision: df0ef67a4bf2065b385d60810d28973f0fb0c981
    
    Monotone-Author: flachapelle@inverse.ca
    Monotone-Date: 2012-03-23T13:38:55
    Monotone-Branch: ca.inverse.sope

M	sope-appserver/NGObjWeb/Languages.plist

commit d1a2c2b5c0bd454a61f40a672b5d820d2a5726c7
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu Mar 22 16:40:27 2012 +0000

    picky change
    
    Monotone-Parent: 005db4256b2ff313f82c36ae9eb52a4d8c4ab67e
    Monotone-Revision: b96d6417b4c71dc3e69b12860fd024d3ad7d9489
    
    Monotone-Author: ludovic@Sophos.ca
    Monotone-Date: 2012-03-22T16:40:27
    Monotone-Branch: ca.inverse.sope

M	sope-appserver/NGObjWeb/WOCoreApplication.m

commit 9727b4b8096f8d8dbeb9f8897653dfe3e9a0a739
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu Mar 22 16:21:46 2012 +0000

    See ChangeLog
    
    Monotone-Parent: 3d7d6d0fe580b2bd77cafeb5765f6fcacac9f273
    Monotone-Revision: 005db4256b2ff313f82c36ae9eb52a4d8c4ab67e
    
    Monotone-Author: ludovic@Sophos.ca
    Monotone-Date: 2012-03-22T16:21:46
    Monotone-Branch: ca.inverse.sope

M	ChangeLog
M	sope-appserver/NGObjWeb/GNUmakefile
D	sope-appserver/NGObjWeb/UnixSignalHandler.h
D	sope-appserver/NGObjWeb/UnixSignalHandler.m
M	sope-appserver/NGObjWeb/WOCoreApplication.m
M	sope-appserver/NGObjWeb/WOHttpAdaptor/WOHttpAdaptor.m
M	sope-appserver/NGObjWeb/WOWatchDogApplicationMain.m
M	sope-appserver/NGObjWeb/common.h

commit 808de0feccfd53f9d0d94a384c4987b26a8ff981
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Mon Mar 19 20:55:30 2012 +0000

    Monotone-Parent: b86f910c6075f5e82e49d37bc6e4611271e89968
    Monotone-Revision: 3d7d6d0fe580b2bd77cafeb5765f6fcacac9f273
    
    Monotone-Author: wsourdeau@inverse.ca
    Monotone-Date: 2012-03-19T20:55:30
    Monotone-Branch: ca.inverse.sope

M	sope-appserver/NGObjWeb/DAVPropMap.plist

commit e96752ad03dd6a93eccc0394bfd9d98f2a1c3e48
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Wed Feb 29 15:51:27 2012 +0000

    Monotone-Parent: e9206f8459a263ff918e0b8facd433aa6c1b0b4e
    Monotone-Revision: b86f910c6075f5e82e49d37bc6e4611271e89968
    
    Monotone-Author: wsourdeau@inverse.ca
    Monotone-Date: 2012-02-29T15:51:27
    Monotone-Branch: ca.inverse.sope

M	ChangeLog
M	sope-mime/NGImap4/NGImap4Client.m

commit a318192fa5342bfc9cbd630bfd5544d83dc40afc
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Tue Feb 28 18:47:28 2012 +0000

    Monotone-Parent: 0d4659c4c17f20f0b96d853bed2a6a1fb66557f7
    Monotone-Revision: e9206f8459a263ff918e0b8facd433aa6c1b0b4e
    
    Monotone-Author: wsourdeau@inverse.ca
    Monotone-Date: 2012-02-28T18:47:28
    Monotone-Branch: ca.inverse.sope

M	ChangeLog
M	sope-mime/NGImap4/NGImap4Client.m

commit 73be1ec0bb98a509a78af3ca04bc01a7ff9a0bef
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Mon Feb 27 18:42:48 2012 +0000

    Monotone-Parent: b093683a4868512e114edae88b9e95957764b4c6
    Monotone-Revision: 0d4659c4c17f20f0b96d853bed2a6a1fb66557f7
    
    Monotone-Author: wsourdeau@inverse.ca
    Monotone-Date: 2012-02-27T18:42:48
    Monotone-Branch: ca.inverse.sope

M	ChangeLog
M	sope-mime/NGImap4/NGImap4Client.h
M	sope-mime/NGImap4/NGImap4Client.m
M	sope-mime/NGImap4/NGImap4Connection.h
M	sope-mime/NGImap4/NGImap4Connection.m

commit e9d1d02f053d11022b00e0bc75db7f412aeb0f6f
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Wed Feb 22 14:51:37 2012 +0000

    Monotone-Parent: 743613f1ea4d6d8c2e4c011a7664c652df8ef33e
    Monotone-Revision: b093683a4868512e114edae88b9e95957764b4c6
    
    Monotone-Author: wsourdeau@inverse.ca
    Monotone-Date: 2012-02-22T14:51:37
    Monotone-Branch: ca.inverse.sope

M	sope-appserver/NGObjWeb/DAVPropMap.plist

commit 7f0e8fd88c94e276c55612d632ce00fd5ed6abde
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Thu Feb 16 20:35:05 2012 +0000

    Monotone-Parent: d45d39a4d591839ed7a4c50453f1d262f8360359
    Monotone-Revision: 743613f1ea4d6d8c2e4c011a7664c652df8ef33e
    
    Monotone-Author: wsourdeau@inverse.ca
    Monotone-Date: 2012-02-16T20:35:05
    Monotone-Branch: ca.inverse.sope

M	sope-gdl1/Oracle8/OracleAdaptor.m

commit 9a14ec90970f361304a404614fb6ee98939309cd
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Thu Feb 16 20:28:32 2012 +0000

    Monotone-Parent: 1b121c0c9891fb09844f64de7ec01bd95dcd0893
    Monotone-Revision: d45d39a4d591839ed7a4c50453f1d262f8360359
    
    Monotone-Author: wsourdeau@inverse.ca
    Monotone-Date: 2012-02-16T20:28:32
    Monotone-Branch: ca.inverse.sope

M	ChangeLog
M	sope-gdl1/Oracle8/OracleAdaptor.m
M	sope-gdl1/Oracle8/OracleValues.m

commit 12bee6a954dbefb1a79b545f31c593c2f3448109
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Thu Feb 16 19:46:14 2012 +0000

    Monotone-Parent: 8c2e4c4dc578c74711ed9d90287f0dfd342f4361
    Monotone-Revision: 1b121c0c9891fb09844f64de7ec01bd95dcd0893
    
    Monotone-Author: wsourdeau@inverse.ca
    Monotone-Date: 2012-02-16T19:46:14
    Monotone-Branch: ca.inverse.sope

M	ChangeLog
M	sope-gdl1/Oracle8/OracleValues.m

commit 193ff8b511c361c98c69138fb0f283766dfe3c55
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Thu Feb 16 03:28:52 2012 +0000

    Monotone-Parent: 1499106c726073d801b4d554b1d51eea158e6b18
    Monotone-Revision: 8c2e4c4dc578c74711ed9d90287f0dfd342f4361
    
    Monotone-Author: wsourdeau@inverse.ca
    Monotone-Date: 2012-02-16T03:28:52
    Monotone-Branch: ca.inverse.sope

M	ChangeLog
M	sope-gdl1/PostgreSQL/NSString+PGVal.m
M	sope-gdl1/PostgreSQL/PGConnection.m

commit 88343e5fd4ad36d3904e6c32e4511c689f1a1e72
Author: Ludovic Marcotte <lmarcotte@inverse.ca>
Date:   Thu Feb 16 01:23:55 2012 +0000

    Improved error handling regarding nil values
    
    Monotone-Parent: 737bf4b51a51e3e9813a77e8dda9d8306b668994
    Monotone-Revision: 1499106c726073d801b4d554b1d51eea158e6b18
    
    Monotone-Author: ludovic@Sophos.ca
    Monotone-Date: 2012-02-16T01:23:55
    Monotone-Branch: ca.inverse.sope

M	sope-ldap/NGLdap/NGLdapAttribute.m

commit 58192cfa93917d3eae576479221eb7ffe0173276
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Tue Feb 14 16:34:19 2012 +0000

    Monotone-Parent: 0451f94f3496a81d0149daf53e3987a6d42cb925
    Monotone-Revision: 737bf4b51a51e3e9813a77e8dda9d8306b668994
    
    Monotone-Author: wsourdeau@inverse.ca
    Monotone-Date: 2012-02-14T16:34:19
    Monotone-Branch: ca.inverse.sope

M	ChangeLog
M	sope-gdl1/Oracle8/OracleValues.m

commit 7c676d134ba168bf43587acb823dda54780dc640
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Tue Feb 14 03:04:34 2012 +0000

    Monotone-Parent: b168d3a8503d6652d6985fd328cfed12e5c8df6c
    Monotone-Revision: 0451f94f3496a81d0149daf53e3987a6d42cb925
    
    Monotone-Author: wsourdeau@inverse.ca
    Monotone-Date: 2012-02-14T03:04:34
    Monotone-Branch: ca.inverse.sope

M	ChangeLog
M	sope-mime/NGImap4/NGImap4ResponseParser.m

commit 856b6be3523026783a22046846ed1f42d462af74
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Mon Feb 6 15:20:44 2012 +0000

    Monotone-Parent: 8b8a037e689b9c65a616a4a148591f98cfe5572c
    Monotone-Revision: 7c135ae304db6f9f5c070c6db456434525ee4ee9
    
    Monotone-Author: wsourdeau@inverse.ca
    Monotone-Date: 2012-02-06T15:20:44
    Monotone-Branch: ca.inverse.sope

M	ChangeLog
M	sope-appserver/NGObjWeb/WebDAV/SoObjectDataSource.m

commit 1e6523651d59df1d52a68a5d20ae048e894dbac9
Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
Date:   Mon Feb 6 13:54:00 2012 +0000

    Monotone-Parent: 37cf8f46768823a23cf158ff7c9a57589c964ed7
    Monotone-Revision: 8b8a037e689b9c65a616a4a148591f98cfe5572c
    
    Monotone-Author: wsourdeau@inverse.ca
    Monotone-Date: 2012-02-06T13:54:00
    Monotone-Branch: ca.inverse.sope

M	ChangeLog
M	sope-ldap/NGLdap/NSString+DN.h
M	sope-ldap/NGLdap/NSString+DN.m

commit 8d98bf54c634d18017b843c34269047af438bfd4
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Fri Feb 3 19:10:23 2012 +0000

    Patch from ticket #1592.
    
    Monotone-Parent: 37cf8f46768823a23cf158ff7c9a57589c964ed7
    Monotone-Revision: 9f83d6a503f32e3c1f6fe8a0ddb9d6094660782e
    
    Monotone-Author: flachapelle@inverse.ca
    Monotone-Date: 2012-02-03T19:10:23
    Monotone-Branch: ca.inverse.sope

M	sope-mime/NGImap4/NGImap4ServerRoot.h
M	sope-mime/NGImap4/NGImap4ServerRoot.m

commit 457256daec2e859121ee06c4bc16578f832b05bf
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Tue Jan 31 21:23:55 2012 +0000

    Monotone-Parent: 02c927b3e08f384d6aba9f08952af4c2b3b60aa0
    Monotone-Revision: 37cf8f46768823a23cf158ff7c9a57589c964ed7
    
    Monotone-Author: flachapelle@inverse.ca
    Monotone-Date: 2012-01-31T21:23:55
    Monotone-Branch: ca.inverse.sope

M	sope-mime/NGImap4/NGImap4ResponseParser.m

commit 1f537e05787845631aeb6032118bc5a63125233b
Author: Francis Lachapelle <flachapelle@inverse.ca>
Date:   Tue Jan 31 21:20:57 2012 +0000

    See sope-appserver/NGObjWeb/ChangeLog.
    
    Monotone-Parent: d20a1575636e50a8c6671ffb3c1efe2b463225e7
    Monotone-Revision: 02c927b3e08f384d6aba9f08952af4c2b3b60aa0
    
    Monotone-Author: flachapelle@inverse.ca
    Monotone-Date: 2012-01-31T21:20:57
    Monotone-Branch: ca.inverse.sope

M	sope-appserver/NGObjWeb/ChangeLog
